linux (4.9.320-3) stretch-security; urgency=medium

  * uapi: swab: use __BITS_PER_LONG instead of BITS_PER_LONG.
    Regression introduced in 4.9.320.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 14 Oct 2022 11:21:23 +0200

linux (4.9.320-2) stretch-security; urgency=medium

  * Correct some CVE IDs for 4.9.320-1

 -- Ben Hutchings <benh@debian.org>  Thu, 30 Jun 2022 20:26:10 +0200

linux (4.9.320-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.304
    - vhost/vsock: don't check owner in vhost_vsock_stop() while releasing
    - sr9700: sanity check for packet length (CVE-2022-26966)
    - USB: zaurus: support another broken Zaurus
    - serial: 8250: fix error handling in of_platform_serial_probe()
    - serial: 8250: of: Fix mapped region size when using reg-offset property
    - net: __pskb_pull_tail() & pskb_carve_frag_list() drop_monitor friends
    - gso: do not skip outer ip header in case of ipip and net_failover
    - openvswitch: Fix setting ipv6 fields causing hw csum failure
    - drm/edid: Always set RGB444
    - net/mlx5e: Fix wrong return value on ioctl EEPROM query failure
    - configfs: fix a race in configfs_{,un}register_subsystem()
    - RDMA/ib_srp: Fix a deadlock
    - [x86] ata: pata_hpt37x: disable primary channel on HPT371
    - Revert "USB: serial: ch341: add new Product ID for CH341A"
    - usb: gadget: rndis: add spinlock for rndis response list
    - USB: gadget: validate endpoint index for xilinx udc (CVE-2022-27223)
    - tracefs: Set the group ownership in apply_options() not parse_options()
    - USB: serial: option: add support for DW5829e
    - USB: serial: option: add Telit LE910R1 compositions
    - [arm64,armhf] usb: dwc3: gadget: Let the interrupt handler disable bottom
      halves.
    - xhci: Prevent futile URB re-submissions due to incorrect return value.
    - tty: n_gsm: fix encoding of control signal octet bit DV
    - tty: n_gsm: fix proper link termination after failed open
    - memblock: use kfree() to release kmalloced memblock regions
    - fget: clarify and improve __fget_files() implementation
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.305
    - mac80211_hwsim: report NOACK frames in tx_status
    - mac80211_hwsim: initialize ieee80211_tx_info at hw_scan_work
    - [arm64,armhf] i2c: bcm2835: Avoid clock stretching timeouts
    - cifs: fix double free race when mount fails in cifs_get_root()
    - [arm64] i2c: qup: allow COMPILE_TEST
    - net: usb: cdc_mbim: avoid altsetting toggling for Telit FN990
    - usb: gadget: don't release an existing dev->buf (CVE-2022-24958)
    - usb: gadget: clear related members when goto fail (CVE-2022-24958)
    - [x86] ata: pata_hpt37x: fix PCI clock detection
    - ASoC: ops: Shift tested values in snd_soc_put_volsw() by +min
    - xfrm: fix MTU regression
    - netfilter: nf_queue: don't assume sk is full socket
    - netfilter: nf_queue: fix possible use-after-free
    - net: dcb: flush lingering app table entries for unregistered devices
    - mac80211: fix forwarded mesh frames AC & queue selection
    - [arm64,armhf] net: stmmac: fix return value of __setup handler
    - [x86] net: arcnet: com20020: Fix null-ptr-deref in com20020pci_probe()
    - efivars: Respect "block" flag in efivar_entry_set_safe()
    - can: gs_usb: change active_channels's type from atomic_t to u8
    - [armel,armhf] 9182/1: mmu: fix returns from early_param() and __setup()
      functions
    - net: chelsio: cxgb3: check the return value of pci_find_capability()
    - Input: elan_i2c - move regulator_[en|dis]able() out of
      elan_[en|dis]able_power()
    - Input: elan_i2c - fix regulator enable count imbalance after
      suspend/resume
    - HID: add mapping for KEY_ALL_APPLICATIONS
    - memfd: fix F_SEAL_WRITE after shmem huge page allocated
    - net: dcb: disable softirqs in dcbnl_flush_dev()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.306
    - [arm64,armhf] Provide a wrapper for SMCCC 1.1 calls
    - [arm64,armhf] smccc/psci: add arm_smccc_1_1_get_conduit()
    - [armel,armhf] Mitigate Spectre v2-type Branch History Buffer attacks
      (CVE-2022-23960):
      + report Spectre v2 status through sysfs
      + early traps initialisation
      + use LOADADDR() to get load address of sections
      + Spectre-BHB workaround
      + include unprivileged BPF status in Spectre V2 reporting
      + fix build error when BPF_SYSCALL is disabled
      + fix co-processor register typo
      + fix build warning in proc-v7-bugs.c
    - [x86] build: Fix compiler support check for CONFIG_RETPOLINE
    - [x86] modpost: Replace last remnants of RETPOLINE with CONFIG_RETPOLINE
    - xen/xenbus: don't let xenbus_grant_ring() remove grants in error case
      (CVE-2022-23040)
    - xen/grant-table: add gnttab_try_end_foreign_access()
    - xen/blkfront: don't use gnttab_query_foreign_access() for mapped status
      (CVE-2022-23036)
    - xen/netfront: don't use gnttab_query_foreign_access() for mapped status
      (CVE-2022-23037)
    - xen/scsifront: don't use gnttab_query_foreign_access() for mapped status
      (CVE-2022-23038)
    - xen/gntalloc: don't use gnttab_query_foreign_access() (CVE-2022-23039)
    - xen: remove gnttab_query_foreign_access()
    - xen/gnttab: fix gnttab_end_foreign_access() without page specified
      (CVE-2022-23041)
    - xen/netfront: react properly to failing gnttab_end_foreign_access_ref()
      (CVE-2022-23042)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.307
    - net: qlogic: check the return value of dma_alloc_coherent() in
      qed_vf_hw_prepare()
    - qed: return status of qed_iov_get_link
    - ax25: Fix NULL pointer dereference in ax25_kill_by_device (CVE-2022-1199)
    - net/mlx5: Fix size field in bufferx_reg struct
    - NFC: port100: fix use-after-free in port100_send_complete
    - sctp: fix kernel-infoleak for SCTP sockets
    - net-sysfs: add check for netdevice being present to speed_show
    - Revert "xen-netback: Check for hotplug-status existence before watching"
      (regression in 4.9.268)
    - tracing: Ensure trace buffer is at least 4096 bytes large
    - batman-adv: Request iflink once in batadv-on-batadv check
    - batman-adv: Don't expect inter-netns unique iflink indices
    - btrfs: unlock newly allocated extent buffer after error (CVE-2021-4149)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.308
    - xfrm: Fix xfrm migrate issues when address family changes
    - [armhf] dts: rockchip: fix a typo on rk3288 crypto-controller
    - [x86] atm: firestream: check the return value of ioremap() in fs_init()
    - nl80211: Update bss channel on channel switch for P2P_CLIENT
    - tcp: make tcp_read_sock() more robust
    - sfc: extend the locking on mcdi->seqno
    - fs: sysfs_emit: Remove PAGE_SIZE alignment check
    - net/packet: fix slab-out-of-bounds access in packet_recvmsg()
    - [x86] atm: eni: Add check for dma_map_single
    - usb: gadget: rndis: prevent integer overflow in rndis_set_response()
    - usb: gadget: Fix use-after-free bug by not setting udc->dev.driver
    - Input: aiptek - properly check endpoint type
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.309
    - nfc: st21nfca: Fix potential buffer overflows in EVT_TRANSACTION
      (CVE-2022-26490)
    - net: ipv6: fix skb_over_panic in __ip6_append_data
    - llc: fix netdevice reference leaks in llc_ui_bind() (CVE-2022-28356)
    - ALSA: pcm: Add stream lock during PCM reset ioctl operations
    - ALSA: usb-audio: Add mute TLV for playback volumes on RODE NT-USB
    - [x86] ALSA: cmipci: Restore aux vol on suspend/resume
    - ALSA: pci: fix reading of swapped values from pcmreg in AC97 codec
    - netfilter: nf_tables: initialize registers in nft_do_chain()
      (CVE-2022-1016)
    - [x86] ACPI / x86: Work around broken XSDT on Advantech DAC-BJ01 board
    - [x86] ACPI: battery: Add device HID and quirk for Microsoft Surface Go 3
    - [x86] ACPI: video: Force backlight native for Clevo NL5xRU and NL5xNU
    - [x86] crypto: qat - disable registration of algorithms
    - mac80211: fix potential double free on mesh join
    - llc: only change llc->dev when bind() succeeds
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.310
    - [arm64] Preparation for mitigating Spectre-BHB:
      + errata: Provide macro for major and minor cpu revisions
      + Remove useless UAO IPI and describe how this gets enabled
      + Add MIDR encoding for Arm Cortex-A55 and Cortex-A35
      + capabilities: Update prototype for enable call back
      + capabilities: Move errata work around check on boot CPU
      + capabilities: Move errata processing code
      + capabilities: Prepare for fine grained capabilities
      + capabilities: Add flags to handle the conflicts on late CPU
      + capabilities: Clean up midr range helpers
      + Add helpers for checking CPU MIDR against a range
      + capabilities: Add support for checks based on a list of MIDRs
      + clocksource/drivers/arm_arch_timer: Remove fsl-a008585 parameter
      + clocksource/drivers/arm_arch_timer: Introduce generic errata handling
        infrastructure
      + arch_timer: Add infrastructure for multiple erratum detection methods
      + arch_timer: Add erratum handler for CPU-specific capability
      + arch_timer: Add workaround for ARM erratum 1188873
      + arch_timer: avoid unused function warning
      + Add silicon-errata.txt entry for ARM erratum 1188873
      + Make ARM64_ERRATUM_1188873 depend on COMPAT
      + Add part number for Neoverse N1
      + Add part number for Arm Cortex-A77
      + Add Neoverse-N2, Cortex-A710 CPU part definition
      + Add Cortex-X2 CPU part definition
      + Add helper to decode register from instruction
      + entry.S: Add ventry overflow sanity checks
    - [arm64] Mitigate Spectre v2-type Branch History Buffer attacks
      (CVE-2022-23960):
      + entry: Make the trampoline cleanup optional
      + entry: Free up another register on kpti's tramp_exit path
      + entry: Move the trampoline data page before the text page
      + entry: Allow tramp_alias to access symbols after the 4K boundary
      + entry: Don't assume tramp_vectors is the start of the vectors
      + entry: Move trampoline macros out of ifdef'd section
      + entry: Make the kpti trampoline's kpti sequence optional
      + entry: Allow the trampoline text to occupy multiple pages
      + entry: Add non-kpti __bp_harden_el1_vectors for mitigations
      + Move arm64_update_smccc_conduit() out of SSBD ifdef
      + entry: Add vectors that have the bhb mitigation sequences
      + entry: Add macro for reading symbol addresses from the trampoline
      + Add percpu vectors for EL1
      + KVM: arm64: Add templates for BHB mitigation sequences
      + Mitigate spectre style branch history side channels
      + KVM: arm64: Allow SMCCC_ARCH_WORKAROUND_3 to be discovered and migrated
      + add ID_AA64ISAR2_EL1 sys register
      + Use the clearbhb instruction in mitigations
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.311
    - USB: serial: pl2303: add IBM device IDs
    - USB: serial: simple: add Nokia phone driver
    - netdevice: add the case if dev is NULL
    - virtio_console: break out of buf poll on remove
    - ethernet: sun: Free the coherent when failing in probing
    - af_key: add __GFP_ZERO flag for compose_sadb_supported in function
      pfkey_register (CVE-2022-1353)
    - virtio-blk: Use blk_validate_block_size() to validate block size
    - iio: inkern: apply consumer scale on IIO_VAL_INT cases
    - iio: inkern: make a best effort on offset calculation
    - ptrace: Check PTRACE_O_SUSPEND_SECCOMP permission on PTRACE_SEIZE
      (CVE-2022-30594)
    - SUNRPC: avoid race between mod_timer() and del_timer_sync()
    - NFSD: prevent underflow in nfssvc_decode_writeargs()
    - can: ems_usb: ems_usb_start_xmit(): fix double dev_kfree_skb() in error
      path (CVE-2022-28390)
    - jffs2: fix use-after-free in jffs2_clear_xattr_subsystem
    - jffs2: fix memory leak in jffs2_do_mount_fs
    - jffs2: fix memory leak in jffs2_scan_medium
    - mm/pages_alloc.c: don't create ZONE_MOVABLE beyond the end of a node
    - mempolicy: mbind_range() set_policy() after vma_merge()
    - scsi: libsas: Fix sas_ata_qc_issue() handling of NCQ NON DATA commands
    - [i386] ALSA: cs4236: fix an incorrect NULL check on list iterator
    - drivers: hamradio: 6pack: fix UAF bug caused by mod_timer()
      (CVE-2022-1198)
    - [armhf] dts: exynos: fix UART3 pins configuration in Exynos5250
    - [armhf] dts: exynos: add missing HDMI supplies on SMDK5250
    - [armhf] dts: exynos: add missing HDMI supplies on SMDK5420
    - carl9170: fix missing bit-wise or operator for tx_params
    - brcmfmac: firmware: Allocate space for default boardrev in nvram
    - brcmfmac: pcie: Replace brcmf_pcie_copy_mem_todev with memcpy_toio
    - PCI: pciehp: Clear cmd_busy bit in polling mode
    - crypto: authenc - Fix sleep in atomic context in decrypt_tail
    - [arm64,armhf] spi: tegra114: Add missing IRQ check in tegra_spi_probe
    - hwmon: (sch56xx-common) Replace WDOG_ACTIVE with WDOG_HW_RUNNING
    - PM: hibernate: fix __setup handler error handling
    - PM: suspend: fix return value of __setup handler
    - [x86] crypto: ccp - ccp_dmaengine_unregister release dma channels
    - [x86] clocksource: acpi_pm: fix return value of __setup handler
    - sched/debug: Remove mpol_get/put and task_lock/unlock from
      sched_show_numa
    - perf/core: Fix address filter parser for multiple filters
    - [i386] perf/x86/intel/pt: Fix address filter config for 32-bit kernel
    - video: fbdev: smscufx: Fix null-ptr-deref in ufx_usb_probe()
    - video: fbdev: fbcvt.c: fix printing in fb_cvt_print_name()
    - media: usb: go7007: s2250-board: fix leak in probe()
    - [armhf] ASoC: ti: davinci-i2s: Add check for clk_enable()
    - [armhf] memory: emif: Add check for setup_interrupts
    - [armhf] memory: emif: check the pointer temp in get_device_details()
    - ALSA: firewire-lib: fix uninitialized flag for AV/C deferred transaction
    - ASoC: dmaengine: do not use a NULL prepare_slave_config() callback
    - [armhf] ASoC: imx-es8328: Fix error return code in imx_es8328_probe()
    - drm/edid: Don't clear formats if using deep color
    - ath9k_htc: fix uninit value bugs
    - [x86] ray_cs: Check ioremap return value
    - HID: i2c-hid: fix GET/SET_REPORT for unnumbered reports
    - iwlwifi: Fix -EIO error code that is never returned
    - scsi: pm8001: Fix command initialization in pm80XX_send_read_log()
    - scsi: pm8001: Fix command initialization in pm8001_chip_ssp_tm_req()
    - scsi: pm8001: Fix payload initialization in pm80xx_set_thermal_config()
    - scsi: pm8001: Fix abort all task initialization
    - TOMOYO: fix __setup handlers return values
    - [arm64,armhf] drm/tegra: Fix reference leak in tegra_dsi_ganged_probe
    - [amd64] KVM: x86: Fix emulation in writing cr8
    - [x86] KVM: x86/emulator: Defer not-present segment check in
      __load_segment_descriptor()
    - power: supply: wm8350-power: Handle error for wm8350_register_irq
    - power: supply: wm8350-power: Add missing free in free_charger_irq
    - [armhf] mfd: mc13xxx: Add check for mc13xxx_irq_request
    - USB: storage: ums-realtek: fix error code in rts51x_read_mem()
    - af_netlink: Fix shift out of bounds in group mask calculation
    - mxser: fix xmit_buf leak in activate when LSR == 0xff
    - [arm64] clk: qcom: clk-rcg2: Update the frac table for pixel clock
    - [armhf] clk: tegra: tegra124-emc: Fix missing put_device() call in
      emc_ensure_emc_driver
    - [armhf] pinctrl/rockchip: Add missing of_node_put() in
      rockchip_pinctrl_probe
    - jfs: fix divide error in dbNextAG
    - netfilter: nf_conntrack_tcp: preserve liberal flag in tcp options
    - net: phy: broadcom: Fix brcm_fet_config_init()
    - qlcnic: dcb: default to returning -EOPNOTSUPP
    - net/x25: Fix null-ptr-deref caused by x25_disconnect (CVE-2022-1516)
    - selinux: use correct type for context length
    - loop: use sysfs_emit() in the sysfs xxx show()
    - ACPICA: Avoid walking the ACPI Namespace if it is not there
    - ACPI/APEI: Limit printable size of BERT table data
    - PM: core: keep irq flags in device_pm_check_callbacks()
    - [arm64] spi: tegra20: Use of_device_get_match_data()
    - ext4: don't BUG if someone dirty pages without asking ext4 first
    - ntfs: add sanity check on allocation size
    - video: fbdev: cirrusfb: check pixclock to avoid divide by zero
    - [arm64] dts: bcm2837: Add the missing L1/L2 cache information
    - ASoC: soc-core: skip zero num_dai component in searching dai name
    - media: cx88-mpeg: clear interrupt status register before streaming video
    - media: hdpvr: initialize dev->worker at hdpvr_register_videodev
    - mmc: host: Return an error when ->enable_sdio_irq() ops is missing
    - scsi: qla2xxx: Fix incorrect reporting of task management failure
    - KVM: Prevent module exit until all VMs are freed
    - ubifs: Add missing iput if do_tmpfile() failed in rename whiteout
    - ubifs: setflags: Make dirtied_ino_d 8 bytes aligned
    - gfs2: Make sure FITRIM minlen is rounded up to fs block size
    - pinctrl: pinconf-generic: Print arguments for bias-pull-*
    - mm/mmap: return 1 from stack_guard_gap __setup() handler
    - mm/memcontrol: return 1 from cgroup.memory __setup() handler
    - ubi: fastmap: Return error code if memory allocation fails in add_aeb()
    - ASoC: topology: Allow TLV control to be either read or write
    - openvswitch: Fixed nd target mask field in the flow dump.
    - [x86] KVM: x86: Forbid VMM to set SYNIC/STIMER MSRs when SynIC wasn't
      activated (CVE-2022-2153)
    - rtc: wm8350: Handle error for wm8350_register_irq
    - [x86] KVM: x86/svm: Clear reserved bits written to PerfEvtSeln MSRs
    - ath5k: fix OOB in ath5k_eeprom_read_pcal_info_5111
    - ptp: replace snprintf with sysfs_emit
    - scsi: mvsas: Replace snprintf() with sysfs_emit()
    - scsi: bfa: Replace snprintf() with sysfs_emit()
    - [arm64] iommu/arm-smmu-v3: fix event handling soft lockup
    - dm ioctl: prevent potential spectre v1 gadget
    - scsi: pm8001: Fix pm8001_mpi_task_abort_resp()
    - scsi: aha152x: Fix aha152x_setup() __setup handler return value
    - bnxt_en: Eliminate unintended link toggle during FW reset
    - scsi: libfc: Fix use after free in fc_exch_abts_resp()
    - [armhf] usb: dwc3: omap: fix "unbalanced disables for smps10_out1" on
      omap5evm
    - Bluetooth: Fix use after free in hci_send_acl
    - init/main.c: return 1 from handled __setup() functions
    - w1: w1_therm: fixes w1_seq for ds28ea00 sensors
    - SUNRPC/call_alloc: async tasks mustn't block waiting for memory
    - [armhf] serial: samsung_tty: do not unlock port->lock for
      uart_write_wakeup()
    - virtio_console: eliminate anonymous module_init & module_exit
    - jfs: prevent NULL deref in diFree
    - mm: fix race between MADV_FREE reclaim and blkdev direct IO read
    - [arm64,armhf] net: stmmac: Fix unset max_speed difference between DT and
      non-DT platforms
    - drbd: Fix five use after free bugs in get_initial_state
    - mmmremap.c: avoid pointless invalidate_range_start/end on
      mremap(old_size=0)
    - mm/mempolicy: fix mpol_new leak in shared_policy_replace
    - [x86] pm: Save the MSR validity status at context setup
    - [x86] speculation: Restore speculation related MSRs during S3 resume
    - [arm64] patch_text: Fixup last cpu should be master
    - mm: don't skip swap entry even if zap_details specified
    - xfrm: policy: match with both mark and mask on user interfaces
    - veth: Ensure eth header is in skb's linear part
    - nfc: nci: add flush_workqueue to prevent uaf
    - cifs: potential buffer overflow in handling symlinks
    - [amd64] drm/amdkfd: Check for potential null return of kmalloc_array()
    - scsi: mvsas: Add PCI ID of RocketRaid 2640
    - drivers: net: slip: fix NPD bug in sl_tx_timeout()
    - mm, page_alloc: fix build_zonerefs_node()
    - ALSA: pcm: Test for "silence" field in struct "pcm_format_data"
    - smp: Fix offline cpu check in flush_smp_call_function_queue()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.312
    - gfs2: assign rgrp glock before compute_bitstructs
    - ALSA: usb-audio: Clear MIDI port active flag after draining
    - [armhf] dmaengine: imx-sdma: Fix error checking in sdma_event_remap
    - net/packet: fix packet_sock xmit return value checking
    - netlink: reset network and mac headers in netlink_dump()
    - [x86] platform/x86: samsung-laptop: Fix an unsigned comparison which can
      never be negative
    - vxlan: fix error return code in vxlan_fdb_append
    - cifs: Check the IOCB_DIRECT flag, not O_DIRECT
    - [arm64] drm/msm/mdp5: check the return of kzalloc()
    - ata: pata_marvell: Check the 'bmdma_addr' beforing reading
    - openvswitch: fix OOB access in reserve_sfa_size()
    - ASoC: soc-dapm: fix two incorrect uses of list iterator
    - e1000e: Fix possible overflow in LTR decoding
    - ext4: limit length to bitmap_maxbytes - blocksize in punch_hole
    - ext4: fix overhead calculation to account for the reserved gdt blocks
    - ext4: force overhead calculation if the s_overhead_cluster makes no sense
    - block/compat_ioctl: fix range check in BLKGETSIZE
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.313
    - floppy: disable FDRAWCMD by default (CVE-2022-33981)
    - lightnvm: disable the subsystem
    - USB: quirks: add a Realtek card reader
    - USB: quirks: add STRING quirk for VCOM device
    - USB: serial: whiteheat: fix heap overflow in WHITEHEAT_GET_DTR_RTS
    - USB: serial: cp210x: add PIDs for Kamstrup USB Meter Reader
    - USB: serial: option: add support for Cinterion MV32-WA/MV32-WB
    - USB: serial: option: add Telit 0x1057, 0x1058, 0x1075 compositions
    - xhci: stop polling roothubs after shutdown
    - [x86] iio: magnetometer: ak8975: Fix the error handling in
      ak8975_power_on()
    - [x86] usb: misc: fix improper handling of refcount in uss720_probe()
    - usb: gadget: uvc: Fix crash when encoding data for usb request
    - usb: gadget: configfs: clear deactivation flag in
      configfs_composite_unbind()
    - serial: 8250: Also set sticky MCR bits in console restoration
    - serial: 8250: Correct the clock for EndRun PTP/1588 PCIe device
    - hex2bin: make the function hex_to_bin constant-time
    - hex2bin: fix access beyond string end
    - [armhf] dts: imx6qdl-apalis: Fix sgtl5000 detection issue
    - [armhf] phy: samsung: Fix missing of_node_put() in exynos_sata_phy_probe
    - [armhf] phy: samsung: exynos5250-sata: fix missing device put in probe
      error paths
    - [armhf] OMAP2+: Fix refcount leak in omap_gic_of_init
    - [armhf] dts: Fix mmc order for omap3-gta04
    - ip_gre: Make o_seqno start from 0 in native mode
    - tcp: fix potential xmit stalls caused by TCP_NOTSENT_LOWAT
    - [armhf] bus: sunxi-rsb: Fix the return value of sunxi_rsb_device_create()
    - [armhf] clk: sunxi: sun9i-mmc: check return value after calling
      platform_get_resource()
    - bnx2x: fix napi API usage sequence
    - [x86] drivers: net: hippi: Fix deadlock in rr_close()
    - [x86] cpu: Load microcode during restore_processor_state()
    - tty: n_gsm: fix wrong signal octet encoding in convergence layer type 2
    - tty: n_gsm: fix malformed counter for out of frame data
    - tty: n_gsm: fix insufficient txframe size
    - tty: n_gsm: fix missing explicit ldisc flush
    - tty: n_gsm: fix wrong command retry handling
    - tty: n_gsm: fix wrong command frame length field encoding
    - tty: n_gsm: fix incorrect UA handling
    - ALSA: fireworks: fix wrong return count shorter than expected by 4 bytes
    - Revert "SUNRPC: attempt AF_LOCAL connect on setup"
    - firewire: fix potential uaf in outbound_phy_packet_callback()
    - firewire: remove check of list iterator against head past the loop body
    - firewire: core: extend card->lock in fw_core_handle_bus_reset
    - nfc: replace improper check device_is_registered() in netlink related
      functions (CVE-2022-1974)
    - nfc: nfcmrvl: main: reorder destructive operations in
      nfcmrvl_nci_unregister dev to avoid bugs (CVE-2022-1734)
    - NFC: netlink: fix sleep in atomic bug when firmware download timeout
      (CVE-2022-1975)
    - hwmon: (adt7470) Fix warning on module removal
    - ASoC: dmaengine: Restore NULL prepare_slave_config() callback
    - [arm64,armhf] smsc911x: allow using IRQ0
    - btrfs: always log symlinks in full mode
    - net: igmp: respect RCU rules in ip_mc_source() and ip_mc_msfilter()
    - [x86] kvm: x86/cpuid: Only provide CPUID leaf 0xA if host has
      architectural PMU
    - net: sched: prevent UAF on tc_ctl_tfilter when temporarily dropping
      rtnl_lock (CVE-2021-39713)
    - net: ipv6: ensure we call ipv6_mc_down() at most once
    - dm: fix mempool NULL pointer race when completing IO
    - dm: interlock pending dm_io and dm_wait_for_bios_completion
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.314
    - block: drbd: drbd_nl: Make conversion to 'enum drbd_ret_code' explicit
    - Bluetooth: Fix the creation of hdev->name
    - mmc: rtsx: add 74 Clocks in power on flow
    - mm: userfaultfd: fix missing cache flush in mcopy_atomic_pte() and
      __mcopy_atomic()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.315
    - net: Fix features skip in for_each_netdev_feature()
    - ipv4: drop dst in multicast routing path
    - netlink: do not reset transport header in netlink_recvmsg()
    - mac80211_hwsim: call ieee80211_tx_prepare_skb under RCU protection
    - net: sfc: ef10: fix memory leak in efx_ef10_mtd_probe()
    - hwmon: (f71882fg) Fix negative temperature
    - ASoC: max98090: Reject invalid values in custom control put()
    - ASoC: max98090: Generate notifications on changes for custom control
    - ASoC: ops: Validate input values in snd_soc_put_volsw_range()
    - usb: cdc-wdm: fix reading stuck on device close
    - USB: serial: pl2303: add device id for HP LM930 Display
    - USB: serial: qcserial: add support for Sierra Wireless EM7590
    - USB: serial: option: add Fibocom L610 modem
    - USB: serial: option: add Fibocom MA510 modem
    - ping: fix address binding wrt vrf
    - tty/serial: digicolor: fix possible null-ptr-deref in
      digicolor_uart_probe()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.316
    - floppy: use a statically allocated error counter
    - Input: add bounds checking to input_set_capability()
    - drbd: remove usage of list iterator variable after loop
    - mmc: core: Specify timeouts for BKOPS and CACHE_FLUSH for eMMC
    - mmc: block: Use generic_cmd6_time when modifying INAND_CMD38_ARG_EXT_CSD
    - mmc: core: Default to generic_cmd6_time as timeout in __mmc_switch()
    - [i386] ALSA: wavefront: Proper check of get_user() error
    - perf: Fix sys_perf_event_open() race against self (CVE-2022-1729)
    - drm/dp/mst: fix a possible memory leak in fetch_monitor_name()
    - [x86] net: vmxnet3: fix possible use-after-free bugs in
      vmxnet3_rq_alloc_rx_buf()
    - [x86] net: vmxnet3: fix possible NULL pointer dereference in
      vmxnet3_rq_cleanup()
    - net/qla3xxx: Fix a test in ql_reset_work()
    - [armhf] 9196/1: spectre-bhb: enable for Cortex-A15 (CVE-2022-23960)
    - igb: skip phy status check where unavailable
    - scsi: qla2xxx: Fix missed DMA unmap for aborted commands
    - mac80211: fix rx reordering with non explicit / psmp ack policy
    - [arm64,armhf] ethernet: tulip: fix missing pci_disable_device() on error
      in tulip_init_one()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.317
    - net: af_key: check encryption module availability consistency
    - [arm64] drivers: i2c: thunderx: Allow driver to work with ACPI defined
      TWSI controllers
    - assoc_array: Fix BUG_ON during garbage collect
    - block-map: add __GFP_ZERO flag for alloc_page in function bio_copy_kern
      (CVE-2022-0494)
    - exec: Force single empty string when argv is empty
    - dm crypt: make printing of the key constant-time
    - dm stats: add cond_resched when looping over entries
    - dm verity: set DM_TARGET_IMMUTABLE feature flag
    - tpm: ibmvtpm: Correct the return value in tpm_ibmvtpm_probe()
    - NFSD: Fix possible sleep during nfsd4_release_lockowner()
    - bpf: Enlarge offset check value to INT_MAX in bpf_skb_{load,store}_bytes
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.318
    - USB: new quirk for Dell Gen 2 devices
    - ptrace: Reimplement PTRACE_KILL by always sending SIGKILL
    - drm/virtio: fix NULL pointer dereference in virtio_gpu_conn_get_modes
    - mwifiex: add mutex lock for call in mwifiex_dfs_chan_sw_work_queue
    - b43legacy: Fix assigning negative value to unsigned variable
    - b43: Fix assigning negative value to unsigned variable
    - ipw2x00: Fix potential NULL dereference in libipw_xmit()
    - ACPICA: Avoid cache flush inside virtual machines
    - ALSA: jack: Access input_dev under mutex
    - drm/amd/pm: fix double free in si_parse_power_table()
    - ath9k: fix QCA9561 PA bias level
    - media: cx25821: Fix the warning when removing the module
    - scsi: megaraid: Fix error check return value of register_chrdev()
    - drm/amd/pm: fix the compile warning
    - ipv6: Don't send rs packets to the interface of ARPHRD_TUNNEL
    - ASoC: dapm: Don't fold register value changes into notifications
    - [arm64] ipmi:ssif: Check for NULL msg when handling events and messages
    - nvme-pci: fix a NULL pointer dereference in nvme_alloc_admin_tags
    - ASoC: rt5645: Fix errorenous cleanup order
    - rxrpc: Return an error to sendmsg if call failed
    - fs: jfs: fix possible NULL pointer dereference in dbFree()
    - fat: add ratelimit to fat*_ent_bread()
    - [armhf] dts: exynos: add atmel,24c128 fallback to Samsung EEPROM
    - PCI: Avoid pci_dev_lock() AB/BA deadlock with sriov_numvfs_store()
    - [x86] delay: Fix the wrong asm constraint in delay_loop()
    - [armhf] spi: spi-ti-qspi: Fix return value handling of
      wait_for_completion_timeout
    - NFC: NULL out the dev->rfkill to prevent UAF
    - HID: hid-led: fix maximum brightness for Dream Cheeky
    - ath9k_htc: fix potential out of bounds access with invalid rxstatus->
      rs_keyix
    - inotify: show inotify mask flags in proc fdinfo
    - [x86] pm: Fix false positive kmemleak report in msr_build_context()
    - [arm64] drm/msm/dsi: fix error checks and return values for DSI xmit
      functions
    - [arm64] drm/msm/hdmi: check return value after calling
      platform_get_resource_byname()
    - [armhf] drm/rockchip: vop: fix possible null-ptr-deref in vop_bind()
    - [x86] mm: Cleanup the control_va_addr_alignment() __setup handler
    - [arm64] drm/msm: return an error pointer in msm_gem_prime_get_sg_table()
    - media: uvcvideo: Fix missing check to determine if element is found in
      list
    - [armhf] regulator: pfuze100: Fix refcount leak in
      pfuze_parse_regulators_dt
    - media: pvrusb2: fix array-index-out-of-bounds in pvr2_i2c_core_init
    - Bluetooth: fix dangling sco_conn and use-after-free in sco_sock_timeout
    - sctp: read sk->sk_bound_dev_if once in sctp_rcv()
    - rxrpc: Fix listen() setting the bar too high for the prealloc rings
    - rxrpc: Don't try to resend the request if we're receiving the reply
    - scsi: fcoe: Fix Wstringop-overflow warnings in fcoe_wwn_from_mac()
    - drivers/base/node.c: fix compaction sysfs file leak
    - tty: fix deadlock caused by calling printk() under tty_port->lock
    - [armhf] video: fbdev: clcdfb: Fix refcount leak in clcdfb_of_vram_setup
    - [amd64] iommu/amd: Increase timeout waiting for GA log enablement
    - wifi: mac80211: fix use-after-free in chanctx code
    - iwlwifi: mvm: fix assert 1F04 upon reconfig
    - fs-writeback: writeback_sb_inodes：Recalculate 'wrote' according skipped
      pages
    - ext4: fix use-after-free in ext4_rename_dir_prepare
    - ext4: fix bug_on in ext4_writepages
    - ext4: verify dir block before splitting it
    - dlm: fix plock invalid read
    - dlm: fix missing lkb refcount handling
    - ocfs2: dlmfs: fix error handling of user_dlm_destroy_lock
    - [x86] scsi: dc395x: Fix a missing check on list iterator
    - drm/amdgpu/cs: make commands with 0 chunks illegal behaviour.
    - [armhf] drm/bridge: analogix_dp: Grab runtime PM reference for DP-AUX
    - md: fix an incorrect NULL check in does_sb_need_changing
    - md: fix an incorrect NULL check in md_reload_sb
    - [amd64] RDMA/hfi1: Fix potential integer multiplication overflow errors
    - [armhf] irqchip/armada-370-xp: Do not touch Performance Counter Overflow
      on A375, A38x, A39x
    - mac80211: upgrade passive scan to active scan on DFS channels after
      beacon rx
    - hugetlb: fix huge_pmd_unshare address update
    - rtl818x: Prevent using not initialized queues
    - carl9170: tx: fix an incorrect use of list iterator
    - [x86] gma500: fix an incorrect NULL check on list iterator
    - RDMA/rxe: Generate a completion for unsupported/invalid opcode
    - netfilter: nf_tables: disallow non-stateful expression in sets earlier
      (CVE-2022-32250)
    - [x86] usb: usbip: fix a refcount leak in stub_probe()
    - [x86] usb: usbip: add missing device lock on tweak configuration cmd
    - USB: storage: karma: fix rio_karma_init return
    - [arm64] serial: meson: acquire port->lock in startup()
    - firmware: dmi-sysfs: Fix memory leak in dmi_sysfs_register_handle
    - jffs2: fix memory leak in jffs2_do_fill_super
    - tcp: tcp_rtx_synack() can be called from process context
    - tracing: Avoid adding tracer option before update_tracer_options
    - net: fix nla_strcmp to handle more then one trailing null character
    - net/mlx4_en: Fix wrong return value on ioctl EEPROM query failure
    - SUNRPC: Fix the calculation of xdr->end in xdr_get_next_encode_buffer()
    - net: xfrm: unexport __init-annotated xfrm4_protocol_init()
    - [x86] tty: synclink_gt: Fix null-pointer-dereference in slgt_clean()
    - [x86] drivers: staging: rtl8192e: Fix deadlock in rtllib_beacons_stop()
    - USB: hcd-pci: Fully suspend across freeze/thaw cycle
    - [arm64,armhf] usb: dwc2: gadget: don't reset gadget's driver->bus
    - misc: rtsx: set NULL intfdata when probe fails
    - [arm64,armhf] clocksource/drivers/sp804: Avoid error on multiple
      instances
    - staging: rtl8712: fix uninit-value in r871xu_drv_init()
    - [arm64] serial: msm_serial: disable interrupts in __msm_console_write()
    - md: protect md_unregister_thread from reentrancy
    - drm/radeon: fix a possible null pointer dereference
    - nodemask: Fix return values to be unsigned
    - [amd64] vringh: Fix loop descriptors check in the indirect cases
    - ALSA: hda/conexant - Fix loopback issue with CX20632
    - cifs: return errors during session setup during reconnects
    - ata: libata-transport: fix {dma|pio|xfer}_mode sysfs files
    - [x86] Input: bcm5974 - set missing URB_NO_TRANSFER_DMA_MAP urb flag
    - mtd: cfi_cmdset_0002: Move and rename chip_check/chip_ready/
      chip_good_for_write
    - mtd: cfi_cmdset_0002: Use chip_ready() for write on S29GL064N
    - [arm64] PCI: qcom: Fix unbalanced PHY init on probe errors
    - tcp: fix tcp_mtup_probe_success vs wrong snd_cwnd
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.319
    - [x86] cpu: Add Elkhart Lake to Intel family
    - cpu/speculation: Add prototype for cpu_show_srbds()
    - [x86] cpu: Add Jasper Lake to Intel family
    - [x86] cpu: Add Cannonlake to Intel family
    - [x86] CPU: Add Icelake model number
    - [x86] CPU: Add more Icelake model numbers
    - [x86] cpu: Add Comet Lake to the Intel CPU models header
    - [x86] cpu: Add Lakefield, Alder Lake and Rocket Lake models to the to
      Intel CPU family
    - [x86] cpu: Add another Alder Lake CPU to the Intel family
    - [x86] Mitigate Processor MMIO Stale Data vulnerabilities
      (CVE-2022-21123, CVE-2022-21125, CVE-2022-21166):
      + Documentation: Add documentation for Processor MMIO Stale Data
      + x86/speculation/mmio: Enumerate Processor MMIO Stale Data bug
      + x86/speculation: Add a common function for MD_CLEAR mitigation update
      + x86/speculation/mmio: Add mitigation for Processor MMIO Stale Data
      + x86/bugs: Group MDS, TAA & Processor MMIO Stale Data mitigations
      + x86/speculation/mmio: Enable CPU Fill buffer clearing on idle
      + x86/speculation/mmio: Add sysfs reporting for Processor MMIO Stale Data
      + x86/speculation/srbds: Update SRBDS mitigation selection
      + x86/speculation/mmio: Reuse SRBDS mitigation for SBDS
      + KVM: x86/speculation: Disable Fill buffer clear within guests
      + x86/speculation/mmio: Print SMT warning
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.320
    - 9p: missing chunk of "fs/9p: Don't update file type when updating file
      attributes"
    - crypto: chacha20 - Fix keystream alignment for chacha20_block()
    - crypto: blake2s - generic C library implementation and selftest
    - lib/crypto: blake2s: move hmac construction into wireguard
    - lib/crypto: sha1: re-roll loops to reduce code size
    - crypto: chacha20 - Fix chacha20_block() keystream alignment (again)
    - workqueue: make workqueue available early during boot
    - hwrng: use rng source with best quality
    - hwrng: remember rng chosen by user
    - random: Backport from 5.19, fixing several weaknesses and
      peformance issues, including:
      + random: invalidate batched entropy after crng init
      + random: warn when kernel uses unseeded randomness
      + random: do not ignore early device randomness
      + random: set up the NUMA crng instances after the CRNG is fully
        initialized (CVE-2018-1108)
      + random: optimize add_interrupt_randomness
      + random: add a config option to trust the CPU's hwrng
      + random: make CPU trust a boot parameter
      + random: only read from /dev/random after its pool has received 128 bits
      + fdt: add support for rng-seed
      + random: add GRND_INSECURE to return best-effort non-cryptographic bytes
      + random: ignore GRND_RANDOM in getentropy(2)
      + random: make /dev/random be almost like /dev/urandom
      + random: use BLAKE2s instead of SHA1 in extraction
      + random: avoid superfluous call to RDRAND in CRNG extraction
      + random: continually use hwgenerator randomness
      + random: use computational hash for entropy extraction
      + random: use RDSEED instead of RDRAND in entropy extraction
      + random: ensure early RDSEED goes through mixer on init
      + random: do not xor RDRAND when writing into /dev/random
      + random: absorb fast pool into input pool after fast load
      + random: use hash function for crng_slow_load()
      + random: zero buffer after reading entropy from userspace
      + random: defer fast pool mixing to worker
      + random: do crng pre-init loading in worker rather than irq
      + random: don't let 644 read-only sysctls be written to
      + random: use SipHash as interrupt entropy accumulator
      + random: reseed more often immediately after booting
      + random: check for signal and try earlier when generating entropy
      + random: treat bootloader trust toggle the same way as cpu trust toggle
      + random: do not allow user to keep crng key around on stack
      + random: check for signal_pending() outside of need_resched() check
      + random: check for signals every PAGE_SIZE chunk of /dev/[u]random
      + init: call time_init() before rand_initialize()
      + timekeeping: Add raw clock fallback for random_get_entropy()
      + arm: use fallback for random_get_entropy() instead of zero
      + [x86] tsc: Use fallback for random_get_entropy() instead of zero
      + random: do not use batches when !crng_ready()
      + random: do not pretend to handle premature next security model
      + random: do not use input pool from hard IRQs
      + random: avoid initializing twice in credit race
      + random: wire up fops->splice_{read,write}_iter()
      + random: check for signals after page of pool writes
      + random: credit cpu and bootloader seeds by default
    - uapi: rename ext2_swab() to swab() and share globally in swab.h
    - crypto: drbg - add FIPS 140-2 CTRNG for noise source
    - crypto: drbg - always seeded with SP800-90B compliant noise source
    - crypto: drbg - prepare for more fine-grained tracking of seeding state
    - crypto: drbg - track whether DRBG was seeded with !rng_is_initialized()
    - crypto: drbg - move dynamic ->reseed_threshold adjustments to
      __drbg_seed()
    - crypto: drbg - always try to free Jitter RNG instance
    - crypto: drbg - make reseeding from get_random_bytes() synchronous
    - ata: libata-core: fix NULL pointer deref in ata_host_alloc_pinfo()
    - [x86] scsi: vmw_pvscsi: Expand vcpuHint to 16 bits
    - scsi: lpfc: Fix port stuck in bypassed state after LIP in PT2PT topology
    - virtio-mmio: fix missing put_device() when vm_cmdline_parent registration
      failed
    - ipv6: Fix signed integer overflow in l2tp_ip6_sendmsg
    - pNFS: Don't keep retrying if the server replied NFS4ERR_LAYOUTUNAVAILABLE
    - [arm64,armhf] irqchip/gic-v3: Iterate over possible CPUs by
      for_each_possible_cpu()
    - [x86] comedi: vmk80xx: fix expression for tx buffer size
    - USB: serial: option: add support for Cinterion MV31 with new baseline
    - USB: serial: io_ti: add Agilent E5805A support
    - serial: 8250: Store to lsr_save_flags after lsr read
    - ext4: fix bug_on ext4_mb_use_inode_pa
    - ext4: make variable "count" signed
    - ext4: add reserved GDT blocks check
    - l2tp: don't use inet_shutdown on ppp session destroy
    - l2tp: fix race in pppol2tp_release with session object destroy
    - xprtrdma: fix incorrect header size calculations (CVE-2022-0812)
    - swiotlb: fix info leak with DMA_FROM_DEVICE (CVE-2022-0854)
    - Reinstate some of "swiotlb: rework "fix info leak with DMA_FROM_DEVICE""
      (CVE-2022-0854)
    - fuse: fix pipe buffer lifetime for direct_io (CVE-2022-1011)
    - tcp: Improve source port randomisation (CVE-2022-1012, CVE-2022-32296):
      + tcp: change source port randomizarion at connect() time
      + tcp: add some entropy in __inet_hash_connect()
      + secure_seq: use the 64 bits of the siphash for port offset calculation
      + tcp: use different parts of the port_offset for index and offset
      + tcp: add small random increments to the source port
      + tcp: dynamically allocate the perturb table used by source ports
      + tcp: increase source port perturb table to 2^16
      + tcp: drop the hash_32() part from the index calculation

  [ Ben Hutchings ]
  * Bump ABI to 19
  * debian/lib/python/debian_linux/debian.py: Fix deprecated import of
    MutableSet
  * [rt] Update to 4.9.312-rt193
  * Drop "random: Make getranndom() ready earlier", since bug #897599 is now
    properly fixed upstream (CVE-2018-1108)
  * [rt] Drop all patches to the random driver, since the upstream version is
    now RT-aware
  * random: Enable RANDOM_TRUST_BOOTLOADER and RANDOM_TRUST_CPU. These can be
    reverted using the kernel parameters: random.trust_bootloader=off
    random.trust_cpu=off
  * [rt] signal: Prevent double-free of user struct
  * [armhf] Enable KERNEL_MODE_NEON (Closes: #922204)
  * [armel,armhf] crypto: Enable optimised implementations (see #922204):
    - Enable ARM_CRYPTO
    - Enable CRYPTO_SHA1_ARM, CRYPTO_SHA256_ARM, CRYPTO_SHA512_ARM,
      CRYPTO_AES_ARM as modules
    - [armhf] Enable SHA1_ARM_NEON, CRYPTO_SHA1_ARM_CE, CRYPTO_SHA2_ARM_CE,
      CRYPTO_AES_ARM_BS, CRYPTO_AES_ARM_CE, CRYPTO_GHASH_ARM_CE as modules
  * swiotlb: skip swiotlb_bounce when orig_addr is zero (regression in 4.9.320)

 -- Ben Hutchings <benh@debian.org>  Thu, 30 Jun 2022 15:39:04 +0200

linux (4.9.303-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.291
    - xhci: Fix USB 3.1 enumeration issues by increasing roothub power-on-good
      delay
    - Input: elantench - fix misreporting trackpoint coordinates
    - [x86] Input: i8042 - Add quirk for Fujitsu Lifebook T725
    - ocfs2: fix data corruption on truncate
    - [arm64,armhf] mmc: dw_mmc: Dont wait for DRTO on Write RSP error
    - [x86] media: ite-cir: IR receiver stop working after receive overflow
    - ALSA: ua101: fix division by zero at probe
    - ALSA: 6fire: fix control and bulk message timeouts
    - ALSA: line6: fix control and interrupt message timeouts
    - [x86] ALSA: synth: missing check for possible NULL after the call to
      kstrdup
    - ALSA: timer: Fix use-after-free problem
    - ALSA: timer: Unconditionally unlink slave instances, too
    - [x86] irq: Ensure PI wakeup handler is unregistered before module unload
    - sfc: Don't use netif_info before net_device setup
    - bpf: Prevent increasing bpf_jit_limit above max
    - xen/netfront: stop tx queues during live migration
    - [armhf] spi: spl022: fix Microwire full duplex mode
    - [armhf] watchdog: Fix OMAP watchdog early handling
    - [x86] vmxnet3: do not stop tx queues after netif_device_detach()
    - btrfs: fix lost error handling when replaying directory deletes
    - [armhf] regulator: s5m8767: do not use reset value as DVS voltage if GPIO
      DVS is disabled
    - [amd64] EDAC/sb_edac: Fix top-of-high-memory value for Broadwell/Haswell
    - mwifiex: fix division by zero in fw download path
    - ath6kl: fix division by zero in send path
    - ath6kl: fix control-message timeout
    - PCI: Mark Atheros QCA6174 to avoid bus reset
    - rtl8187: fix control-message timeouts
    - [arm64] wcn36xx: Fix HT40 capability for 2Ghz band
    - mwifiex: Read a PCI register after writing the TX ring write pointer
    - [arm64] wcn36xx: handle connection loss indication
    - RDMA/qedr: Fix NULL deref for query_qp on the GSI QP
    - signal: Remove the bogus sigkill_pending in ptrace_stop
    - ALSA: mixer: oss: Fix racy access to slots
    - ALSA: mixer: fix deadlock in snd_mixer_oss_set_volume
    - [arm64] PCI: aardvark: Read all 16-bits from PCIE_MSI_PAYLOAD_REG
    - quota: check block number when reading the block in quota file
    - quota: correct error number in free_dqentry()
    - USB: serial: keyspan: fix memleak on probe errors
    - USB: iowarrior: fix control-message timeouts
    - Bluetooth: sco: Fix lock_sock() blockage by memcpy_from_msg()
      (CVE-2021-3640)
    - Bluetooth: fix use-after-free error in lock_sock_nested() (CVE-2021-3752)
    - [x86] platform/x86: wmi: do not fail if disabling fails
    - [amd64] Increase exception stack sizes
    - media: netup_unidvb: handle interrupt properly according to the firmware
    - media: uvcvideo: Set capability in s_param
    - media: mceusb: return without resubmitting URB in case of -EPROTO error.
    - ACPICA: Avoid evaluating methods too early during system resume
    - media: usb: dvd-usb: fix uninit-value bug in dibusb_read_eeprom_byte()
    - tracefs: Have tracefs directories not set OTH permission bits by default
    - ath: dfs_pattern_detector: Fix possible null-pointer dereference in
      channel_detector_create()
    - [x86] ACPI: battery: Accept charges over the design capacity as full
    - memstick: r592: Fix a UAF bug when removing the driver
    - lib/xz: Avoid overlapping memcpy() with invalid input with in-place
      decompression
    - lib/xz: Validate the value before assigning it to an enum variable
    - mwl8k: Fix use-after-free in mwl8k_fw_state_machine()
    - PM: hibernate: Get block device exclusively in swsusp_check()
    - iwlwifi: mvm: disable RX-diversity in powersave
    - cgroup: Make rebind_subsystems() disable v2 controllers all at once
    - media: dvb-usb: fix ununit-value in az6027_rc_query
    - media: si470x: Avoid card name truncation
    - cpuidle: Fix kobject memory leaks in error paths
    - ath9k: Fix potential interrupt storm on queue reset
    - [x86] crypto: qat - detect PFVF collision after ACK
    - [x86] crypto: qat - disregard spurious PFVF interrupts
    - b43legacy: fix a lower bounds test
    - b43: fix a lower bounds test
    - memstick: avoid out-of-range warning
    - memstick: jmb38x_ms: use appropriate free function in
      jmb38x_ms_alloc_host()
    - hwmon: Fix possible memleak in __hwmon_device_register()
    - ath10k: fix max antenna gain unit
    - [arm64] drm/msm: uninitialized variable in msm_gem_import()
    - net: stream: don't purge sk_error_queue in sk_stream_kill_queues()
    - mwifiex: Send DELBA requests according to spec
    - phy: micrel: ksz8041nl: do not use power down mode
    - libertas_tf: Fix possible memory leak in probe and disconnect
    - libertas: Fix possible memory leak in probe and disconnect
    - crypto: pcrypt - Delay write to padata->info
    - RDMA/rxe: Fix wrong port_cap_flags
    - [x86] scsi: dc395: Fix error case unwinding
    - JFS: fix memleak in jfs_mount
    - [armhf] dts: omap3-gta04a4: accelerometer irq fix
    - [arm64,armhf] soc/tegra: Fix an error handling path in
      tegra_powergate_power_up()
    - serial: 8250_dw: Drop wrong use of ACPI_PTR()
    - usb: gadget: hid: fix error code in do_config()
    - scsi: csiostor: Uninitialized data in csio_ln_vnp_read_cbfn()
    - RDMA/mlx4: Return missed an error if device doesn't support steering
    - [arm64] serial: xilinx_uartps: Fix race condition causing stuck TX
    - [arm64,armhf] power: supply: bq27xxx: Fix kernel crash on IRQ handler
      register error
    - pnfs/flexfiles: Fix misplaced barrier in nfs4_ff_layout_prepare_ds
    - drm/plane-helper: fix uninitialized variable reference
    - [arm64] PCI: aardvark: Don't spam about PIO Response Status
    - [arm64] mtd: spi-nor: hisi-sfc: Remove excessive clk_disable_unprepare()
    - netfilter: nfnetlink_queue: fix OOB when mac header was cleared
    - dmaengine: dmaengine_desc_callback_valid(): Check for `callback_result`
    - [x86] watchdog: f71808e_wdt: fix inaccurate report in WDIOC_GETTIMEOUT
    - scsi: qla2xxx: Turn off target reset during issue_lip
    - xen-pciback: Fix return in pm_ctrl_init()
    - [armhf] net: davinci_emac: Fix interrupt pacing disable
    - bonding: Fix a use-after-free problem when bond_sysfs_slave_add() failed
    - mm/zsmalloc.c: close race window between zs_pool_dec_isolated() and
      zs_unregister_migration()
    - llc: fix out-of-bound array index in llc_sk_dev_hash()
    - nfc: pn533: Fix double free when pn533_fill_fragment_skbs() fails
    - vsock: prevent unnecessary refcnt inc for nonblocking connect
    - [arm64,armhf] USB: chipidea: fix interrupt deadlock
    - mm, oom: pagefault_out_of_memory: don't force global OOM for dying tasks
    - mm, oom: do not trigger out_of_memory from the #PF
    - PCI/MSI: Destroy sysfs before freeing entries
    - scsi: lpfc: Fix list_add() corruption in lpfc_drain_txq()
    - [armhf] usb: musb: tusb6010: check return value after calling
      platform_get_resource()
    - scsi: advansys: Fix kernel pointer leak
    - [armhf] dts: omap: fix gpmc,mux-add-data type
    - tty: tty_buffer: Fix the softlockup issue in flush_to_ldisc
    - scsi: target: Fix ordered tag handling
    - scsi: target: Fix alua_tg_pt_gps_count tracking
    - [i386] ALSA: gus: fix null pointer dereference on pointer block
    - sched/core: Mitigate race cpus_share_cache()/update_top_cache_domain()
    - net: bnx2x: fix variable dereferenced before check
    - iavf: Fix for the false positive ASQ/ARQ errors while issuing VF reset
    - [x86] platform/x86: hp_accel: Fix an error handling path in
      'lis3lv02d_probe()'
    - NFC: reorganize the functions in nci_request (CVE-2021-4202)
    - NFC: reorder the logic in nfc_{un,}register_device
    - [x86] perf/x86/intel/uncore: Fix filter_tid mask for CHA events on
      Skylake Server
    - [x86] perf/x86/intel/uncore: Fix IIO event constraints for Skylake Server
    - tun: fix bonding active backup with arp monitoring
    - btrfs: fix memory ordering between normal and ordered work functions
    - cfg80211: call cfg80211_stop_ap when switch from P2P_GO type
    - drm/udl: fix control-message timeout
    - drm/amdgpu: fix set scaling mode Full/Full aspect/Center not works on vga
      and dvi connectors
    - batman-adv: Keep fragments equally sized
    - batman-adv: Fix own OGM check in aggregated OGMs
    - batman-adv: mcast: fix duplicate mcast packets in BLA backbone from LAN
    - batman-adv: mcast: fix duplicate mcast packets from BLA backbone to mesh
    - batman-adv: Consider fragmentation for needed_headroom
    - batman-adv: Reserve needed_*room for fragments
    - batman-adv: Don't always reallocate the fragmentation skb head
    - ASoC: DAPM: Cover regression by kctl change notification fix
    - [arm64,armhf] soc/tegra: pmc: Fix imbalanced clock disabling in error
      code path
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.292
    - USB: serial: option: add Telit LE910S1 0x9200 composition
    - USB: serial: option: add Fibocom FM101-GL variants
    - usb: hub: Fix usb enumeration issue due to address0 race
    - usb: hub: Fix locking issues with address0_mutex
    - ALSA: ctxfi: Fix out-of-range access
    - [x86] staging: rtl8192e: Fix use after free in _rtl92e_pci_disconnect()
    - fuse: fix page stealing
    - xen: don't continue xenstore initialization in case of errors
    - xen: detect uninitialized xenbus in xenbus_init
    - tracing: Fix pid filtering when triggers are attached
    - ASoC: topology: Add missing rwsem around snd_ctl_remove() calls
    - net: ieee802154: handle iftypes as u32
    - NFSv42: Don't fail clone() unless the OP_CLONE operation failed
    - [armhf] socfpga: Fix crash with CONFIG_FORTIRY_SOURCE
    - scsi: mpt3sas: Fix kernel panic during drive powercycle test
    - [arm64,armhf]] drm/vc4: fix error code in vc4_create_object()
    - PM: hibernate: use correct mode for swsusp_close()
    - tcp_cubic: fix spurious Hystart ACK train detections for not-cwnd-limited
      flows
    - tracing: Check pid filtering when creating events
    - hugetlbfs: flush TLBs correctly after huge_pmd_unshare (CVE-2021-4002)
    - vhost/vsock: fix incorrect used length reported to the guest
    - proc/vmcore: fix clearing user buffer by properly using clear_user()
    - NFC: add NCI_UNREG flag to eliminate the race (CVE-2021-4202)
    - fuse: release pipe buf after last use
    - xen: sync include/xen/interface/io/ring.h with Xen's newest version
    - xen/blkfront: read response from backend only once
    - xen/blkfront: don't take local copy of a request from the ring page
    - xen/blkfront: don't trust the backend response data blindly
    - xen/netfront: read response from backend only once
    - xen/netfront: don't read data from request on the ring page
    - xen/netfront: disentangle tx_skb_freelist
    - xen/netfront: don't trust the backend response data blindly
    - tty: hvc: replace BUG_ON() with negative return value
    - shm: extend forced shm destroy to support objects from several IPC nses
    - NFSv42: Fix pagecache invalidation after COPY/CLONE
    - hugetlb: take PMD sharing into account when flushing tlb/caches
    - net: return correct error code
    - [x86] platform/x86: thinkpad_acpi: Fix WWAN device disabled issue after
      S3 deep
    - thermal: core: Reset previous low and high trip during thermal zone init
    - scsi: iscsi: Unblock session then wake up error handler
    - [arm64] ethernet: hisilicon: hns: hns_dsaf_misc: fix a possible array
      overflow in hns_dsaf_ge_srst_by_port()
    - vrf: Reset IPCB/IP6CB when processing outbound pkts in vrf dev xmit
    - kprobes: Limit max data_size of the kretprobe instances
    - fs: add fget_many() and fput_many()
    - fget: check that the fd still exists after getting a ref to it
      (CVE-2021-4083)
    - net: qlogic: qlcnic: Fix a NULL pointer dereference in
      qlcnic_83xx_add_rings()
    - [armel,armhf] siphash: use _unaligned version by default
    - net/rds: correct socket tunable error in rds_tcp_tune()
    - [x86] vgacon: Propagate console boot parameters before calling `vc_resize'
    - [arm64] tty: serial: msm_serial: Deactivate RX DMA for polling support
    - [arm64] serial: pl011: Add ACPI SBSA UART match id
    - serial: core: fix transmit-buffer reset and memleak
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.293
    - HID: wacom: fix problems when device is not a valid USB device
    - HID: check for valid USB device for many HID drivers
    - [x86] can: sja1000: fix use after free in ems_pcmcia_add_card()
    - nfc: fix potential NULL pointer deref in nfc_genl_dump_ses_done
    - [amd64] IB/hfi1: Correct guard on eager buffer deallocation
    - mm: bdi: initialize bdi_min_ratio when bdi is unregistered
    - ALSA: ctl: Fix copy of updated id with element read/write
    - ALSA: pcm: oss: Fix negative period/buffer sizes
    - ALSA: pcm: oss: Limit the period size to 16MB
    - ALSA: pcm: oss: Handle missing errors in snd_pcm_oss_change_params*()
    - tracefs: Have new files inherit the ownership of their parent
    - [i386] can: pch_can: pch_can_rx_normal: fix use after free
    - libata: add horkage for ASMedia 1092
    - wait: add wake_up_pollfree()
    - signalfd: use wake_up_pollfree()
    - tracefs: Set all files to the same group ownership as the mount option
    - block: fix ioprio_get(IOPRIO_WHO_PGRP) vs setuid(2)
    - net: cdc_ncm: Allow for dwNtbOutMaxSize to be unset or zero
    - [armhf] net: fec: only clear interrupt of handling queue in
      fec_enet_rx_queue()
    - net, neigh: clear whole pneigh_entry at alloc time
    - net/qla3xxx: fix an error code in ql_adapter_up()
    - USB: gadget: detect too-big endpoint 0 requests (CVE-2021-39685)
    - USB: gadget: zero allocate endpoint 0 buffers (CVE-2021-39685)
    - usb: core: config: fix validation of wMaxPacketValue entries
    - usb: core: config: using bit mask instead of individual bits
    - [armhf] iio: mma8452: Fix trigger reference couting
    - [x86] iio: accel: kxcjk-1013: Fix possible memory leak in probe and
      remove
    - [armhf] irqchip/armada-370-xp: Fix return value of
      armada_370_xp_msi_alloc()
    - [armhf] irqchip/armada-370-xp: Fix support for Multi-MSI interrupts
    - [arm64] irqchip/irq-gic-v3-its.c: Force synchronisation when issuing
      INVALL
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.294
    - nfc: fix segfault in nfc_genl_dump_devices_done
    - net/mlx4_en: Update reported link modes for 1/10G
    - [armhf] i2c: rk3x: Handle a spurious start completion interrupt flag
    - net: netlink: af_netlink: Prevent empty skb by adding a check on len.
    - tracing: Fix a kmemleak false positive in tracing_map
    - [x86] hwmon: (dell-smm) Fix warning on /proc/i8k creation error
    - mac80211: send ADDBA requests using the tid/queue of the aggregation
      session
    - dm btree remove: fix use after free in rebalance_children()
    - nfsd: fix use-after-free due to delegation race
    - [arm64,armhf] soc/tegra: fuse: Fix bitwise vs. logical OR warning
    - igbvf: fix double free in `igbvf_probe`
    - ixgbe: set X550 MDIO speed before talking to PHY
    - USB: gadget: bRequestType is a bitfield, not a enum
    - PCI/MSI: Clear PCI_MSIX_FLAGS_MASKALL on error
    - USB: serial: option: add Telit FN990 compositions
    - timekeeping: Really make sure wall_to_monotonic isn't positive
    - fuse: annotate lock in fuse_reverse_inval_entry()
    - scsi: scsi_debug: Sanity check block descriptor length in
      resp_mode_select()
    - net: lan78xx: Avoid unnecessary self assignment
    - [armel] 8805/2: remove unneeded naked function usage
    - xen/blkfront: harden blkfront against event channel storms
      (CVE-2021-28711)
    - xen/netfront: harden netfront against event channel storms
      (CVE-2021-28712)
    - xen/console: harden hvc_xen against event channel storms (CVE-2021-28713)
    - xen/netback: fix rx queue stall detection (CVE-2021-28714)
    - xen/netback: don't queue unlimited number of packages (CVE-2021-28715)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.295
    - net: usb: lan78xx: add Allied Telesis AT29M2-AF
    - can: kvaser_usb: get CAN clock frequency from device
    - HID: holtek: fix mouse probing
    - [amd64,arm64] IB/qib: Fix memory leak in qib_user_sdma_queue_pkts()
    - qlcnic: potential dereference null pointer of rx_queue->page_ring
    - bonding: fix ad_actor_system option setting to default
    - [amd64] fjes: Check for error irq
    - [armhf] drivers: net: smc911x: Check for error irq
    - [x86] hwmon: (lm90) Fix usage of CONFIG2 register in detect function
    - ALSA: jack: Check the return value of kstrdup()
    - ALSA: drivers: opl3: Fix incorrect use of vp->state
    - [amd64] pkey: Fix undefined behaviour with PKRU_WD_BIT
    - [armel,armhf] 9169/1: entry: fix Thumb2 bug in iWMMXt exception handling
    - [x86] hwmon: (lm90) Do not report 'busy' status bit as alarm
    - ax25: NPD bug when detaching AX25 device
    - hamradio: defer ax25 kfree after unregister_netdev
    - hamradio: improve the incomplete fix to avoid NPD
    - phonet/pep: refuse to enable an unbound pipe
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.296
    - [x86] platform/x86: apple-gmux: use resource_size() with res
    - selinux: initialize proto variable in selinux_ip_postroute_compat()
    - nfc: uapi: use kernel size_t to fix user-space builds
    - uapi: fix linux/nfc.h userspace compilation errors
    - xhci: Fresco FL1100 controller should not have BROKEN_MSI quirk set.
    - usb: gadget: f_fs: Clear ffs_eventfd in ffs_data_clear.
    - [x86] scsi: vmw_pvscsi: Set residual data length conditionally
    - Input: appletouch - initialize work before device registration
    - Input: spaceball - fix parsing of movement data packets
    - net: fix use-after-free in tw_timer_handler
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.297
    - Bluetooth: btusb: Apply QCA Rome patches for some ATH3012 models
    - tracing: Fix check for trace_percpu_buffer validity in get_trace_buf()
    - tracing: Tag trace_percpu_buffer as a percpu pointer
    - virtio_pci: Support surprise removal of virtio pci device
    - ieee802154: atusb: fix uninit value in atusb_set_extended_addr
    - mac80211: initialize variable have_higher_than_11mbit
    - i40e: Fix incorrect netdev's real number of RX/TX queues
    - sch_qfq: prevent shift-out-of-bounds in qfq_init_qdisc
    - xfs: map unwritten blocks in XFS_IOC_{ALLOC,FREE}SP just like fallocate
      (CVE-2021-4155)
    - rndis_host: support Hytera digital radios
    - [arm64] reduce el2_setup branching
    - [arm64] move !VHE work to end of el2_setup
    - [arm64] sysreg: Move to use definitions for all the SCTLR bits
    - phonet: refcount leak in pep_sock_accep (CVE-2021-45095)
    - scsi: libiscsi: Fix UAF in iscsi_conn_get_param()/iscsi_conn_teardown()
    - ip6_vti: initialize __ip6_tnl_parm struct in vti6_siocdevprivate
    - net: udp: fix alignment problem in udp4_seq_show()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.298
    - Bluetooth: bfusb: fix division by zero in send path
    - USB: core: Fix bug in resuming hub's handling of wakeup requests
    - USB: Fix "slab-out-of-bounds Write" bug in usb_hcd_poll_rh_status
    - [x86] mfd: intel-lpss: Fix too early PM enablement in the ACPI ->probe()
    - can: gs_usb: fix use of uninitialized variable, detach device on
      reception of invalid USB data
    - can: gs_usb: gs_can_start_xmit(): zero-initialize hf->{flags,reserved}
    - random: fix data race on crng_node_pool
    - random: fix data race on crng init time
    - media: uvcvideo: fix division by zero at stream start
    - rtlwifi: rtl8192cu: Fix WARNING when calling local_irq_restore() with
      interrupts enabled
    - HID: uhid: Fix worker destroying device without any protection
    - HID: wacom: Avoid using stale array indicies to read contact count
    - nfc: llcp: fix NULL error pointer dereference on sendmsg() after failed
      bind()
    - rtc: cmos: take rtc_lock while reading from CMOS
    - media: flexcop-usb: fix control-message timeouts
    - media: mceusb: fix control-message timeouts
    - media: em28xx: fix control-message timeouts
    - media: cpia2: fix control-message timeouts
    - media: s2255: fix control-message timeouts
    - media: dib0700: fix undefined behavior in tuner shutdown
    - media: redrat3: fix control-message timeouts
    - media: pvrusb2: fix control-message timeouts
    - media: stk1160: fix control-message timeouts
    - [x86] can: softing_cs: softingcs_probe(): fix memleak on registration
      failure
    - PCI: Add function 1 DMA alias quirk for Marvell 88SE9125 SATA controller
    - shmem: fix a race between shmem_unused_huge_shrink and shmem_evict_inode
    - Bluetooth: cmtp: fix possible panic when cmtp_init_sockets() fails
    - [arm64] wcn36xx: Indicate beacon not connection loss on MISSED_BEACON_IND
    - Bluetooth: stop proccessing malicious adv data
    - media: dmxdev: fix UAF when dvb_register_device() fails
    - [arm64] crypto: qce - fix uaf on qce_ahash_register_one
    - netfilter: bridge: add support for pppoe filtering
    - [arm64] dts: qcom: msm8916: fix MMC controller aliases
    - drm/amdgpu: Fix a NULL pointer dereference in
      amdgpu_connector_lcd_native_mode()
    - drm/radeon/radeon_kms: Fix a NULL pointer dereference in
      radeon_driver_open_kms()
    - [arm64,armhf] serial: amba-pl011: do not request memory region twice
    - [x86] floppy: Fix hang in watchdog when disk is ejected
    - media: dib8000: Fix a memleak in dib8000_init()
    - media: saa7146: mxb: Fix a NULL pointer dereference in mxb_attach()
    - media: si2157: Fix "warm" tuner state detection
    - media: msi001: fix possible null-ptr-deref in msi001_probe()
    - usb: ftdi-elan: fix memory leak on device disconnect
    - [x86] pcmcia: rsrc_nonstatic: Fix a NULL pointer dereference in
      __nonstatic_find_io_region()
    - [x86] pcmcia: rsrc_nonstatic: Fix a NULL pointer dereference in
      nonstatic_find_mem_region()
    - ppp: ensure minimum packet size in ppp_write()
    - [arm64] spi: spi-meson-spifc: Add missing pm_runtime_disable() in
      meson_spifc_probe
    - can: softing: softing_startstop(): fix set but not used variable warning
    - [x86] pcmcia: fix setting of kthread task states
    - net: mcs7830: handle usb read errors properly
    - ext4: avoid trim error on fs with small groups
    - ALSA: jack: Add missing rwsem around snd_ctl_remove() calls
    - ALSA: PCM: Add missing rwsem around snd_ctl_remove() calls
    - ALSA: hda: Add missing rwsem around snd_ctl_remove() calls
    - ALSA: oss: fix compile error when OSS_DEBUG is enabled
    - [x86] char/mwave: Adjust io port register size
    - scsi: ufs: Fix race conditions related to driver data
    - RDMA/core: Let ib_find_gid() continue search even after empty entry
    - RDMA/cxgb4: Set queue pair state when being queried
    - Bluetooth: Fix debugfs entry leak in hci_register_dev()
    - fs: dlm: filter user dlm messages for kernel locks
    - ar5523: Fix null-ptr-deref with unexpected WDCMSG_TARGET_START reply
    - usb: gadget: f_fs: Use stream_open() for endpoint files
    - HID: apple: Do not reset quirks when the Fn key is not found
    - media: b2c2: Add missing check in flexcop_pci_isr:
    - gpiolib: acpi: Do not set the IRQ type if the IRQ is already in use
    - HSI: core: Fix return freed object in hsi_new_client
    - mwifiex: Fix skb_over_panic in mwifiex_usb_recv() (CVE-2021-43976)
    - [x86] floppy: Add max size check for user space request
    - media: saa7146: hexium_orion: Fix a NULL pointer dereference in
      hexium_attach()
    - media: m920x: don't use stack on USB reads
    - iwlwifi: mvm: synchronize with FW after multicast commands
    - ath10k: Fix tx hanging
    - media: igorplugusb: receiver overflow should be reported
    - media: saa7146: hexium_gemini: Fix a NULL pointer dereference in
      hexium_attach()
    - usb: hub: Add delay for SuperSpeed hub resume to let links transit to U0
    - ath9k: Fix out-of-bound memcpy in ath9k_hif_usb_rx_stream
    - jffs2: GC deadlock reading a page that is used in jffs2_write_begin()
    - ACPICA: Utilities: Avoid deleting the same object twice in a row
    - ACPICA: Executer: Fix the REFCLASS_REFOF case in
      acpi_ex_opcode_1A_0T_1R()
    - btrfs: remove BUG_ON() in find_parent_nodes()
    - btrfs: remove BUG_ON(!eie) in find_parent_nodes
    - net: mdio: Demote probed message to debug print
    - dm btree: add a defensive bounds check to insert_at()
    - dm space map common: add bounds check to sm_ll_lookup_bitmap()
    - [arm64,armhf] serial: pl010: Drop CR register reset on set_termios
    - serial: core: Keep mctrl register state and cached copy in sync
    - [x86] i2c: i801: Don't silently correct invalid transfer size
    - ALSA: seq: Set upper limit of processed events
    - [x86] i2c: designware-pci: Fix to change data types of hcnt and lcnt
      parameters
    - scsi: sr: Don't use GFP_DMA
    - ubifs: Error path in ubifs_remount_rw() seems to wrongly free write
      buffers
    - iwlwifi: mvm: Increase the scan timeout guard to 30 seconds
    - ext4: set csum seed in tmp inode while migrating to extents
    - ext4: Fix BUG_ON in ext4_bread when write quota data
    - ext4: don't use the orphan list when migrating an inode
    - drm/radeon: fix error handling in radeon_driver_open_kms
    - RDMA/rxe: Fix a typo in opcode name
    - af_unix: annote lockless accesses to unix_tot_inflight & gc_in_progress
    - netns: add schedule point in ops_exit_list()
    - libcxgb: Don't accidentally set RTO_ONLINK in cxgb_find_route()
    - net_sched: restore "mpu xxx" handling
    - gianfar: simplify FCS handling and fix memory leak
    - gianfar: fix jumbo packets+napi+rx overrun crash (CVE-2021-29264)
    - cipso,calipso: resolve a number of problems with the DOI refcounts
      (CVE-2021-33033)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.299
    - [x86] drm/i915: Flush TLBs before releasing backing store
      (CVE-2022-0330)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.300
    - can: bcm: fix UAF of bcm op
    - Bluetooth: refactor malicious adv data check
    - udf: Restore i_lenAlloc when inode expansion fails (CVE-2022-0617)
    - udf: Fix NULL ptr deref when converting from inline format
      (CVE-2022-0617)
    - PM: wakeup: simplify the output logic of pm_show_wakelocks()
    - tty: n_gsm: fix SW flow control encoding/handling
    - tty: Add support for Brainboxes UC cards.
    - usb-storage: Add unusual-devs entry for VL817 USB-SATA bridge
    - usb: gadget: f_sourcesink: Fix isoc transfer for USB_SPEED_SUPER_PLUS
    - USB: core: Fix hang in usb_kill_urb by adding memory barriers
    - scsi: bnx2fc: Flush destroy_work queue before calling
      bnx2fc_interface_put()
    - ipv6_tunnel: Rate limit warning messages
    - net: fix information leakage in /proc/net/ptype
    - ipv4: avoid using shared IP generator for connected sockets
    - NFSv4: Handle case where the lookup of a directory fails (CVE-2022-24448)
    - NFSv4: nfs_atomic_open() can race when looking up a non-regular file
    - net-procfs: show net devices bound packet types
    - [arm64] drm/msm: Fix wrong size calculation
    - [x86] hwmon: (lm90) Reduce maximum conversion rate for G781
    - ipv4: raw: lock the socket in raw_bind()
    - ipv4: tcp: send zero IPID in SYNACK messages
    - netfilter: nat: remove l4 protocol port rovers
    - netfilter: nat: limit port clash resolution attempts
    - ipheth: fix EOVERFLOW in ipheth_rcvbulk_callback
    - [arm64] net: amd-xgbe: ensure to reset the tx_timer_active flag
    - [arm64] net: amd-xgbe: Fix skb data length underflow
    - rtnetlink: make sure to refresh master_dev/m_ops in __rtnl_newlink()
    - af_packet: fix data-race in packet_setsockopt / packet_setsockopt
    - ASoC: ops: Reject out of bounds values in snd_soc_put_volsw()
    - ASoC: ops: Reject out of bounds values in snd_soc_put_volsw_sx()
    - ASoC: ops: Reject out of bounds values in snd_soc_put_xr_sx()
    - drm/nouveau: fix off by one in BIOS boundary checking
    - [amd64] iommu/amd: Fix loop timeout issue in iommu_ga_log_enable()
    - net: ieee802154: Return meaningful error codes from the netlink helpers
    - net: macsec: Verify that send_sci is on when setting Tx sci explicitly
    - [armhf] ASoC: fsl: Add missing error handling in pcm030_fabric_probe
    - scsi: bnx2fc: Make bnx2fc_recv_frame() mp safe
    - nfsd: nfsd4_setclientid_confirm mistakenly expires confirmed client.
    - rtc: cmos: Evaluate century appropriate
    - [arm64] EDAC/xgene: Fix deferred probing
    - ext4: fix error handling in ext4_restore_inline_data()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.301
    - cgroup-v1: Require capabilities to set release_agent (CVE-2022-0492)
    - moxart: fix potential use-after-free on remove path (CVE-2022-0487)
    - tipc: improve size validations for received domain records
      (CVE-2022-0435)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.302
    - integrity: check the return value of audit_log_start()
    - ima: Remove ima_policy file before directory
    - NFS: Fix initialisation of nfs_client cl_flags field
    - NFSD: Clamp WRITE offsets
    - [x86] Input: i8042 - Fix misplaced backport of "add ASUS Zenbook Flip to
      noselftest list"
    - ALSA: line6: Fix misplaced backport of "Fix wrong altsetting for
      LINE6_PODHD500_1"
    - Revert "net: axienet: Wait for PhyRstCmplt after core reset"
    - NFSv4 only print the label when its queried
    - nfs: nfs4clinet: check the return value of kstrdup()
    - NFSv4 remove zero number of fs_locations entries error check
    - scsi: target: iscsi: Make sure the np under each tpg is unique
    - [arm64,armhf] usb: dwc2: gadget: don't try to disable ep0 in
      dwc2_hsotg_suspend
    - [armhf] dts: imx6qdl-udoo: Properly describe the SD card detect
    - bonding: pair enable_port with slave_arr_updates
    - ipmr,ip6mr: acquire RTNL before calling ip[6]mr_free_table() on failure
      path
    - net: do not keep the dst cache when uncloning an skb dst and its metadata
    - net: fix a memleak when uncloning an skb dst and its metadata
    - tipc: rate limit warning for received illegal binding update
    - vt_ioctl: fix array_index_nospec in vt_setactivate
    - vt_ioctl: add array_index_nospec to VT_ACTIVATE
    - bpf: Add kconfig knob for disabling unpriv bpf by default
    - n_tty: wake up poll(POLLRDNORM) on receiving data
    - [arm64,armhf] usb: dwc3: gadget: Prevent core from processing stale TRBs
    - USB: gadget: validate interface OS descriptor requests (CVE-2022-25258)
    - usb: gadget: rndis: check size of RNDIS_MSG_SET command (CVE-2022-25375)
    - USB: serial: ftdi_sio: add support for Brainboxes US-159/235/320
    - USB: serial: option: add ZTE MF286D modem
    - USB: serial: ch341: add support for GW Instek USB2.0-Serial devices
    - USB: serial: cp210x: add NCR Retail IO box id
    - USB: serial: cp210x: add CPI Bulk Coin Recycler id
    - [x86] hwmon: (dell-smm) Speed up setting of fan speed
    - HID: wacom: add USB_HID dependency
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.303
    - net: usb: ax88179_178a: Fix out-of-bounds accesses in RX fixup
    - btrfs: send: in case of IO error log it
    - net: ieee802154: at86rf230: Stop leaking skb's
    - ax25: improve the incomplete fix to avoid UAF and NPD bugs
    - vfs: make freeze_super abort when sync_filesystem returns error
    - quota: make dquot_quota_sync return errors from ->sync_fs
    - drm/radeon: Fix backlight control on iMac 12,1
    - xfrm: Don't accidentally set RTO_ONLINK in decode_session4()
    - taskstats: Cleanup the use of task->exit_code
    - vsock: correct removal of socket from the list
    - vsock: remove vsock from connected table when connect is interrupted by a
      signal
    - iwlwifi: pcie: fix locking when "HW not ready"
    - drop_monitor: fix data-race in dropmon_net_event / trace_napi_poll_hit
    - libsubcmd: Fix use-after-free for realloc(..., 0)
    - ALSA: hda: Fix regression on forced probe mask option
    - ALSA: hda: Fix missing codec probe on Shenker Dock 15
    - ASoC: ops: Fix stereo change notifications in snd_soc_put_volsw()
    - ASoC: ops: Fix stereo change notifications in snd_soc_put_volsw_range()
    - NFS: LOOKUP_DIRECTORY is also ok with symlinks
    - EDAC: Fix calculation of returned address and next offset in
      edac_align_ptr()
    - lib/iov_iter: initialize "flags" in new pipe_buffer
    - [x86] KVM: x86/pmu: Use AMD64_RAW_EVENT_MASK for PERF_TYPE_RAW
    - NFS: Do not report writeback errors in nfs_getattr()
    - ata: libata-core: Disable TRIM on M88V29
    - tracing: Fix tp_printk option related with tp_printk_stop_on_boot
    - net: usb: qmi_wwan: Add support for Dell DW5829e

  [ Ben Hutchings ]
  * [rt] Update to 4.9.297-rt191
  * Bump ABI to 18
  * bpf: Enable BPF_UNPRIV_DEFAULT_OFF (Closes: #990411)
  * [x86] Update retpoline implementation:
    - x86/speculation: Add RETPOLINE_AMD support to the inline asm CALL_NOSPEC
      variant
    - x86/retpoline: Make CONFIG_RETPOLINE depend on compiler support
    - x86/retpoline: Remove minimal retpoline support
  * Add Spectre documentation:
    - Documentation: Add section about CPU vulnerabilities for Spectre
    - Documentation: Add swapgs description to the Spectre v1 documentation
    - Documentation: refer to config RANDOMIZE_BASE for kernel address-space
      randomization
  * Mitigate Spectre v2-type Branch History Buffer attacks (CVE-2022-0001,
    CVE-2022-0002)
    - [x86] speculation: Merge one test in spectre_v2_user_select_mitigation()
    - [x86] bugs: Unconditionally allow spectre_v2=retpoline,amd
    - [x86] speculation: Rename RETPOLINE_AMD to RETPOLINE_LFENCE
    - [x86] speculation: Add eIBRS + Retpoline options
    - Documentation/hw-vuln: Update spectre doc
    - [x86] speculation: Include unprivileged eBPF status in Spectre v2
      mitigation reporting
    - [x86] speculation: Use generic retpoline by default on AMD
    - [x86] speculation: Update link to AMD speculation whitepaper
    - [x86] speculation: Warn about Spectre v2 LFENCE mitigation
    - [x86] speculation: Warn about eIBRS + LFENCE + Unprivileged eBPF + SMT

 -- Ben Hutchings <benh@debian.org>  Mon, 07 Mar 2022 22:15:53 +0100

linux (4.9.290-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.273
    - net/nfc/rawsock.c: fix a permission check bug
    - bonding: init notify_work earlier to avoid uninitialized use
    - netlink: disable IRQs for netlink_lock_table()
    - net: mdiobus: get rid of a BUG_ON()
    - cgroup: disable controllers at parse time
    - wq: handle VM suspension in stall detection
    - net/qla3xxx: fix schedule while atomic in ql_sem_spinlock
    - [x86] scsi: vmw_pvscsi: Set correct residual data length
    - scsi: target: qla2xxx: Wait for stop_phase1 at WWN removal
    - [arm64] net: macb: ensure the device is available before accessing GEMGXL
      control registers
    - bnx2x: Fix missing error code in bnx2x_iov_init_one()
    - drm: Lock pointer access in drm_master_release()
    - kvm: avoid speculation-based attacks from out-of-range memslot accesses
    - btrfs: return value from btrfs_mark_extent_written() in case of error
    - cgroup1: don't allow '\n' in renaming
    - USB: f_ncm: ncm_bitrate (speed) is unsigned
    - [arm64,armhf] usb: dwc3: ep0: fix NULL pointer exception
    - USB: serial: ftdi_sio: add NovaTech OrionMX product ID
    - USB: serial: omninet: add device id for Zyxel Omni 56K Plus
    - USB: serial: quatech2: fix control-request directions
    - usb: gadget: eem: fix wrong eem header operation
    - usb: fix various gadgets null ptr deref on 10gbps cabling.
    - usb: fix various gadget panics on 10gbps cabling
    - perf: Fix data race between pin_count increment/decrement
    - NFS: Fix a potential NULL dereference in nfs_get_client()
    - perf session: Correct buffer copying when peeking events
    - kvm: fix previous commit for 32-bit builds
    - NFSv4: nfs4_proc_set_acl needs to restore NFS_CAP_UIDGID_NOMAP on error.
    - scsi: core: Fix error handling of scsi_host_alloc()
    - scsi: core: Only put parent device if host state differs from
      SHOST_CREATED
    - ftrace: Do not blindly read the ip address in ftrace_bug()
    - tracing: Correct the length check which causes memory corruption
    - proc: only require mm_struct for writing
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.274
    - net: ieee802154: fix null deref in parse dev addr
    - HID: hid-sensor-hub: Return error for hid_set_field() failure
    - HID: Add BUS_VIRTUAL to hid_connect logging
    - HID: usbhid: fix info leak in hid_submit_ctrl
    - gfs2: Fix use-after-free in gfs2_glock_shrink_scan
    - scsi: target: core: Fix warning on realtime kernels
    - ethernet: myri10ge: Fix missing error code in myri10ge_probe()
    - rtnetlink: Fix missing error code in rtnl_bridge_notify()
    - net/x25: Return the correct errno code
    - net: Return the correct errno code
    - fib: Return the correct errno code
    - mm: hwpoison: change PageHWPoison behavior on hugetlb pages
    - batman-adv: Avoid WARN_ON timing related checks
    - net: ipv4: fix memory leak in netlbl_cipsov4_add_std
    - net: rds: fix memory leak in rds_recvmsg
    - udp: fix race between close() and udp_abort()
    - rtnetlink: Fix regression in bridge VLAN configuration
    - netfilter: synproxy: Fix out of bounds when parsing TCP options
    - alx: Fix an error handling path in 'alx_probe()'
    - [arm64,armhf] net: stmmac: dwmac1000: Fix extended MAC address registers
      definition
    - qlcnic: Fix an error handling path in 'qlcnic_probe()'
    - netxen_nic: Fix an error handling path in 'netxen_nic_probe()'
    - net: cdc_ncm: switch to eth%d interface naming
    - net: usb: fix possible use-after-free in smsc75xx_bind
    - net: ipv4: fix memory leak in ip_mc_add1_src
    - net/af_unix: fix a data-race in unix_dgram_sendmsg / unix_release_sock
    - be2net: Fix an error handling path in 'be_probe()'
    - net: hamradio: fix memory leak in mkiss_close
    - net: cdc_eem: fix tx fixup skb leak
    - scsi: core: Put .shost_dev in failure path if host state changes to
      RUNNING
    - radeon: use memcpy_to/fromio for UVD fw upload
    - tracing: Do no increment trace_clock_global() by one
    - PCI: Mark some NVIDIA GPUs to avoid bus reset
    - [armhf] dmaengine: pl330: fix wrong usage of spinlock flags in dma_cyclc
    - can: bcm/raw/isotp: use per module netdevice notifier
    - [arm64,armhf] usb: dwc3: core: fix kernel panic when do reboot
    - tracing: Do not stop recording cmdlines when tracing is off
    - tracing: Do not stop recording comms if the trace file is being read
    - [x86] fpu: Reset state for all signal restore failures
    - inet: use bigger hash table for IP ID generation
    - i40e: Be much more verbose about what we can and cannot offload
    - [arm64] perf: Disable PMU while processing counter overflows
    - Revert "PCI: PM: Do not read power state in pci_enable_device_flags()"
    - mac80211: remove warning in ieee80211_get_sband()
    - cfg80211: call cfg80211_leave_ocb when switching away from OCB
    - mac80211: drop multicast fragments
    - ping: Check return value of function 'ping_queue_rcv_skb'
    - inet: annotate date races around sk->sk_txhash
    - net: caif: fix memory leak in ldisc_open
    - net/packet: annotate accesses to po->bind
    - net/packet: annotate accesses to po->ifindex
    - net: qed: Fix memcpy() overflow of qed_dcbx_params()
    - nilfs2: fix memory leak in nilfs_sysfs_delete_device_group
    - i2c: robotfuzz-osif: fix control-request directions
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.275
    - mm: thp: replace DEBUG_VM BUG with VM_WARN when unmap fails for split
    - mm, futex: fix shared futex pgoff on shmem huge page
    - scsi: sr: Return appropriate error code when disk is ejected
    - drm/nouveau: fix dma_address check for CPU/GPU sync
    - kthread_worker: split code for canceling the delayed work timer
    - kthread: prevent deadlock when kthread_mod_delayed_work() races with
      kthread_cancel_delayed_work_sync()
    - xen/events: reset active flag for lateeoi events later
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.276
    - ALSA: usb-audio: fix rate on Ozone Z90 USB headset
    - media: dvb-usb: fix wrong definition
    - Input: usbtouchscreen - fix control-request directions
    - net: can: ems_usb: fix use-after-free in ems_usb_disconnect()
    - usb: gadget: eem: fix echo command packet response issue
    - USB: cdc-acm: blacklist Heimann USB Appset device
    - ntfs: fix validity check for file name attribute
    - iov_iter_fault_in_readable() should do nothing in xarray case
    - Input: joydev - prevent use of not validated data in JSIOCSBTNMAP ioctl
      (CVE-2021-3612)
    - btrfs: clear defrag status of a root if starting transaction fails
    - ext4: fix kernel infoleak via ext4_extent_header
    - ext4: correct the cache_nr in tracepoint ext4_es_shrink_exit
    - ext4: remove check for zero nr_to_scan in ext4_es_scan()
    - ext4: fix avefreec in find_group_orlov
    - SUNRPC: Fix the batch tasks count wraparound.
    - SUNRPC: Should wake up the privileged task firstly.
    - [x86] serial_cs: Add Option International GSM-Ready 56K/ISDN modem
    - [x86] serial_cs: remove wrong GLOBETROTTER.cis entry
    - ath9k: Fix kernel NULL pointer dereference during ath_reset_internal()
    - ssb: sdio: Don't overwrite const buffer if block_write fails
    - seq_buf: Make trace_seq_putmem_hex() support data longer than 8
    - fuse: check connected before queueing on fpq->io
    - [i386] spi: spi-topcliff-pch: Fix potential double free in
      pch_spi_process_messages()
    - media: cpia2: fix memory leak in cpia2_usb_probe
    - media: cobalt: fix race condition in setting HPD
    - media: pvrusb2: fix warning in pvr2_i2c_core_done
    - [x86] crypto: qat - check return code of qat_hal_rd_rel_reg()
    - [x86] crypto: qat - remove unused macro in FW loader
    - media: v4l2-core: Avoid the dangling pointer in v4l2_fh_release
    - media: bt8xx: Fix a missing check bug in bt878_probe
    - mmc: via-sdmmc: add a check against NULL pointer dereference
    - crypto: shash - avoid comparing pointers to exported functions under CFI
    - media: dvb_net: avoid speculation from net slot
    - media: siano: fix device register error path
    - btrfs: abort transaction if we fail to update the delayed inode
    - btrfs: disable build on platforms having page size 256K
    - [armhf] regulator: da9052: Ensure enough delay time for
      .set_voltage_time_sel
    - ACPI: processor idle: Fix up C-state latency if not ordered
    - block_dump: remove block_dump feature in mark_inode_dirty()
    - fs: dlm: cancel work sync othercon
    - fs: dlm: fix memory leak when fenced
    - ACPI: bus: Call kobject_put() in acpi_init() error path
    - [x86] platform/x86: toshiba_acpi: Fix missing error code in
      toshiba_acpi_setup_keyboard()
    - ACPI: tables: Add custom DSDT file as makefile prerequisite
    - [armhf] sata_highbank: fix deferred probing
    - media: siano: Fix out-of-bounds warnings in
      smscore_load_firmware_family2()
    - [armhf] spi: spi-sun6i: Fix chipselect/clock bug
    - ACPI: sysfs: Fix a buffer overrun problem with description_show()
    - ocfs2: fix snprintf() checking
    - net: pch_gbe: Propagate error from devm_gpio_request_one()
    - RDMA/rxe: Fix failure during driver load
    - drm: qxl: ensure surf.data is ininitialized
    - wireless: carl9170: fix LEDS build errors & warnings
    - brcmsmac: mac80211_if: Fix a resource leak in an error handling path
    - ath10k: Fix an error code in ath10k_add_interface()
    - netlabel: Fix memory leak in netlbl_mgmt_add_common
    - netfilter: nft_exthdr: check for IPv6 packet before further processing
    - vxlan: add missing rcu_read_lock() in neigh_reduce()
    - i40e: Fix error handling in i40e_vsi_open
    - Bluetooth: mgmt: Fix slab-out-of-bounds in tlv_data_is_valid
    - writeback: fix obtain a reference to a freeing memcg css
    - net: sched: fix warning in tcindex_alloc_perfect_hash
    - tty: nozomi: Fix a resource leak in an error handling function
    - iio: adis_buffer: do not return ints in irq handlers
    - [x86] iio: accel: kxcjk-1013: Fix buffer alignment in
      iio_push_to_buffers_with_timestamp()
    - [x86] iio: gyro: bmg160: Fix buffer alignment in
      iio_push_to_buffers_with_timestamp()
    - [x86] char: pcmcia: error out if 'num_bytes_read' is greater than 4 in
      set_protocol()
    - tty: nozomi: Fix the error handling path of 'nozomi_card_init()'
    - [x86] scsi: FlashPoint: Rename si_flags field
    - of: Fix truncation of memory sizes on 32-bit platforms
    - scsi: mpt3sas: Fix error return value in _scsih_expander_add()
    - configfs: fix memleak in configfs_release_bin_file
    - mm/huge_memory.c: don't discard hugepage if other processes are mapping
      it
    - mmc: vub300: fix control-request direction
    - scsi: core: Retry I/O for Notify (Enable Spinup) Required error
    - [i386] net: pch_gbe: Use proper accessors to BE data in pch_ptp_match()
    - atm: iphase: fix possible use-after-free in ia_module_exit()
    - mISDN: fix possible use-after-free in HFC_cleanup()
    - atm: nicstar: Fix possible use-after-free in nicstar_cleanup()
    - [rt] net: Treat __napi_schedule_irqoff() as __napi_schedule() on
      PREEMPT_RT
    - reiserfs: add check for invalid 1st journal block
    - drm/virtio: Fix double free on probe failure
    - udf: Fix NULL pointer dereference in udf_symlink function
    - [arm64,armhf] clk: tegra: Ensure that PLLU configuration is applied
      properly
    - ipv6: use prandom_u32() for ID generation
    - RDMA/cxgb4: Fix missing error code in create_qp()
    - dm space maps: don't reset space map allocation cursor when committing
    - selinux: use __GFP_NOWARN with GFP_NOWAIT in the AVC
    - xfrm: Fix error reporting in xfrm_state_construct.
    - [arm64,armhf] wlcore/wl12xx: Fix wl12xx get_mac error if device is in ELP
    - [arm64,armhf] wl1251: Fix possible buffer overflow in wl1251_cmd_scan
    - atm: nicstar: use 'dma_free_coherent' instead of 'kfree'
    - atm: nicstar: register the interrupt handler in the right place
    - RDMA/rxe: Don't overwrite errno from ib_umem_get()
    - sfc: avoid double pci_remove of VFs
    - sfc: error code if SRIOV cannot be disabled
    - wireless: wext-spy: Fix out-of-bounds warning
    - RDMA/cma: Fix rdma_resolve_route() memory leak
    - Bluetooth: Fix the HCI to MGMT status conversion table
    - Bluetooth: btusb: fix bt fiwmare downloading failure issue for qca btsoc.
    - sctp: add size validation when walking chunks (CVE-2021-3655)
    - fuse: reject internal errno
    - can: gw: synchronize rcu operations before removing gw job entry
    - mac80211: fix memory corruption in EAPOL handling
    - [x86] pinctrl/amd: Add device HID for new AMD GPIO controller
    - mmc: sdhci: Fix warning message when accessing RPMB in HS400 mode
    - mmc: core: clear flags before allowing to retune
    - [armhf] ata: ahci_sunxi: Disable DIPM
    - [arm64,armhf] ASoC: tegra: Set driver_name=tegra for all machine drivers
    - [x86] ipmi/watchdog: Stop watchdog timer when the current action is 'none'
    - seq_buf: Fix overflow in seq_buf_putmem_hex()
    - dm btree remove: assign new_root only when removal succeeds
    - media: dtv5100: fix control-request directions
    - media: zr364xx: fix memory leak in zr364xx_start_readpipe
    - media: gspca/sq905: fix control-request direction
    - media: gspca/sunplus: fix zero-length control requests
    - media: uvcvideo: Fix pixel format change for Elgato Cam Link 4K
    - jfs: fix GPF in diFree
    - [x86] KVM: x86: Use guest MAXPHYADDR from CPUID.0x8000_0008 iff TDP is
      enabled
    - [x86] KVM: X86: Disable hardware breakpoints unconditionally before
      kvm_x86->run()
    - scsi: core: Fix bad pointer dereference when ehandler kthread is invalid
    - tracing: Do not reference char * as a string in histograms
    - fscrypt: don't ignore minor_hash when hash is 0
    - [x86] misc/libmasm/module: Fix two use after free in ibmasm_init_one
    - Revert "ALSA: bebob/oxfw: fix Kconfig entry for Mackie d.2 Pro"
    - scsi: lpfc: Fix "Unexpected timeout" error in direct attach topology
    - [x86] tty: serial: 8250: serial_cs: Fix a memory leak in error handling
      path
    - fs/jfs: Fix missing error code in lmLogInit()
    - scsi: iscsi: Add iscsi_cls_conn refcount helpers
    - [i386] ALSA: sb: Fix potential double-free of CSP mixer elements
    - [arm64] gpio: zynq: Check return value of pm_runtime_get_sync
    - ASoC: soc-core: Fix the error return code in
      snd_soc_of_parse_audio_routing()
    - ALSA: bebob: add support for ToneWeal FW66
    - usb: gadget: f_hid: fix endianness issue with descriptors
    - usb: gadget: hid: fix error return code in hid_bind()
    - ALSA: hda: Add IRQ check for platform_get_irq()
    - i2c: core: Disable client irq on reboot/shutdown
    - lib/decompress_unlz4.c: correctly handle zero-padding around initrds.
    - [x86] watchdog: Fix possible use-after-free in wdt_startup()
    - [x86] watchdog: Fix possible use-after-free by calling del_timer_sync()
    - [x86] fpu: Return proper error codes from user access functions
    - ceph: remove bogus checks and WARN_ONs from ceph_set_page_dirty
    - [arm64,armhf] pwm: tegra: Don't modify HW state in .remove callback
    - [arm64] ACPI: AMBA: Fix resource name in /proc/iomem
    - virtio-blk: Fix memory leak among suspend/resume procedure
    - virtio_console: Assure used length from device is limited
      (CVE-2021-38160)
    - PCI/sysfs: Fix dsm_label_utf16s_to_utf8s() buffer overrun
    - nfs: fix acl memory leak of posix_acl_create()
    - ubifs: Set/Clear I_LINKABLE under i_lock for whiteout inode
    - [x86] fpu: Limit xstate copy size in xstateregs_set()
    - [i386] ALSA: isa: Fix error return code in snd_cmi8330_probe()
    - [armhf] dts: exynos: fix PWM LED max brightness on Odroid XU/XU3
    - [armhf] dts: exynos: fix PWM LED max brightness on Odroid XU4
    - rtc: fix snprintf() checking in is_rtc_hctosys()
    - reset: bail if try_module_get() fails
    - [armhf] dts: am335x: align ti,pindir-d0-out-d1-in property with dt-shema
    - scsi: be2iscsi: Fix an error handling path in beiscsi_dev_probe()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.277
    - [armhf] dts: rockchip: fix pinctrl sleep nodename for rk3036-kylin and
      rk3288
    - [armhf] dts: rockchip: Fix power-controller node names for rk3288
    - [armhf] dts: imx6: phyFLEX: Fix UART hardware flow control
    - [armhf] imx: pm-imx5: Fix references to imx5_cpu_suspend_info
    - [arm64] dts: juno: Update SCPI nodes as per the YAML schema
    - [arm64,armhf] rtc: max77686: Do not enforce (incorrect) interrupt trigger
      type
    - scsi: aic7xxx: Fix unintentional sign extension issue on left shift of u8
    - sched/fair: Fix CFS bandwidth hrtimer expiry type
    - net: ipv6: fix return value of ip6_skb_dst_mtu
    - net: bridge: sync fdb to new unicast-filtering ports
    - [arm64] net: qcom/emac: fix UAF in emac_remove
    - net: ti: fix UAF in tlan_remove_one
    - net: validate lwtstate->data before returning from skb_tunnel_info()
    - tcp: annotate data races around tp->mtu_info
    - ipv6: tcp: drop silly ICMPv6 packet too big messages
    - ixgbe: Fix an error handling path in 'ixgbe_probe()'
    - igb: Fix an error handling path in 'igb_probe()'
    - fm10k: Fix an error handling path in 'fm10k_probe()'
    - e1000e: Fix an error handling path in 'e1000_probe()'
    - iavf: Fix an error handling path in 'iavf_probe()'
    - igb: Check if num of q_vectors is smaller than max before array access
    - perf lzma: Close lzma stream on exit
    - perf test bpf: Free obj_buf
    - perf probe-file: Delete namelist in del_events() on the error path
    - net: fix uninit-value in caif_seqpkt_sendmsg
    - [x86] net: decnet: Fix sleeping inside in af_decnet
    - netrom: Decrease sock refcount when sock timers expire
    - scsi: iscsi: Fix iface sysfs attr detection
    - scsi: target: Fix protect handling in WRITE SAME(32)
    - Revert "USB: quirks: ignore remote wake-up on Fibocom L850-GL LTE modem"
    - proc: Avoid mixing integer types in mem_rw()
    - [i386] ALSA: sb: Fix potential ABBA deadlock in CSP driver
    - xhci: Fix lost USB 2 remote wake
    - usb: hub: Disable USB 3 device initiated lpm if exit latency is too high
    - USB: usb-storage: Add LaCie Rugged USB3-FW to IGNORE_UAS
    - usb: max-3421: Prevent corruption of freed memory (CVE-2021-38204)
    - USB: serial: option: add support for u-blox LARA-R6 family
    - USB: serial: cp210x: fix comments for GE CS1000
    - USB: serial: cp210x: add ID for CEL EM3588 USB ZigBee stick
    - tracing: Fix bug in rb_per_cpu_empty() that might cause deadloop.
      (CVE-2021-3679)
    - media: ngene: Fix out-of-bounds bug in ngene_command_config_free_buf()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.278
    - [amd64] iommu/amd: Fix backport of
      140456f994195b568ecd7fc2287a34eadffef3ca (regression in 4.9.261)
    - tipc: Fix backport of b77413446408fdd256599daf00d5be72b5f3e7c6
      (regression in 4.9.253)
    - net: split out functions related to registering inflight socket files
    - af_unix: fix garbage collect vs MSG_PEEK (CVE-2021-0920)
    - workqueue: fix UAF in pwq_unbound_release_workfn()
    - net/802/mrp: fix memleak in mrp_request_join()
    - net/802/garp: fix memleak in garp_request_join()
    - sctp: move 198 addresses from unusable to private scope
    - hfs: add missing clean-up in hfs_fill_super
    - hfs: fix high memory mapping in hfs_bnode_read
    - hfs: add lock nesting notation to hfs_find_init
    - ocfs2: fix zero out valid data
    - ocfs2: issue zeroout to EOF blocks
    - can: usb_8dev: fix memory leak
    - can: ems_usb: fix memory leak
    - can: esd_usb2: fix memory leak
    - NIU: fix incorrect error return, missed in previous revert
    - nfc: nfcsim: fix use after free during module unload
    - cfg80211: Fix possible memory leak in function cfg80211_bss_update
    - netfilter: conntrack: adjust stop timestamp to real expiry value
    - netfilter: nft_nat: allow to specify layer 4 protocol NAT only
    - tipc: fix sleeping in tipc accept routine
    - mlx4: Fix missing error code in mlx4_load_one()
    - net: llc: fix skb_over_panic
    - net/mlx5: Fix flow table chaining
    - tulip: windbond-840: Fix missing pci_disable_device() in probe and remove
    - sis900: Fix missing pci_disable_device() in probe and remove
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.279
    - btrfs: mark compressed range uptodate only if all bio succeed
    - r8152: Fix potential PM refcount imbalance
    - net: Fix zero-copy head len calculation.
    - can: raw: raw_setsockopt(): fix raw_rcv panic for sock UAF
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.280
    - ALSA: seq: Fix racy deletion of subscriber
    - scsi: sr: Return correct event when media event code is 3
    - media: videobuf2-core: dequeue if start_streaming fails
    - net: natsemi: Fix missing pci_disable_device() in probe and remove
    - bnx2x: fix an error code in bnx2x_nic_load()
    - net: pegasus: fix uninit-value in get_interrupt_interval
    - net: vxge: fix use-after-free in vxge_device_unregister
    - Bluetooth: defer cleanup of resources in hci_unregister_dev()
    - USB: usbtmc: Fix RCU stall warning
    - USB: serial: option: add Telit FD980 composition 0x1056
    - USB: serial: ftdi_sio: add device ID for Auto-M3 OP-COM v2
    - media: rtl28xxu: fix zero-length control request
    - pipe: increase minimum default pipe size to 2 pages
    - serial: 8250: Mask out floating 16/32-bit bus bits
    - [x86] pcmcia: i82092: fix a null pointer dereference bug
    - [x86] perf/x86/amd: Don't touch the AMD64_EVENTSEL_HOSTONLY bit inside
      the guest
    - reiserfs: add check for root_inode in reiserfs_fill_super
    - reiserfs: check directory items on read from disk
    - net/qla3xxx: fix schedule while atomic in ql_wait_for_drvr_lock and
      ql_adapter_reset
    - [arm64] USB:ehci:fix Kunpeng920 ehci hardware problem
    - ppp: Fix generating ppp unit id when ifname is not specified
    - net: xilinx_emaclite: Do not print real IOMEM pointer (CVE-2021-38205)
    - ovl: prevent private clone if bind mount is not allowed (CVE-2021-3732)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.281
    - iio: adc: Fix incorrect exit of for-loop
    - [x86] ASoC: intel: atom: Fix reference to PCM buffer address
    - i2c: dev: zero out array used for i2c reads from userspace
    - ACPI: NFIT: Fix support for virtual SPA ranges
    - ppp: Fix generating ifname when empty IFLA_IFNAME is specified
    - net: Fix memory leak in ieee802154_raw_deliver
    - net: bridge: fix memleak in br_add_if()
    - tcp_bbr: fix u32 wrap bug in round logic if bbr_init() called after 2B
      packets
    - xen/events: Fix race in set_evtchn_to_irq
    - PCI/MSI: Enable and mask MSI-X early
    - PCI/MSI: Do not set invalid bits in MSI mask
    - PCI/MSI: Correct misleading comments
    - PCI/MSI: Use msi_mask_irq() in pci_msi_shutdown()
    - PCI/MSI: Protect msi_desc::masked for multi-MSI
    - PCI/MSI: Mask all unused MSI-X entries
    - PCI/MSI: Enforce that MSI-X table entry is masked for update
    - PCI/MSI: Enforce MSI[X] entry updates to be visible
    - mac80211: drop data frames without key on encrypted links
    - [x86] KVM: nSVM: avoid picking up unsupported bits from L2 in int_ctl
      (CVE-2021-3653)
    - [x86] fpu: Make init_fpstate correct with optimized XSAVE
    - dmaengine: of-dma: router_xlate to return -EPROBE_DEFER if controller is
      not yet available
    - scsi: megaraid_mm: Fix end of loop tests for list_for_each_entry()
    - scsi: scsi_dh_rdac: Avoid crash during rdac_bus_attach()
    - scsi: core: Avoid printing an error if target_alloc() returns -ENXIO
    - Bluetooth: hidp: use correct wait queue when removing ctrl_wait
    - vhost: Fix the calculation in vhost_overflow()
    - net: 6pack: fix slab-out-of-bounds in decode_data (CVE-2021-42008)
    - net: qlcnic: add missed unlock in qlcnic_83xx_flash_read32
    - [arm64,armhf] mmc: dw_mmc: call the dw_mci_prep_stop_abort() by default
    - [arm64,armhf] mmc: dw_mmc: Fix hang on data CRC error
    - ALSA: hda - fix the 'Capture Switch' value change notifications
    - btrfs: prevent rename2 from exchanging a subvol with a directory from
      different parents
    - [x86] ASoC: intel: atom: Fix breakage for PCM buffer address setup
    - locks: print a warning when mount fails due to lack of "mand" support
    - fs: warn about impending deprecation of mandatory locks
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.282
    - can: usb: esd_usb2: esd_usb2_rx_event(): fix the interchange of the CAN
      RX and TX error counters
    - USB: serial: option: add new VID/PID to support Fibocom FG150
    - [arm64,armhf] usb: dwc3: gadget: Fix dwc3_calc_trbs_left()
    - IB/hfi1: Fix possible null-pointer dereference in _extend_sdma_tx_descs()
    - e1000e: Fix the max snoop/no-snoop latency for 10M
    - ip_gre: add validation for csum_start
    - [armhf] net: marvell: fix MVNETA_TX_IN_PRGRS bit number
    - virtio: Improve vq->broken access to avoid any compiler optimization
    - vringh: Use wiov->used to check for read/write desc order
    - net/rds: dma_map_sg is entitled to merge entries
    - vt_kdsetmode: extend console locking (CVE-2021-3753)
    - fbmem: add margin check to fb_check_caps()
    - [x86] KVM: x86/mmu: Treat NX as used (not reserved) for all !TDP shadow
      MMUs
    - Revert "floppy: reintroduce O_NDELAY fix" (regression in 4.9.259)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.283
    - ext4: fix race writing to an inline_data file while its xattrs are
      changing (CVE-2021-40490)
    - qed: Fix the VF msix vectors flow
    - qede: Fix memset corruption
    - [x86] perf/x86/amd/ibs: Work around erratum #1197
    - ALSA: pcm: fix divide error in snd_pcm_lib_ioctl
    - ath: Avoid transmitting frames unencrypted after disassociation
      (CVE-2020-3702):
      + ath: Use safer key clearing with key cache entries
      + ath9k: Clear key cache explicitly on disabling hardware
      + ath: Export ath_hw_keysetmac()
      + ath: Modify ath_key_delete() to not need full key entry
      + ath9k: Postpone key cache entry deletion for TXQ frames reference it
    - media: stkwebcam: fix memory leak in stk_camera_probe
    - igmp: Add ip_mc_list lock in ip_check_mc_rcu
    - USB: serial: mos7720: improve OOM-handling in read_mos_reg()
    - net/sched: cls_flower: Use mask for addr_type
    - PM / wakeirq: Enable dedicated wakeirq for suspend
    - nvme-pci: Fix an error handling path in 'nvme_probe()'
    - gfs2: Don't clear SGID when inheriting ACLs
    - ipv4/icmp: l3mdev: Perform icmp error route lookup on source device
      routing table (v2)
    - mm/page_alloc: speed up the iteration of max_order
    - [x86] reboot: Limit Dell Optiplex 990 quirk to early BIOS versions
    - PCI: Call Max Payload Size-related fixup quirks early
    - regmap: fix the offset of register error log
    - [armhf] crypto: omap-sham - clear dma flags only after
      omap_sham_update_dma_stop()
    - udf: Check LVID earlier
    - libata: fix ata_host_start()
    - [x86] crypto: qat - do not ignore errors from enable_vf2pf_comms()
    - [x86] crypto: qat - handle both source of interrupt in VF ISR
    - [x86] crypto: qat - fix reuse of completion variable
    - [x86] crypto: qat - fix naming for init/shutdown VF to PF notifications
    - [x86] crypto: qat - do not export adf_iov_putmsg()
    - udf_get_extendedattr() had no boundary checks.
    - [x86] crypto: qat - use proper type for vf_mask
    - media: dvb-usb: fix uninit-value in dvb_usb_adapter_dvb_init
    - media: dvb-usb: fix uninit-value in vp702x_read_mac_addr
    - media: go7007: remove redundant initialization
    - Bluetooth: sco: prevent information leak in sco_conn_defer_accept()
    - tcp: seq_file: Avoid skipping sk during tcp_seek_last_pos
    - PCI: PM: Enable PME if it can be signaled from D3cold
    - [arm64] soc: qcom: smsm: Fix missed interrupts if state changes while
      masked
    - Bluetooth: increase BTNAMSIZ to 21 chars to fix potential buffer overflow
    - Bluetooth: fix repeated calls to sco_sock_kill
    - [arm64] drm/msm/dsi: Fix some reference counted resource leaks
    - [armhf] usb: phy: twl6030: add IRQ checks
    - Bluetooth: Move shutdown callback before flushing tx and rx queue
    - Bluetooth: add timeout sanity check to hci_inquiry
    - [armhf] i2c: s3c2410q: fix IRQ check
    - [arm64,armhf] mmc: dw_mmc: Fix issue with uninitialized dma_slave_config
    - CIFS: Fix a potencially linear read overflow
    - [armel] usb: ehci-orion: Handle errors of clk_prepare_enable() in probe
    - ath6kl: wmi: fix an error code in ath6kl_wmi_sync_point()
    - bcma: Fix memory leak for internally-handled cores
    - ipv4: make exception cache less predictible (CVE-2021-20322)
    - tty: Fix data race between tiocsti() and flush_to_ldisc()
    - [x86] KVM: x86: Update vCPU's hv_clock before back to guest when
      tsc_offset is adjusted
    - [armel] clk: kirkwood: Fix a clocking boot regression
    - fbmem: don't allow too huge resolutions
    - PCI/MSI: Skip masking MSI-X on Xen PV
    - [x86] xen: fix setting of max_pfn in shared_info
    - [x86] VMCI: fix NULL pointer dereference when unmapping queue pair
    - media: uvc: don't do DMA on stack
    - media: rc-loopback: return number of emitters rather than error
    - libata: add ATA_HORKAGE_NO_NCQ_TRIM for Samsung 860 and 870 SSDs
    - [armel,armhf] 9105/1: atags_to_fdt: don't warn about stack size
    - PCI: Restrict ASMedia ASM1062 SATA Max Payload Size Supported
    - PCI: Return ~0 data on pciconfig_read() CAP_SYS_ADMIN failure
    - [arm64,armhf] pinctrl: single: Fix error return code in
      pcs_parse_bits_in_pinctrl_entry()
    - PCI: Use pci_update_current_state() in pci_enable_device_flags()
    - [x86] video: fbdev: kyro: fix a DoS bug by restricting user input
    - netlink: Deal with ESRCH error in nlmsg_notify()
    - usb: gadget: u_ether: fix a potential null pointer dereference
    - usb: gadget: composite: Allow bMaxPower=0 if self-powered
    - [x86] tty: serial: jsm: hold port lock when reporting modem line changes
    - bpf/tests: Fix copy-and-paste error in double word test
    - bpf/tests: Do not PASS tests without actually testing the result
    - [x86] video: fbdev: kyro: Error out if 'pixclock' equals zero
    - ipv4: ip_output.c: Fix out-of-bounds warning in ip_copy_addrs()
    - flow_dissector: Fix out-of-bounds warnings
    - serial: 8250: Define RX trigger levels for OxSemi 950 devices
    - serial: 8250_pci: make setup_port() parameters explicitly unsigned
    - Bluetooth: skip invalid hci_sync_conn_complete_evt
    - [x86] ASoC: Intel: bytcr_rt5640: Move "Platform Clock" routes to the maps
      for the matching in-/output
    - [arm64] net: ethernet: stmmac: Do not use unreachable() in
      ipq806x_gmac_probe()
    - Bluetooth: avoid circular locks in sco_sock_connect
    - gpu: drm: amd: amdgpu: amdgpu_i2c: fix possible uninitialized-variable
      access in amdgpu_i2c_router_select_ddc_port()
    - [armhf] tegra: tamonten: Fix UART pad setting
    - rpc: fix gss_svc_init cleanup on failure
    - gfs2: Don't call dlm after protocol is unmounted
    - mmc: rtsx_pci: Fix long reads when clock is prescaled
    - cifs: fix wrong release in sess_alloc_buffer() failed path
    - Revert "USB: xhci: fix U1/U2 handling for hardware with XHCI_INTEL_HOST
      quirk set" (regression in 4.9.251)
    - [x86] usbip: give back URBs for unsent unlink requests during cleanup
    - parport: remove non-zero check on count
    - ath9k: fix OOB read ar9300_eeprom_restore_internal
    - ath9k: fix sleeping in atomic context
    - net: fix NULL pointer reference in cipso_v4_doi_free
    - [x86] scsi: BusLogic: Fix missing pr_cont() use
    - mm/hugetlb: initialize hugetlb_usage in mm_init
    - memcg: enable accounting for pids in nested pid namespaces
    - [x86] xen: reset legacy rtc flag for PV domU
    - bnx2x: Fix enabling network interfaces without VFs
    - net-caif: avoid user-triggerable WARN_ON(1)
    - dccp: don't duplicate ccid when cloning dccp sock (CVE-2020-16119)
      (regression in 4.9.108)
    - net/l2tp: Fix reference count leak in l2tp_udp_recv_core
    - r6040: Restore MDIO clock frequency after MAC reset
    - tipc: increase timeout in tipc_sk_enqueue()
    - events: Reuse value read using READ_ONCE instead of re-reading it
    - net/af_unix: fix a data-race in unix_dgram_poll
    - tcp: fix tp->undo_retrans accounting in tcp_sacktag_one()
    - [x86] mm: Fix kern_addr_valid() to cope with existing but not present
      entries
    - [armhf] mfd: Don't use irq_create_mapping() to resolve a mapping
    - net: usb: cdc_mbim: avoid altsetting toggling for Telit LN920
    - ethtool: Fix an error code in cxgb2.c
    - mtd: rawnand: cafe: Fix a resource leak in the error handling path of
      'cafe_nand_probe()'
    - [armhf] net: dsa: b53: Fix calculating number of switch ports
    - qlcnic: Remove redundant unlock in qlcnic_pinit_from_rom
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.284
    - PM / wakeirq: Fix unbalanced IRQ enable for wakeirq
    - sctp: validate chunk size in __rcv_asconf_lookup
    - sctp: add param size validation for SCTP_PARAM_SET_PRIMARY
    - dmaengine: acpi: Avoid comparison GSI with Linux vIRQ
    - 9p/trans_virtio: Remove sysfs file on probe failure
    - prctl: allow to setup brk for et_dyn executables
    - profiling: fix shift-out-of-bounds bugs
    - ceph: lockdep annotations for try_nonblocking_invalidate
    - nilfs2: fix memory leak in nilfs_sysfs_create_device_group
    - nilfs2: fix NULL pointer in nilfs_##name##_attr_release
    - nilfs2: fix memory leak in nilfs_sysfs_create_##name##_group
    - nilfs2: fix memory leak in nilfs_sysfs_delete_##name##_group
    - nilfs2: fix memory leak in nilfs_sysfs_create_snapshot_group
    - nilfs2: fix memory leak in nilfs_sysfs_delete_snapshot_group
    - blk-throttle: fix UAF by deleteing timer in blk_throtl_exit()
    - drm/nouveau/nvkm: Replace -ENOSYS with -ENODEV
    - sctp: validate from_addr_param return
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.285
    - ocfs2: drop acl cache for directories too
    - [armf] usb: musb: tusb6010: uninitialized data in
      tusb_fifo_write_unaligned()
    - cifs: fix incorrect check for null pointer in header_assemble
    - [x86] xen/x86: fix PV trap handling on secondary processors
    - usb-storage: Add quirk for ScanLogic SL11R-IDE older than 2.6c
    - USB: serial: cp210x: add ID for GW Instek GDM-834x Digital Multimeter
    - USB: serial: mos7840: remove duplicated 0xac24 device ID
    - USB: serial: option: add Telit LN920 compositions
    - USB: serial: option: remove duplicate USB device ID
    - USB: serial: option: add device id for Foxconn T99W265
    - [arm64] serial: mvebu-uart: fix driver's tx_empty callback
    - net: hso: fix muxed tty registration
    - net/mlx4_en: Don't allow aRFS for encapsulated packets
    - scsi: iscsi: Adjust iface sysfs attr detection
    - blktrace: Fix uaf in blk_trace access after removing by sysfs
    - [arm64,armhf] net: stmmac: allow CSR clock of 300MHz
    - qnx4: avoid stringop-overread errors
    - [arm64] Mark __stack_chk_guard as __ro_after_init
    - net: 6pack: Fix tx timeout and slot time
    - [arm64] dts: marvell: armada-37xx: Extend PCIe MEM space
    - qnx4: work around gcc false positive warning bug
    - tty: Fix out-of-bound vmalloc access in imageblit
    - cpufreq: schedutil: Use kobject release() method to free sugov_tunables
    - cpufreq: schedutil: Destroy mutex before kobject_put() frees the memory
    - mac80211: fix use-after-free in CCMP/GCMP RX
    - ipvs: check that ip_vs_conn_tab_bits is between 8 and 20
    - mac80211: limit injected vht mcs/nss in ieee80211_parse_tx_radiotap
    - hwmon: (tmp421) fix rounding for negative values
    - e100: fix length calculation in e100_get_regs_len
    - e100: fix buffer overrun in e100_get_regs
    - ext4: fix potential infinite loop in ext4_dx_readdir()
    - net: udp: annotate data race around udp_sk(sk)->corkflag
    - ARM: 9079/1: ftrace: Add MODULE_PLTS support
    - [arm64] Extend workaround for erratum 1024718 to all versions of
      Cortex-A55
    - HID: betop: fix slab-out-of-bounds Write in betop_probe
    - netfilter: ipset: Fix oversized kvmalloc() calls
    - HID: usbhid: free raw_report buffers in usbhid_stop
    - cred: allow get_cred() and put_cred() to be given NULL.
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.286
    - af_unix: fix races in sk_peer_pid and sk_peer_cred accesses
    - xen-netback: correct success/error reporting for the SKB-with-fraglist
      case
    - scsi: sd: Free scsi_disk device via put_device()
    - libata: Add ATA_HORKAGE_NO_NCQ_ON_ATI for Samsung 860 and 870 SSD.
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.287
    - USB: cdc-acm: fix racy tty buffer accesses
    - USB: cdc-acm: fix break reporting
    - ovl: fix missing negative dentry check in ovl_rename() (CVE-2021-20321)
    - nfsd4: Handle the NFSv4 READDIR 'dircount' hint being zero
    - [armhf] dts: omap3430-sdp: Fix NAND device node
    - bpf: Fix integer overflow in prealloc_elems_and_freelist()
      (CVE-2021-41864)
    - phy: mdio: fix memory leak
    - net_sched: fix NULL deref in fifo_set_limit()
    - [x86] ptp_pch: Load module automatically if ID matches
    - [armhf] imx6: disable the GIC CPU interface before calling stby-poweroff
      sequence
    - net: bridge: use nla_total_size_64bit() in br_get_linkxstats_size()
    - netlink: annotate data races around nlk->bound
    - drm/nouveau/debugfs: fix file release memory leak
    - rtnetlink: fix if_nlmsg_stats_size() under estimation
    - i40e: fix endless loop under rtnl
    - HID: apple: Fix logical maximum and usage maximum of Magic Keyboard JIS
    - netfilter: ip6_tables: zero-initialize fragment offset
    - mac80211: Drop frames from invalid MAC address in ad-hoc mode
    - scsi: ses: Fix unsigned comparison with less than zero
    - scsi: virtio_scsi: Fix spelling mistake "Unsupport" -> "Unsupported"
    - [x86] perf/x86: Reset destroy callback on event init failure
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.288
    - ALSA: seq: Fix a potential UAF by wrong private_free call order
    - xhci: Enable trust tx length quirk for Fresco FL11 USB controller
    - cb710: avoid NULL pointer subtraction
    - [x86] efi/cper: use stack buffer for error record decoding
    - efi: Change down_interruptible() in virt_efi_reset_system() to
      down_trylock()
    - Input: xpad - add support for another USB ID of Nacon GC-100
    - USB: serial: qcserial: add EM9191 QDL support
    - USB: serial: option: add Telit LE910Cx composition 0x1204
    - ethernet: s2io: fix setting mac address during resume
    - nfc: fix error handling of nfc_proto_register()
    - NFC: digital: fix possible memory leak in digital_tg_listen_mdaa()
    - NFC: digital: fix possible memory leak in digital_in_send_sdd_req()
    - [i386] pata_legacy: fix a couple uninitialized variable bugs
    - [arm64] drm/msm: Fix null pointer dereference on pointer edp
    - [arm64] drm/msm/dsi: fix off by one in dsi_bus_clk_enable error handling
    - r8152: select CRC32 and CRYPTO/CRYPTO_HASH/CRYPTO_SHA256
    - NFSD: Keep existing listeners on portlist error
    - netfilter: ipvs: make global sysctl readonly in non-init netns
    - can: peak_usb: pcan_usb_fd_decode_status(): fix back to ERROR_ACTIVE
      state notification
    - can: peak_pci: peak_pci_remove(): fix UAF
    - ocfs2: fix data corruption after conversion from inline format
    - ocfs2: mount fails with buffer overflow in strlen
    - elfcore: correct reference to CONFIG_UML
    - vfs: check fd has read access in kernel_read_file_from_fd()
    - ALSA: usb-audio: Provide quirk for Sennheiser GSP670 Headset
    - ASoC: DAPM: Fix missing kctl change notifications
    - nfc: nci: fix the UAF of rf_conn_info object (CVE-2021-3760)
    - isdn: cpai: check ctr->cnr to avoid array index out of bound
      (CVE-2021-43389)
    - isdn: mISDN: Fix sleeping function called from invalid context
    - [x86] platform/x86: intel_scu_ipc: Update timeout value in comment
    - ALSA: hda: avoid write to STATESTS if controller is in reset
    - tracing: Have all levels of checks prevent recursion
    - [armel,armhf] 9122/1: select HAVE_FUTEX_CMPXCHG
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.289
    - usbnet: sanity check for maxpacket
    - usbnet: fix error return code in usbnet_probe()
    - ata: sata_mv: Fix the error handling of mv_chip_id()
    - nfc: port100: fix using -ERRNO as command type mask
    - mmc: vub300: fix control-message timeouts
    - [armhf] mmc: dw_mmc: exynos: fix the finding clock sample value
    - mmc: sdhci: Map more voltage level to SDHCI_POWER_330
    - net: lan78xx: fix division by zero in send path
    - regmap: Fix possible double-free in regcache_rbtree_exit()
    - net: batman-adv: fix error handling
    - sctp: use init_tag from inithdr for ABORT chunk
    - sctp: add vtag check in sctp_sf_violation
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.290
    - scsi: core: Put LLD module refcnt after SCSI device is released
    - mm/zsmalloc: Prepare to variable MAX_PHYSMEM_BITS
    - arch: pgtable: define MAX_POSSIBLE_PHYSMEM_BITS where needed
    - net: hso: register netdev later to avoid a race condition
    - usb: hso: fix error handling code of hso_create_net_device
      (CVE-2021-37159)
    - IB/qib: Use struct_size() helper
    - IB/qib: Protect from buffer overflow in struct qib_user_sdma_pkt fields
    - [armhf] usb: musb: Balance list entry in musb_gadget_queue
    - usb-storage: Add compatibility quirk flags for iODD 2531/2541
    - printk/console: Allow to disable console output by using console="" or
      console=null (regression in 4.9.238)
    - isofs: Fix out of bound access for corrupted isofs image
    - [x86] comedi: dt9812: fix DMA buffers on stack
    - [x86] comedi: ni_usb6501: fix NULL-deref in command paths
    - [x86] comedi: vmk80xx: fix transfer-buffer overflows
    - [x86] comedi: vmk80xx: fix bulk-buffer overflow
    - [x86] comedi: vmk80xx: fix bulk and interrupt message timeouts
    - staging: r8712u: fix control-message timeout
    - [x86] staging: rtl8192u: fix control-message timeouts
    - rsi: fix control-message timeout

  [ Ben Hutchings ]
  * crypto: Ignore removal of internal symbol shash_no_setkey
  * [rt] Update to 4.9.286-rt189
  * crypto/qat: Ignore ABI changes
  * sctp: Ignore ABI changes
  * Bump ABI to 17
  * timerqueue: Fix potential timer tree corruption and system hang
    (CVE-2021-20317):
    - rbtree: cache leftmost node internally
    - lib/timerqueue: Rely on rbtree semantics for next timer
  * KVM: Fix bugs in hva_to_pfn_remapped():
    - mm: add follow_pte_pmd()
    - KVM: do not assume PTE is writable after follow_pfn
    - KVM: Use kvm_pfn_t for local PFN variable in hva_to_pfn_remapped()
    - KVM: do not allow mapping valid but non-reference-counted pages
      (CVE-2021-22543)
  * [x86] KVM: Fix bugs in shadow page table management:
    - KVM: nVMX: fix EPT permissions as reported in exit qualification
    - KVM: MMU: drop vcpu param in gpte_access
    - KVM: X86: MMU: Use the correct inherited permissions to get shadow
      page (CVE-2021-38198)
  * NFSv4: Initialise connection to the server in nfs4_alloc_client()
    (CVE-2021-38199)
  * media: firewire: firedtv-avc: fix a buffer overflow in avc_ca_pmt()
    (CVE-2021-42739)

 -- Ben Hutchings <benh@debian.org>  Sun, 12 Dec 2021 22:40:16 +0100

linux (4.9.272-2) stretch-security; urgency=high

  * can: bcm: fix infoleak in struct bcm_msg_head (CVE-2021-34693)
  * can: bcm: delay release of struct bcm_op after synchronize_rcu()
    (CVE-2021-3609)
  * lib/string.c: add multibyte memset function
  * [armel,armhf] ensure the signal page contains defined contents
    (CVE-2021-21781)
  * proc: Track /proc/$pid/attr/ opener mm_struct (Closes: #990072)
  * seq_file: Disallow extremely large seq buffer allocations (CVE-2021-33909)

 -- Ben Hutchings <benh@debian.org>  Mon, 19 Jul 2021 22:08:03 +0200

linux (4.9.272-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.259
    - HID: make arrays usage and value to be the same
    - usb: quirks: add quirk to start video capture on ELMO L-12F document
      camera reliable
    - ntfs: check for valid standard information attribute
    - igb: Remove incorrect "unexpected SYS WRAP" log message
    - [arm64] tegra: Add power-domain for Tegra210 HDA
    - NET: usb: qmi_wwan: Adding support for Cinterion MV31
    - random: fix the RNDRESEEDCRNG ioctl
    - mm, thp: make do_huge_pmd_wp_page() lock page for testing mapcount
    - [armhf] dts: exynos: correct PMIC interrupt trigger level on Spring
    - [armhf] dts: exynos: correct PMIC interrupt trigger level on Arndale Octa
    - Bluetooth: drop HCI device reference before return
    - Bluetooth: Put HCI device if inquiry procedure interrupts
    - [armhf] dts: Configure missing thermal interrupt for 4430
    - [arm64,armhf] usb: dwc2: Do not update data length if it is 0 on inbound
      transfers
    - [arm64,armhf] usb: dwc2: Abort transaction after errors with unknown
      reason
    - [arm64,armhf] usb: dwc2: Make "trimming xfer length" a debug message
    - [arm64] dts: msm8916: Fix reserved and rfsa nodes unit address
    - bnxt_en: reverse order of TX disable and carrier off
    - mac80211: fix potential overflow when multiplying to u32 integers
    - b43: N-PHY: Fix the update of coef for the PHY revision >= 3case
    - [x86] drm/gma500: Fix error return code in psb_driver_load()
    - [x86] gma500: clean up error handling in init
    - media: media/pci: Fix memleak in empress_init
    - media: tm6000: Fix memleak in tm6000_start_stream
    - media: lmedm04: Fix misuse of comma
    - media: qm1d1c0042: fix error return code in qm1d1c0042_init()
    - media: cx25821: Fix a bug when reallocating some dma memory
    - btrfs: clarify error returns values in __load_free_space_cache
    - crypto: ecdh_helper - Ensure 'len >= secret.len' in decode_key()
    - fs/jfs: fix potential integer overflow on shift of a int
    - jffs2: fix use after free in jffs2_sum_write_data()
    - [arm64] clk: meson: clk-pll: fix initializing the old rate (fallback) for
      a PLL
    - HID: core: detect and skip invalid inputs to snto32()
    - [armhf] regulator: axp20x: Fix reference cout leak
    - isofs: release buffer head before return
    - IB/umad: Return EIO in case of when device disassociated
    - [armhf] 9046/1: decompressor: Do not clear SCTLR.nTLSMD for ARMv7+ cores
    - [arm64,armhf] amba: Fix resource leak for drivers without .remove
    - tracepoint: Do not fail unregistering a probe due to memory failure
    - perf tools: Fix DSO filtering when not finding a map for a sampled
      address
    - RDMA/rxe: Fix coding error in rxe_recv.c
    - [x86] perf intel-pt: Fix missing CYC processing in PSB
    - Input: elo - fix an error code in elo_connect()
    - misc: eeprom_93xx46: Fix module alias to enable module autoprobe
    - misc: eeprom_93xx46: Add module alias to avoid breaking support for non
      device tree users
    - [armhf] pwm: rockchip: rockchip_pwm_probe(): Remove superfluous
      clk_unprepare()
    - [x86] VMCI: Use set_page_dirty_lock() when unregistering guest memory
    - PCI: Align checking of syscall user config accessors
    - [arm64] drm/msm/dsi: Correct io_start for MSM8994 (20nm PHY)
    - i40e: Fix flow for IPv6 next header (extension header)
    - net/mlx4_core: Add missed mlx4_free_cmd_mailbox()
    - ocfs2: fix a use after free on error
    - mm/memory.c: fix potential pte_unmap_unlock pte error
    - mm/hugetlb: fix potential double free in hugetlb_register_node() error
      path
    - [arm64] Add missing ISB after invalidating TLB in __primary_switch
    - scsi: bnx2fc: Fix Kconfig warning & CNIC build errors
    - blk-settings: align max_sectors on "logical_block_size" boundary
    - ACPI: configfs: add missing check after configfs_register_default_group()
    - Input: xpad - add support for PowerA Enhanced Wired Controller for Xbox
      Series X|S
    - Input: joydev - prevent potential read overflow in ioctl
    - [x86] Input: i8042 - add ASUS Zenbook Flip to noselftest list
    - USB: serial: option: update interface mapping for ZTE P685M
    - [armhf] usb: musb: Fix runtime PM race in musb_queue_resume_work
    - USB: serial: mos7840: fix error code in mos7840_write()
    - USB: serial: mos7720: fix error code in mos7720_write()
    - [arm64,armhf] usb: dwc3: gadget: Fix setting of DEPCFG.bInterval_m1
    - [arm64,armhf] usb: dwc3: gadget: Fix dep->interval for fullspeed
      interrupt
    - KEYS: trusted: Fix migratable=1 failing
    - btrfs: abort the transaction if we fail to inc ref in btrfs_copy_root
    - btrfs: fix reloc root leak with 0 ref reloc roots on recovery
    - btrfs: fix extent buffer leak on failure to copy root
    - seccomp: Add missing return in non-void function
    - [x86] drivers/misc/vmw_vmci: restrict too big queue size in
      qp_host_alloc_queue
    - staging: rtl8188eu: Add Edimax EW-7811UN V2 to device table
    - [x86] reboot: Force all cpus to exit VMX root if VMX is supported
    - floppy: reintroduce O_NDELAY fix
    - [arm64] mtd: spi-nor: hisi-sfc: Put child node np on error path
    - mm: hugetlb: fix a race between freeing and dissolving the page
    - libnvdimm/dimm: Avoid race between probe and available_slots_show()
    - module: Ignore _GLOBAL_OFFSET_TABLE_ when warning for undefined symbols
    - [armhf] mmc: sdhci-esdhc-imx: fix kernel panic when remove module
    - [armhf] gpio: pcf857x: Fix missing first interrupt
    - f2fs: fix out-of-repair __setattr_copy()
    - gfs2: Don't skip dlm unlock if glock has an lvb
    - dm era: Recover committed writeset after crash
    - dm era: Verify the data block size hasn't changed
    - dm era: Fix bitset memory leaks
    - dm era: Use correct value size in equality function of writeset tree
    - dm era: Reinitialize bitset cache before digesting a new writeset
    - dm era: only resize metadata in preresume
    - icmp: introduce helper for nat'd source address in network device context
    - icmp: allow icmpv6_ndo_send to work with CONFIG_IPV6=n
    - gtp: use icmp_ndo_send helper
    - sunvnet: use icmp_ndo_send helper
    - ipv6: icmp6: avoid indirect call for icmpv6_send()
    - ipv6: silence compilation warning for non-IPV6 builds
    - net: icmp: pass zeroed opts from icmp{,v6}_ndo_send before sending
    - dm era: Update in-core bitset after committing the metadata
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.260
    - net: usb: qmi_wwan: support ZTE P685M modem
    - [armhf] kprobes: Allow to handle reentered kprobe on single-stepping
    - hugetlb: fix update_and_free_page contig page struct assumption
    - printk: fix deadlock when kernel panic
    - JFS: more checks for invalid superblock
    - xfs: Fix assert failure in xfs_setattr_size()
    - net: fix up truesize of cloned skb in skb_prepare_for_shift()
    - [x86] reboot: Add Zotac ZBOX CI327 nano PCI reboot quirk
    - vt/consolemap: do font sum unsigned
    - wlcore: Fix command execute failure 19 for wl12xx
    - pktgen: fix misuse of BUG_ON() in pktgen_thread_worker()
    - ath10k: fix wmi mgmt tx queue full due to race condition
    - [x86] build: Treat R_386_PLT32 relocation as R_386_PC32
    - Bluetooth: Fix null pointer dereference in amp_read_loc_assoc_final_data
    - media: uvcvideo: Allow entities with no pads
    - zsmalloc: account the number of compacted pages correctly
    - swap: fix swapfile read/write offset
    - media: v4l: ioctl: Fix memory leak in video_usercopy (CVE-2021-30002)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.261
    - btrfs: raid56: simplify tracking of Q stripe presence
    - btrfs: fix raid6 qstripe kmap
    - ALSA: ctxfi: cthw20k2: fix mask on conf to allow 4 bits
    - [amd64] rsxx: Return -EFAULT if copy_to_user() fails
    - dm table: fix iterate_devices based device capability checks
    - dm table: fix DAX iterate_devices based device capability checks
    - [amd64] iommu/amd: Fix sleeping in atomic in increase_address_space()
    - [x86] platform/x86: acer-wmi: Add new force_caps module parameter
    - PCI: Add function 1 DMA alias quirk for Marvell 9215 SATA controller
    - misc: eeprom_93xx46: Add quirk to support Microchip 93LC46B eeprom
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.262
    - uapi: nfnetlink_cthelper.h: fix userspace compilation error
    - ethernet: alx: fix order of calls on resume
    - ath9k: fix transmitting to stations in dynamic SMPS mode
    - net: Fix gro aggregation for udp encaps with zero csum
    - net: avoid infinite loop in mpls_gso_segment when mpls_hlen == 0
    - can: skb: can_skb_set_owner(): fix ref counting if socket was closed
      before setting skb ownership
    - netfilter: x_tables: gpf inside xt_find_revision()
    - cifs: return proper error code in statfs(2)
    - Revert "mm, slub: consider rest of partial list if acquire_slab() fails"
    - net/mlx4_en: update moderation when config reset
    - net: sched: avoid duplicates in classes dump
    - media: usbtv: Fix deadlock on suspend
    - udf: fix silent AED tagLocation corruption
    - scsi: libiscsi: Fix iscsi_prep_scsi_cmd_pdu() error handling
    - ALSA: hda/hdmi: Cancel pending works before suspend
    - ALSA: hda: Avoid spurious unsol event handling during S3/S4
    - ALSA: usb-audio: Fix "cannot get freq eq" errors on Dell AE515 sound bar
    - mmc: core: Fix partition switch time for eMMC
    - scripts/recordmcount.{c,pl}: support -ffunction-sections .text.* section
      names
    - cdc-acm: Goodix Fingerprint device is not a modem
    - usb: gadget: f_uac2: always increase endpoint max_packet_size by one
      audio slot
    - xhci: Improve detection of device initiated wake signal.
    - USB: serial: io_edgeport: fix memory leak in edge_startup
    - USB: serial: ch341: add new Product ID
    - USB: serial: cp210x: add ID for Acuity Brands nLight Air Adapter
    - USB: serial: cp210x: add some more GE USB IDs
    - [x86] usbip: fix stub_dev to check for stream socket
    - [x86] usbip: fix vhci_hcd to check for stream socket
    - [x86] usbip: fix vudc to check for stream socket
    - [x86] usbip: fix stub_dev usbip_sockfd_store() races leading to gpf
      (CVE-2021-29265)
    - [x86] usbip: fix vhci_hcd attach_store() races leading to gpf
    - [x86] staging: rtl8192u: fix ->ssid overflow in r8192_wx_set_scan()
    - staging: rtl8188eu: prevent ->ssid overflow in rtw_wx_set_scan()
      (CVE-2021-28660)
    - staging: rtl8712: unterminated string leads to read overflow
    - staging: rtl8188eu: fix potential memory corruption in
      rtw_check_beacon_data()
    - staging: rtl8712: Fix possible buffer overflow in r8712_sitesurvey_cmd
    - staging: rtl8192e: Fix possible buffer overflow in _rtl92e_wx_set_scan
    - NFSv4.2: fix return value of _nfs4_get_security_label()
    - [amd64] block: rsxx: fix error return code of rsxx_pci_probe()
    - configfs: fix a use-after-free in __configfs_open_file
    - binfmt_misc: fix possible deadlock in bm_register_write
    - hwmon: (lm90) Fix max6658 sporadic wrong temperature reading
    - [arm64] KVM: arm64: Fix exclusive limit for IPA size
    - xen/events: reset affinity of 2-level event when tearing it down
    - xen/events: don't unmask an event channel when an eoi is pending
    - xen/events: avoid handling the same event on two cpus at the same time
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.263
    - ext4: handle error of ext4_setup_system_zone() on remount (CVE-2021-3428)
    - ext4: don't allow overlapping system zones (CVE-2021-3428)
    - ext4: check journal inode extents more carefully (CVE-2021-3428)
    - [armhf] net: dsa: b53: Support setting learning on port
    - ixgbe: check for Tx timestamp timeouts during watchdog
    - ixgbe: prevent ptp_rx_hang from running when in FILTER_ALL mode
    - btrfs: fix race when cloning extent buffer during rewind of an old root
      (CVE-2021-28964)
    - nvmet: don't check iosqes,iocqes for discovery controllers
    - NFSD: Repair misuse of sv_lock in 5.10.16-rt30.
    - svcrdma: disable timeouts on rdma backchannel
    - sunrpc: fix refcount leak for rpc auth modules
    - scsi: lpfc: Fix some error codes in debugfs
    - USB: replace hardcode maximum usb string length by definition
    - usb: gadget: configfs: Fix KASAN use-after-free
    - [x86] perf/x86/intel: Fix a crash caused by zero PEBS status
      (CVE-2021-28971)
    - [x86] ioapic: Ignore IRQ2 again
    - kernel, fs: Introduce and use set_restart_fn() and
      arch_set_restart_data()
    - [x86] Move TS_COMPAT back to asm/thread_info.h
    - [x86] Introduce TS_COMPAT_RESTART to fix get_nr_restart_syscall()
    - ext4: find old entry again if failed to rename whiteout
    - ext4: fix potential error in ext4_do_update_inode
    - genirq: Disable interrupts for force threaded handlers
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.264
    - [x86] atm: eni: dont release is never initialized
    - [x86] atm: lanai: dont run lanai_dev_close if not open
    - ixgbe: Fix memleak in ixgbe_configure_clsu32
    - net: tehuti: fix error return code in bdx_probe()
    - sun/niu: fix wrong RXMAC_BC_FRM_CNT_COUNT count
    - NFS: Correct size calculation for create reply length
    - net: wan: fix error return code of uhdlc_init()
    - [x86] atm: uPD98402: fix incorrect allocation
    - [x86] atm: idt77252: fix null-ptr-dereference
    - nfs: we don't support removing system.nfs4_acl
    - [amd64] tlb: Flush global mappings when KAISER is disabled
    - squashfs: fix inode lookup sanity checks
    - squashfs: fix xattr id and id lookup sanity checks
    - [armhf] bus: omap_l3_noc: mark l3 irqs as IRQF_NO_THREAD
    - macvlan: macvlan_count_rx() needs to be aware of preemption
    - [armhf] net: dsa: bcm_sf2: Qualify phydev->dev_flags based on port
    - e1000e: add rtnl_lock() to e1000_reset_task
    - e1000e: Fix error handling in e1000_set_d0_lplu_state_82571
    - net/qlcnic: Fix a use after free in qlcnic_83xx_get_minidump_template
    - mac80211: fix rate mask reset
    - net: cdc-phonet: fix data-interface release on probe failure
    - RDMA/cxgb4: Fix adapter LE hash errors while destroying ipv6 listening
      server
    - ACPI: scan: Rearrange memory allocation in acpi_device_add()
    - perf auxtrace: Fix auxtrace queue conflict
    - idr: add ida_is_empty
    - futex: Use smp_store_release() in mark_wake_futex()
    - futex,rt_mutex: Introduce rt_mutex_init_waiter()
    - futex: Rework futex_lock_pi() to use rt_mutex_*_proxy_lock()
    - futex: Drop hb->lock before enqueueing on the rtmutex
    - futex: Avoid freeing an active timer
    - futex,rt_mutex: Fix rt_mutex_cleanup_proxy_lock()
    - futex: Handle early deadlock return correctly
    - futex: Fix (possible) missed wakeup
    - locking/futex: Allow low-level atomic operations to return -EAGAIN
    - [arm64] futex: Bound number of LDXR/STXR loops in FUTEX_WAKE_OP
    - futex: Prevent robust futex exit race
    - futex: Fix incorrect should_fail_futex() handling
    - futex: Handle transient "ownerless" rtmutex state correctly
    - can: dev: Move device back to init netns on owning netns delete
    - net: sched: validate stab values
    - [arm64] net: qrtr: fix a kernel-infoleak in qrtr_recvmsg()
      (CVE-2021-29647)
    - mac80211: fix double free in ibss_leave
    - xen-blkback: don't leak persistent grants from xen_blkbk_map()
      (CVE-2021-28688)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.265
    - selinux: vsock: Set SID for socket returned by accept()
    - ipv6: weaken the v4mapped source check
    - ext4: fix bh ref count on error paths
    - rpc: fix NULL dereference on kmalloc failure
    - ASoC: rt5640: Fix dac- and adc- vol-tlv values being off by a factor of
      10
    - [x86] ASoC: rt5651: Fix dac- and adc- vol-tlv values being off by a
      factor of 10
    - [armhf] ASoC: sgtl5000: set DAP_AVC_CTRL register to correct default
      value on probe
    - vhost: Fix vhost_vq_reset()
    - scsi: st: Fix a use after free in st_open()
    - scsi: qla2xxx: Fix broken #endif placement
    - [x86] staging: comedi: cb_pcidas: fix request_irq() warn
    - [x86] staging: comedi: cb_pcidas64: fix request_irq() warn
    - ext4: do not iput inode under running transaction in ext4_rename()
    - appletalk: Fix skb allocation size in loopback case
    - [x86] net: wan/lmc: unregister device when no matching device is found
    - bpf: Remove MTU check in __bpf_skb_max_len
    - ALSA: usb-audio: Apply sample rate quirk to Logitech Connect
    - ALSA: hda/realtek: call alc_update_headset_mode() in hp_automute_hook
    - tracing: Fix stack trace event size
    - mm: fix race by making init_zero_pfn() early_initcall
    - reiserfs: update reiserfs_xattrs_initialized() condition
    - [armhf] pinctrl: rockchip: fix restore error in resume
    - extcon: Fix error handling in extcon_dev_register
    - firewire: nosy: Fix a use-after-free bug in nosy_ioctl() (CVE-2021-3483)
    - USB: quirks: ignore remote wake-up on Fibocom L850-GL LTE modem
    - cdc-acm: fix BREAK rx code path adding necessary calls
    - USB: cdc-acm: downgrade message to debug
    - USB: cdc-acm: fix use-after-free after probe failure
    - [x86] staging: rtl8192e: Fix incorrect source in memcpy()
    - [x86] staging: rtl8192e: Change state information from u16 to u8
    - audit: fix a net reference leak in audit_send_reply()
    - audit: fix a net reference leak in audit_list_rules_send()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.266
    - mISDN: fix crash in fritzpci
    - mac80211: choose first enabled channel for monitor
    - [arm64] drm/msm: Ratelimit invalid-fence message
    - scsi: target: pscsi: Clean up after failure in pscsi_map_sg()
    - cifs: revalidate mapping when we open files for SMB1 POSIX
    - cifs: Silently ignore unknown oplock break handle
    - [amd64] bpf, x86: Validate computation of branch displacements for x86-64
      (CVE-2021-29154)
    - [x86] ALSA: hda/realtek - Fix pincfg for Dell XPS 13 9370
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.267
    - [armel,armhf] 8723/2: always assume the "unified" syntax for assembly
      code
    - iio: hid-sensor-prox: Fix scale not correct issue
    - ALSA: aloop: Fix initialization of controls
    - [x86] ASoC: intel: atom: Stop advertising non working S24LE support
    - nfc: fix refcount leak in llcp_sock_bind() (CVE-2020-25670)
    - nfc: fix refcount leak in llcp_sock_connect() (CVE-2020-25671)
    - nfc: fix memory leak in llcp_sock_connect() (CVE-2020-25672)
    - nfc: Avoid endless loops caused by repeated llcp_sock_connect()
    - [rt] xen/evtchn: Change irq_info lock to raw_spinlock_t
    - net: ipv6: check for validity before dereferencing cfg->fc_nlinfo.nlh
    - ocfs2: fix deadlock between setattr and dio_end_io_write
    - fs: direct-io: fix missing sdio->boundary
    - batman-adv: initialize "struct batadv_tvlv_tt_vlan_data"->reserved field
    - net: sched: sch_teql: fix null-pointer dereference
    - sch_red: fix off-by-one checks in red_check_params()
    - clk: fix invalid usage of list cursor in unregister
    - workqueue: Move the position of debug_work_activate() in __queue_work()
    - RDMA/cxgb4: check for ipv6 address properly while destroying listener
    - [armhf] clk: socfpga: fix iomem pointer cast on 64-bit
    - mm: add cond_resched() in gather_pte_stats()
    - [x86] usbip: fix vudc usbip_sockfd_store races leading to gpf
    - cfg80211: remove WARN_ON() in cfg80211_sme_connect
    - net: tun: set tun->dev->addr_len during TUNSETLINK processing
    - drivers: net: fix memory leak in atusb_probe
    - drivers: net: fix memory leak in peak_usb_create_dev
    - net: mac802154: Fix general protection fault
    - net: ieee802154: nl-mac: fix check on panid
    - net: ieee802154: fix nl802154 del llsec key
    - net: ieee802154: fix nl802154 del llsec dev
    - net: ieee802154: fix nl802154 add llsec key
    - net: ieee802154: fix nl802154 del llsec devkey
    - net: ieee802154: forbid monitor for set llsec params
    - net: ieee802154: forbid monitor for del llsec seclevel
    - net: ieee802154: stop dump llsec params for monitors
    - [armhf] drm/imx: imx-ldb: fix out of bounds array access warning
    - gfs2: report "already frozen/thawed" errors
    - netfilter: x_tables: fix compat match/target pad out-of-bound write
    - perf map: Tighten snprintf() string precision to pass gcc check on some
      32-bit arches
    - xen/events: fix setting irq affinity
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.268
    - [x86] dmaengine: dw: Make it dependent to HAS_IOMEM
    - [armhf] dts: Fix moving mmc devices with aliases for omap4 & 5
    - neighbour: Disregard DEAD dst in neigh_update
    - net: ieee802154: stop dump llsec keys for monitors
    - net: ieee802154: stop dump llsec devs for monitors
    - net: ieee802154: forbid monitor for add llsec dev
    - net: ieee802154: stop dump llsec devkeys for monitors
    - net: ieee802154: forbid monitor for add llsec devkey
    - net: ieee802154: stop dump llsec seclevels for monitors
    - net: ieee802154: forbid monitor for add llsec seclevel
    - pcnet32: Use pci_resource_len to validate PCI resource
    - [x86] Input: i8042 - fix Pegatron C15B ID entry
    - scsi: libsas: Reset num_scatter if libata marks qc as NODATA
    - net: sit: Unregister catch-all devices
    - i40e: fix the panic when running bpf in xdpdrv mode
    - [armel,armhf] 9071/1: uprobes: Don't hook on thumb instructions
    - [x86] usbip: Fix incorrect double assignment to udc->ud.tcp_rx
    - [x86] usbip: add sysfs_lock to synchronize sysfs code paths
    - [x86] usbip: stub-dev synchronize sysfs code paths
    - [x86] usbip: vudc synchronize sysfs code paths
    - [x86] usbip: synchronize event handler with sysfs code paths
    - net: hso: fix null-ptr-deref during tty device unregistration
    - ext4: correct error label in ext4_rename()
    - HID: alps: fix error return code in alps_input_configured()
    - [armhf] dts: Fix swapped mmc order for omap3
    - xen-netback: Check for hotplug-status existence before watching
    - cavium/liquidio: Fix duplicate argument
    - [x86] crash: Fix crash_setup_memmap_entries() out-of-bounds access
    - net: hso: fix NULL-deref on disconnect regression
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.269
    - net: usb: ax88179_178a: initialize local variables before use
    - iwlwifi: Fix softirq/hardirq disabling in iwl_pcie_enqueue_hcmd()
    - ALSA: usb-audio: Add MIDI quirk for Vox ToneLab EX
    - USB: Add LPM quirk for Lenovo ThinkPad USB-C Dock Gen2 Ethernet
    - USB: Add reset-resume quirk for WD19's Realtek Hub
    - [x86] platform/x86: thinkpad_acpi: Correct thermal sensor allocation
    - ACPI: custom_method: fix potential use-after-free issue
    - ACPI: custom_method: fix a possible memory leak
    - ecryptfs: fix kernel panic with null dev_name
    - mmc: core: Do a power cycle when the CMD11 fails
    - mmc: core: Set read only for SD cards with permanent write protect bit
    - btrfs: fix metadata extent leak after failure to create subvolume
    - fbdev: zero-fill colormap in fbcmap.c
    - staging: wimax/i2400m: fix byte-order issue
    - usb: gadget: uvc: add bInterval checking for HS mode
    - [arm64,armhf] usb: dwc3: gadget: Ignore EP queue requests during bus
      reset
    - usb: xhci: Fix port minor revision
    - PCI: PM: Do not read power state in pci_enable_device_flags()
    - [x86] intel_th: Consistency and off-by-one fix
    - [armhf] phy: phy-twl4030-usb: Fix possible use-after-free in
      twl4030_usb_remove()
    - btrfs: convert logic BUG_ON()'s in replace_path to ASSERT()'s
    - scsi: target: pscsi: Fix warning in pscsi_complete_cmd()
    - [x86] media: ite-cir: check for receive overflow
    - media: media/saa7164: fix saa7164_encoder_register() memory leak bugs
    - media: gspca/sq905.c: fix uninitialized variable
    - power: supply: Use IRQF_ONESHOT
    - scsi: qla2xxx: Always check the return value of qla24xx_get_isp_stats()
    - scsi: scsi_dh_alua: Remove check for ASC 24h in alua_rtpg()
    - media: em28xx: fix memory leak
    - [armhf] clk: socfpga: arria10: Fix memory leak of socfpga_clk on error
      return
    - media: dvb-usb: fix memory leak in dvb_usb_adapter_init
    - media: gscpa/stv06xx: fix memory leak
    - [arm64] drm/msm/mdp5: Configure PP_SYNC_HEIGHT to double the vtotal
    - drm/amdgpu: fix NULL pointer dereference
    - scsi: lpfc: Fix crash when a REG_RPI mailbox fails triggering a LOGO
      response
    - scsi: libfc: Fix a format specifier
    - [i386] ALSA: emu8000: Fix a use after free in snd_emu8000_create_mixer
    - [i386] ALSA: sb: Fix two use after free in snd_sb_qsound_build
    - [arm64] vdso: Discard .note.gnu.property sections in vDSO
    - openvswitch: fix stack OOB read while fragmenting IPv4 packets
    - NFSv4: Don't discard segments marked for return in _pnfs_return_layout()
    - jffs2: Fix kasan slab-out-of-bounds problem
    - jffs2: check the validity of dstlen in jffs2_zlib_compress()
    - Revert 337f13046ff0 ("futex: Allow FUTEX_CLOCK_REALTIME with FUTEX_WAIT
      op")
    - ftrace: Handle commands when closing set_ftrace_filter file
    - ext4: fix check to prevent false positive report of incorrect used inodes
    - ext4: fix error code in ext4_commit_super
    - media: dvbdev: Fix memory leak in dvb_media_device_free()
    - usb: gadget: dummy_hcd: fix gpf in gadget_setup
    - usb: gadget: Fix double free of device descriptor pointers
    - usb: gadget/function/f_fs string table fix for multiple languages
    - dm persistent data: packed struct should have an aligned() attribute too
    - dm space map common: fix division bug in sm_ll_find_free_block()
    - dm rq: fix double free of blk_mq_tag_set in dev remove after table load
      fails
    - Bluetooth: verify AMP hci_chan before amp_destroy (CVE-2021-33034)
    - bluetooth: eliminate the potential race condition when removing the HCI
      controller (CVE-2021-32399)
    - net/nfc: fix use-after-free llcp_sock_bind/connect (CVE-2021-23134)
    - FDDI: defxx: Bail out gracefully with unassigned PCI resource for CSR
    - misc: lis3lv02d: Fix false-positive WARN on various HP models
    - [x86] misc: vmw_vmci: explicitly initialize vmci_notify_bm_set_msg struct
    - [x86] misc: vmw_vmci: explicitly initialize vmci_datagram payload
    - tracing: Treat recording comm for idle task as a success
    - tracing: Use strlcpy() instead of strcpy() in __trace_find_cmdline()
    - tracing: Map all PIDs to command lines
    - tracing: Restructure trace_clock_global() to never block
    - md-cluster: fix use-after-free issue when removing rdev
    - md: factor out a mddev_find_locked helper from mddev_find
    - md: md_open returns -EBUSY when entering racing area
    - ipw2x00: potential buffer overflow in libipw_wx_set_encodeext()
    - cfg80211: scan: drop entry from hidden_list on overflow
    - drm/radeon: fix copy of uninitialized variable back to userspace
    - [x86] usb: gadget: pch_udc: Revert d3cb25a12138 completely
    - [armhf] memory: gpmc: fix out of bounds read and dereference on gpmc_cs[]
    - [armhf] dts: exynos: correct PMIC interrupt trigger level on SMDK5250
    - [armhf] dts: exynos: correct PMIC interrupt trigger level on Snow
    - [x86] usb: gadget: pch_udc: Replace cpu_to_le32() by lower_32_bits()
    - [x86] usb: gadget: pch_udc: Check if driver is present before calling
      ->setup()
    - [x86] usb: gadget: pch_udc: Check for DMA mapping error
    - [x86] crypto: qat - don't release uninitialized resources
    - [x86] crypto: qat - ADF_STATUS_PF_RUNNING should be set after adf_dev_init
    - mtd: require write permissions for locking and badblock ioctls
    - [arm64] bus: qcom: Put child node before return
    - [x86] crypto: qat - fix error path in adf_isr_resource_alloc()
    - [armhf] mtd: rawnand: gpmi: Fix a double free in gpmi_nand_init
    - [x86] staging: rtl8192u: Fix potential infinite loop
    - [x86] crypto: qat - Fix a double free in adf_create_ring
    - USB: cdc-acm: fix unprivileged TIOCCSERIAL
    - tty: actually undefine superseded ASYNC flags
    - tty: fix return value for unsupported ioctls
    - [arm64] firmware: qcom-scm: Fix QCOM_SCM configuration
    - [x86] Drivers: hv: vmbus: Increase wait time for VMbus unload
    - ttyprintk: Add TTY hangup callback.
    - media: vivid: fix assignment of dev->fbuf_out_flags
    - [armel/marvell] sata_mv: add IRQ checks
    - ata: libahci_platform: fix IRQ check
    - scsi: fcoe: Fix mismatched fcoe_wwn_from_mac declaration
    - media: dvb-usb-remote: fix dvb_usb_nec_rc_key_to_event type mismatch
    - [armhf] HSI: core: fix resource leaks in hsi_add_client_from_dt()
    - [amd64] events/amd/iommu: Fix sysfs type mismatch
    - HID: plantronics: Workaround for double volume key presses
    - perf symbols: Fix dso__fprintf_symbols_by_name() to return the number of
      printed chars
    - ALSA: core: remove redundant spin_lock pair in snd_card_disconnect
    - nfc: pn533: prevent potential memory corruption
    - ALSA: usb-audio: Add error checks for usb_driver_claim_interface() calls
    - liquidio: Fix unintented sign extension of a left shift of a u16
    - mac80211: bail out if cipher schemes are invalid
    - mt7601u: fix always true expression
    - [arm64] net: thunderx: Fix unintentional sign extension issue
    - mwl8k: Fix a double Free in mwl8k_probe_hw
    - [x86] vsock/vmci: log once the failed queue pair allocation
    - RDMA/i40iw: Fix error unwinding when i40iw_hmc_sd_one fails
    - [armhf] net: davinci_emac: Fix incorrect masking of tx and rx error
      channel
    - ath9k: Fix error check in ath9k_hw_read_revisions() for PCI devices
    - [arm64] net:emac/emac-mac: Fix a use after free in emac_mac_tx_buf_send
    - net:nfc:digital: Fix a double free in digital_tg_recv_dep_req
    - kfifo: fix ternary sign extension bugs
    - sctp: delay auto_asconf init until binding the first addr
      (CVE-2021-23133)
    - fs: dlm: fix debugfs dump
    - tipc: convert dest node's address to network order
    - ALSA: hdsp: don't disable if not enabled
    - ALSA: hdspm: don't disable if not enabled
    - ALSA: rme9652: don't disable if not enabled
    - Bluetooth: Set CONF_NOT_COMPLETE as l2cap_chan default
    - Bluetooth: initialize skb_queue_head at l2cap_chan_create()
    - ip6_vti: proper dev_{hold|put} in ndo_[un]init methods
    - mac80211: clear the beacon's CRC after channel switch
    - cuse: prevent clone
    - sctp: Fix out-of-bounds warning in sctp_process_asconf_param()
    - [x86] wl3501_cs: Fix out-of-bounds warnings in wl3501_send_pkt
    - [x86] wl3501_cs: Fix out-of-bounds warnings in wl3501_mgmt_join
    - f2fs: fix a redundant call to f2fs_balance_fs if an error occurs
    - PCI: Release OF node in pci_scan_device()'s error path
    - [armel,armhf] 9064/1: hw_breakpoint: Do not directly check the event's
      overflow_handler hook
    - NFSv4.2: Always flush out writes in nfs42_proc_fallocate()
    - NFS: Deal correctly with attribute generation counter overflow
    - pNFS/flexfiles: fix incorrect size check in decode_nfs_fh()
    - NFSv4.2 fix handling of sr_eof in SEEK's reply
    - sctp: fix a SCTP_MIB_CURRESTAB leak in sctp_sf_do_dupcook_b
    - drm/radeon: Fix off-by-one power_state index heap overwrite
    - khugepaged: fix wrong result value for
      trace_mm_collapse_huge_page_isolate()
    - mm/hugeltb: handle the error case in hugetlb_fix_reserve_counts()
    - ksm: fix potential missing rmap_item for stable_node
    - [amd64] kernel: kexec_file: fix error return code of
      kexec_calculate_store_digests()
    - squashfs: fix divide error in calculate_skip()
    - ACPI: scan: Fix a memory leak in an error handling path
    - usb: xhci: Increase timeout for HC halt
    - [arm64,armhf] usb: dwc2: Fix gadget DMA unmap direction
    - usb: core: hub: fix race condition about TRSMRCY of resume
    - [x86] KVM: x86: Cancel pvclock_gtod_work on module removal
    - FDDI: defxx: Make MMIO the configuration default except for EISA
    - thermal/core/fair share: Lock the thermal zone while looping over
      instances
    - dm ioctl: fix out of bounds array access when no devices (CVE-2021-31916)
    - kobject_uevent: remove warning in init_uevent_argv()
    - netfilter: conntrack: Make global sysctls readonly in non-init netns
    - [armhf] clk: exynos7: Mark aclk_fsys1_200 as critical
    - [x86] msr: Fix wr/rdmsr_safe_regs_on_cpu() prototypes
    - [armel,x86] usb: sl811-hcd: improve misleading indentation
    - cxgb4: Fix the -Wmisleading-indentation warning
    - [armel,x86] isdn: capi: fix mismatched prototypes
    - ACPI / hotplug / PCI: Fix reference count leak in enable_slot()
    - ceph: fix fscache invalidation
    - ALSA: hda: generic: change the DAC ctl name for LO+SPK or LO+HP
    - sit: proper dev_{hold|put} in ndo_[un]init methods
    - ip6_tunnel: sit: proper dev_{hold|put} in ndo_[un]init methods
    - xhci: Do not use GFP_KERNEL in (potentially) atomic context
    - ipv6: remove extra dev_hold() for fallback tunnels
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.270
    - RDMA/rxe: Clear all QP fields if creation failed
    - scsi: qla2xxx: Fix error return code in qla82xx_write_flash_dword()
    - ptrace: make ptrace() fail if the tracee changed its pid unexpectedly
    - cifs: fix memory leak in smb2_copychunk_range
    - ALSA: line6: Fix racy initialization of LINE6 MIDI
    - ALSA: usb-audio: Validate MS endpoint descriptors
    - ALSA: bebob/oxfw: fix Kconfig entry for Mackie d.2 Pro
    - [i386] Revert "ALSA: sb8: add a check for request_region"
    - xen-pciback: reconfigure also from backend watch handler
    - dm snapshot: fix crash with transient storage and zero chunk size
    - [x86] Revert "video: hgafb: fix potential NULL pointer dereference"
    - [arm64,armhf] Revert "net: stmicro: fix a missing check of clk_prepare"
    - [armhf] Revert "leds: lp5523: fix a missing check of return value of
      lp55xx_read"
    - [x86] Revert "hwmon: (lm80) fix a missing check of bus read in lm80
      probe" (regression in 4.9.156)
    - Revert "ecryptfs: replace BUG_ON with error handling code"
    - Revert "gdrom: fix a memory leak bug"
    - cdrom: gdrom: deallocate struct gdrom_unit fields in remove_gdrom
    - cdrom: gdrom: initialize global variable at init time
    - Revert "rtlwifi: fix a potential NULL pointer dereference"
    - Revert "qlcnic: Avoid potential NULL pointer dereference"
    - Revert "niu: fix missing checks of niu_pci_eeprom_read"
    - ethernet: sun: niu: fix missing checks of niu_pci_eeprom_read()
    - [arm64,armhf] net: stmicro: handle clk_prepare() failure during init
    - net: rtlwifi: properly check for alloc_workqueue() failure
    - [armhf] leds: lp5523: check return value of lp5xx_read and jump to
      cleanup code
    - qlcnic: Add null check after calling netdev_alloc_skb
    - [x86] video: hgafb: fix potential NULL pointer dereference
    - vgacon: Record video mode changes with VT_RESIZEX
    - vt: Fix character height handling with VT_RESIZEX
    - tty: vt: always invoke vc->vc_sw->con_resize callback
    - [x86] iio: tsl2583: Fix division by a zero lux_val
    - [x86] video: hgafb: correctly handle card detect failure during probe
    - Bluetooth: SMP: Fail if remote and local public keys are identical
      (CVE-2020-26558, CVE-2021-0129)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.271
    - mm, vmstat: drop zone->lock in /proc/pagetypeinfo
    - tweewide: Fix most Shebang lines
    - netfilter: x_tables: Use correct memory barriers. (CVE-2021-29650)
    - NFC: nci: fix memory leak in nci_allocate_device
    - NFSv4: Fix a NULL pointer dereference in
      pnfs_mark_matching_lsegs_return()
    - proc: Check /proc/$pid/attr/ writes against file opener
    - net: hso: fix control-request directions
    - mac80211: assure all fragments are encrypted (CVE-2020-26147)
    - mac80211: prevent mixed key and fragment cache attacks (CVE-2020-24586,
      CVE-2020-24587)
    - mac80211: properly handle A-MSDUs that start with an RFC 1042 header
    - cfg80211: mitigate A-MSDU aggregation attacks (CVE-2020-24588)
    - mac80211: drop A-MSDUs on old ciphers
    - mac80211: add fragment cache to sta_info
    - mac80211: check defrag PN against current frame
    - mac80211: prevent attacks on TKIP/WEP as well
    - mac80211: do not accept/forward invalid EAPOL frames (CVE-2020-26139)
    - mac80211: extend protection against mixed key and fragment cache attacks
    - ath10k: Validate first subframe of A-MSDU before processing the list
    - dm snapshot: properly fix a crash when an origin has no snapshots
    - [x86] misc/uss720: fix memory leak in uss720_probe
    - [x86] mei: request autosuspend after sending rx flow control
    - USB: trancevibrator: fix control-request direction
    - serial: rp2: use 'request_firmware' instead of 'request_firmware_nowait'
    - USB: serial: ti_usb_3410_5052: add startech.com device id
    - USB: serial: option: add Telit LE910-S1 compositions 0x7010, 0x7011
    - USB: serial: ftdi_sio: add IDs for IDS GmbH Products
    - USB: serial: pl2303: add device id for ADLINK ND-6530 GC
    - net: usb: fix memory leak in smsc75xx_bind
    - spi: Fix use-after-free with devm_spi_alloc_*
    - Bluetooth: cmtp: fix file refcount when cmtp_attach_device fails
    - NFS: fix an incorrect limit in filelayout_decode_layout()
    - NFS: Don't corrupt the value of pg_bytes_written in nfs_do_recoalesce()
    - NFSv4: Fix v4.0/v4.1 SEEK_DATA return -ENOTSUPP when set NFS_V4_2 config
    - net/mlx4: Fix EEPROM dump support
    - tipc: skb_linearize the head skb when reassembling msgs
    - [armhf] i2c: s3c2410: fix possible NULL pointer deref on read message
      after write
    - [x86] i2c: i801: Don't generate an interrupt on bus reset
    - perf jevents: Fix getting maximum number of fds
    - [x86] platform/x86: hp_accel: Avoid invoking _INI to speed up resume
    - [x86] net: fujitsu: fix potential null-ptr-deref
    - net: caif: remove BUG_ON(dev == NULL) in caif_xmit
    - [x86] char: hpet: add checks after calling ioremap
    - isdn: mISDNinfineon: check/cleanup ioremap failure correctly in setup_io
    - [arm64] dmaengine: qcom_hidma: comment platform_driver_register call
    - libertas: register sysfs groups properly
    - media: dvb: Add check on sp8870_readreg return
    - media: gspca: properly check for errors in po1030_probe()
    - scsi: BusLogic: Fix 64-bit system enumeration error for Buslogic
    - btrfs: do not BUG_ON in link_to_fixup_dir
    - [x86] platform/x86: intel_punit_ipc: Append MODULE_DEVICE_TABLE for ACPI
    - drm/amdgpu: Fix a use-after-free
    - [arm64] net: mdio: thunder: Fix a double free issue in the .remove
      function
    - net: bnx2: Fix error return code in bnx2_init_board()
    - mld: fix panic in mld_newpack()
    - scsi: libsas: Use _safe() loop in sas_resume_port()
    - sch_dsmark: fix a NULL deref in qdisc_reset()
    - hugetlbfs: hugetlb_fault_mutex_hash() cleanup
    - usb: core: reduce power-on-good delay time of root hub
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.272
    - net: usb: cdc_ncm: don't spew notifications
    - efi: Allow EFI_MEMORY_XP and EFI_MEMORY_RO both to be cleared
    - efi: cper: fix snprintf() use in cper_dimm_err_location()
    - vfio/pci: Fix error return code in vfio_ecap_init()
    - vfio/pci: zap_vma_ptes() needs MMU
    - vfio/platform: fix module_put call in error flow
    - ipvs: ignore IP_VS_SVC_F_HASHED flag when adding service
    - HID: pidff: fix error return code in hid_pidff_init()
    - [x86] HID: i2c-hid: fix format string mismatch
    - netfilter: nfnetlink_cthelper: hit EBUSY on updates if size mismatches
    - ieee802154: fix error return code in ieee802154_add_iface()
    - ieee802154: fix error return code in ieee802154_llsec_getparams()
    - Bluetooth: fix the erroneous flush_work() order (CVE-2021-3564)
    - Bluetooth: use correct lock to prevent UAF of hdev object (CVE-2021-3573)
    - net: caif: added cfserl_release function
    - net: caif: add proper error handling
    - net: caif: fix memory leak in caif_device_notify
    - net: caif: fix memory leak in cfusbl_device_notify
    - ALSA: timer: Fix master timer notification
    - ext4: fix bug on in ext4_es_cache_extent as ext4_split_extent_at failed
    - pid: take a reference when initializing `cad_pid`
    - ocfs2: fix data corruption by fallocate
    - nfc: fix NULL ptr dereference in llcp_sock_getname() after failed connect
      (CVE-2021-3587)
    - btrfs: fix error handling in btrfs_del_csums
    - btrfs: fixup error handling in fixup_inode_link_counts
    - bnxt_en: Remove the setting of dev_port.
    - [amd64] KVM: SVM: Truncate GPR value for DR and CR accesses in !64-bit
      mode
    - [arm64] Remove unimplemented syscall log message
    - xen-pciback: redo VF placement in the virtual topology

  [ Ben Hutchings ]
  * ipv6: Ignore internal ABI change
  * zsmalloc: Ignore ABI changes
  * nft_reject: Ignore ABI changes
  * staging: Ignore ABI changes
  * tun: Ignore ABI changes
  * usbip: Ignore ABI changes
  * debian/patches/features/all/rt/genpatch.py: Change argument parsing to use
    argparse
  * debian/patches/features/all/rt/genpatch.py: Add option to disable signature
    verification
  * [rt] Update to 4.9.268-rt179
  * [rt] futex: Fix mis-merge of 4.9-stable changes with 4.9-rt
  * media/usb/dvb-usb: Ignore ABI changes
  * media/usb/gspca: Ignore ABI changes
  * gup: document and work around "COW can break either way" issue
    (CVE-2020-29374)
  * fuse: fix bad inode (CVE-2020-36322)
  * fuse: fix live lock in fuse_iget() (CVE-2021-28950)
  * drm/ttm/nouveau: don't call tt destroy callback on alloc failure.
    (CVE-2021-20292)
  * drivers/misc: Ignore ABI changes
  * drivers/net/usb: Ignore ABI changes
  * [rt] Update to 4.9.271-rt182
  * Bump ABI to 16

 -- Ben Hutchings <benh@debian.org>  Mon, 21 Jun 2021 02:35:23 +0200

linux (4.9.258-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.247
    - perf event: Check ref_reloc_sym before using it
    - mm/userfaultfd: do not access vma->vm_mm after calling handle_userfault()
    - btrfs: fix lockdep splat when reading qgroup config on mount
    - PCI: Add device even if driver attach failed
    - btrfs: tree-checker: Enhance chunk checker to validate chunk profile
      (CVE-2019-19816)
    - btrfs: inode: Verify inode mode to avoid NULL pointer dereference
      (CVE-2019-19813)
    - [arm64] pgtable: Fix pte_accessible()
    - ALSA: hda/hdmi: Use single mutex unlock in error paths
    - ALSA: hda/hdmi: fix incorrect locking in hdmi_pcm_close
    - HID: cypress: Support Varmilo Keyboards' media hotkeys
    - [x86] Input: i8042 - allow insmod to succeed on devices without an i8042
      controller
    - HID: hid-sensor-hub: Fix issue with devices with no report ID
    - [x86] xen: don't unbind uninitialized lock_kicker_irq
    - proc: don't allow async path resolution of /proc/self components
    - [armhf] dmaengine: pl330: _prep_dma_memcpy: Fix wrong burst size
    - scsi: libiscsi: Fix NOP race condition
    - scsi: target: iscsi: Fix cmd abort fabric stop race
    - [x86] perf/x86: fix sysfs type mismatches
    - [arm64,armhf] phy: tegra: xusb: Fix dangling pointer on probe failure
    - batman-adv: set .owner to THIS_MODULE
    - scsi: ufs: Fix race between shutdown and runtime resume flow
    - bnxt_en: fix error return code in bnxt_init_board()
    - [x86] video: hyperv_fb: Fix the cache type when mapping the VRAM
    - bnxt_en: Release PCI regions when DMA mask setup fails during probe.
    - IB/mthca: fix return value of error branch in mthca_init_cq()
    - net: ena: set initial DMA width to avoid intel iommu issue
    - efivarfs: revert "fix memory leak in efivarfs_create()"
    - can: gs_usb: fix endianess problem with candleLight firmware
    - [x86] platform/x86: toshiba_acpi: Fix the wrong variable assignment
    - perf probe: Fix to die_entrypc() returns error correctly
    - USB: core: Change %pK for __user pointers to %px
    - usb: gadget: f_midi: Fix memleak in f_midi_alloc
    - usb: gadget: Fix memleak in gadgetfs_fill_super
    - [x86] speculation: Fix prctl() when spectre_v2_user={seccomp,prctl},ibpb
    - regulator: avoid resolve_supply() infinite recursion
    - regulator: workaround self-referent regulators
    - USB: core: add endpoint-blacklist quirk
    - USB: core: Fix regression in Hercules audio card
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.248
    - rose: Fix Null pointer dereference in rose_send_frame()
    - usbnet: ipheth: fix connectivity with iOS 14
    - bonding: wait for sysfs kobject destruction before freeing struct slave
    - netfilter: bridge: reset skb->pkt_type after NF_INET_POST_ROUTING
      traversal
    - net/x25: prevent a couple of overflows
    - cxgb3: fix error return code in t3_sge_alloc_qset()
    - net/mlx5: Fix wrong address reclaim when command interface is down
    - Input: xpad - support Ardwiino Controllers
    - [x86] Input: i8042 - add ByteSpeed touchpad to noloop table
    - spi: Fix controller unregister order harder
    - RDMA/i40iw: Address an mmap handler exploit in i40iw
    - btrfs: sysfs: init devices outside of the chunk_mutex
    - [x86] pinctrl: baytrail: Replace WARN with dev_info_once when setting
      direct-irq pin to output
    - [x86] pinctrl: baytrail: Fix pin being driven low for a while on
      gpiod_get(..., GPIOD_OUT_HIGH)
    - vlan: consolidate VLAN parsing code and limit max parsing depth
    - usb: gadget: f_fs: Use local copy of descriptors for userspace copy
    - USB: serial: kl5kusb105: fix memleak on open
    - USB: serial: ch341: add new Product ID for CH341A
    - USB: serial: ch341: sort device-id entries
    - USB: serial: option: add Fibocom NL668 variants
    - USB: serial: option: add support for Thales Cinterion EXS82
    - tty: Fix ->pgrp locking in tiocspgrp() (CVE-2020-29661)
    - ALSA: hda/realtek - Add new codec supported for ALC897
    - ALSA: hda/generic: Add option to enforce preferred_dacs pairs
    - tty: Fix ->session locking (CVE-2020-29660)
    - ftrace: Fix updating FTRACE_FL_TRAMP
    - cifs: fix potential use-after-free in cifs_echo_request()
    - [armhf] i2c: imx: Fix reset of I2SR_IAL flag
    - [armhf] i2c: imx: Check for I2SR_IAL after every byte
    - [x86] iommu/amd: Set DTE[IntTabLen] to represent 512 IRTEs
    - spi: Introduce device-managed SPI controller allocation
    - [arm64,armhf] spi: bcm2835: Fix use-after-free on unbind
    - [arm64,armhf] spi: bcm2835: Release the DMA channel if probe fails after
      dma_init
    - tracing: Fix userstacktrace option for instances
    - gfs2: check for empty rgrp tree in gfs2_ri_update
    - [arm64] i2c: qup: Fix error return code in qup_i2c_bam_schedule_desc()
    - [x86] Input: i8042 - fix error return code in i8042_setup_aux()
    - [x86] uprobes: Do not use prefixes.nbytes when looping over
      prefixes.bytes
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.249
    - [arm64,armhf] spi: bcm2835aux: Fix use-after-free on unbind
    - [arm64,armhf] spi: bcm2835aux: Restore err assignment in
      bcm2835aux_spi_probe
    - iwlwifi: pcie: limit memory read spin time
    - [arm64] dts: rockchip: Assign a fixed index to mmc devices on rk3399
      boards.
    - [x86] platform/x86: acer-wmi: add automatic keyboard background light
      toggle key as KEY_LIGHTS_TOGGLE
    - Input: cm109 - do not stomp on control URB
    - [x86] Input: i8042 - add Acer laptops to the i8042 reset list
    - [x86] pinctrl: amd: remove debounce filter setting in IRQ type setting
    - scsi: be2iscsi: Revert "Fix a theoretical leak in beiscsi_create_eqs()"
    - spi: Prevent adding devices below an unregistering controller
    - net/mlx4_en: Avoid scheduling restart task if it is already running
    - tcp: fix cwnd-limited bug for TSO deferral where we send nothing
    - [arm64,armhf] net: stmmac: delete the eee_ctrl_timer after napi disabled
    - [arm64] net: stmmac: dwmac-meson8b: fix mask definition of the
      m250_sel mux
    - net: bridge: vlan: fix error return code in __vlan_add()
    - mac80211: mesh: fix mesh_pathtbl_init() error path
    - USB: add RESET_RESUME quirk for Snapscan 1212
    - ALSA: usb-audio: Fix potential out-of-bounds shift
    - ALSA: usb-audio: Fix control 'access overflow' errors from chmap
    - xhci: Give USB2 ports time to enter U3 in bus suspend
    - USB: sisusbvga: Make console support depend on BROKEN
    - ALSA: pcm: oss: Fix potential out-of-bounds shift
    - [x86] pinctrl: baytrail: Avoid clearing debounce value when turning it
      off
    - can: softing: softing_netdev_open(): fix error handling
    - RDMA/cm: Fix an attempt to use non-valid pointer when cleaning timewait
    - [arm64,armhf] drm/tegra: sor: Disable clocks on error in tegra_sor_init()
    - scsi: mpt3sas: Increase IOCInit request timeout to 30s
    - dm table: Remove BUG_ON(in_interrupt())
    - [arm64,armhf] soc/tegra: fuse: Fix index bug in get_process_id
    - USB: serial: option: add interface-number sanity check to flag handling
    - USB: gadget: f_acm: add support for SuperSpeed Plus
    - USB: gadget: f_midi: setup SuperSpeed Plus descriptors
    - USB: gadget: f_rndis: fix bitrate for SuperSpeed and above
    - usb: gadget: f_fs: Re-use SS descriptors for SuperSpeedPlus
    - [armhf] usb: chipidea: ci_hdrc_imx: Pass DISABLE_DEVICE_STREAMING flag to
      imx6ul
    - [armhf] dts: exynos: fix roles of USB 3.0 ports on Odroid XU
    - [armhf] dts: exynos: fix USB 3.0 VBUS control and over-current pins on
      Exynos5410
    - [armhf] dts: exynos: fix USB 3.0 pins supply being turned off on Odroid
      XU
    - [x86] HID: i2c-hid: add Vero K147 to descriptor override
    - serial_core: Check for port state when tty is in error state
    - media: msi2500: assign SPI bus number dynamically
    - md: fix a warning caused by a race between concurrent md_ioctl()s
    - Bluetooth: Fix slab-out-of-bounds read in hci_le_direct_adv_report_evt()
    - [x86] drm/gma500: fix double free of gma_connector
    - RDMA/rxe: Compute PSN windows correctly
    - ASoC: pcm: DRAIN support reactivation
    - Bluetooth: Fix null pointer dereference in hci_event_packet()
    - [armhf] spi: spi-ti-qspi: fix reference leak in ti_qspi_setup
    - [arm64] spi: tegra20-slink: fix reference leak in slink ops of tegra20
    - [arm64,armhf] spi: tegra20-sflash: fix reference leak in
      tegra_sflash_resume
    - [arm64,armhf] spi: tegra114: fix reference leak in tegra spi ops
    - RDMa/mthca: Work around -Wenum-conversion warning
    - media: solo6x10: fix missing snd_card_free in error handling case
    - [armhf] drm/omap: dmm_tiler: fix return error code in omap_dmm_probe()
    - Input: ads7846 - fix integer overflow on Rt calculation
    - Input: ads7846 - fix unaligned access on 7845
    - [armhf] crypto: omap-aes - Fix PM disable depth imbalance in
      omap_aes_probe
    - RDMA/cxgb4: Validate the number of CQEs
    - memstick: fix a double-free bug in memstick_check
    - orinoco: Move context allocation after processing the skb
    - media: siano: fix memory leak of debugfs members in smsdvb_hotplug
    - [armhf] HSI: omap_ssi: Don't jump to free ID in ssi_add_controller()
    - NFSv4.2: condition READDIR's mask for security label based on LSM state
    - SUNRPC: xprt_load_transport() needs to support the netid "rdma6"
    - lockd: don't use interval-based rebinding over TCP
    - NFS: switch nfsiod to be an UNBOUND workqueue.
    - vfio-pci: Use io_remap_pfn_range() for PCI IO memory
    - media: saa7146: fix array overflow in vidioc_s_audio()
    - memstick: r592: Fix error return in r592_probe()
    - dm ioctl: fix error return code in target_message
    - [arm64,armhf] clocksource/drivers/arm_arch_timer: Correct fault
      programming of CNTKCTL_EL1.EVNTI
    - scsi: pm80xx: Fix error return in pm8001_pci_probe()
    - seq_buf: Avoid type mismatch for seq_buf_init
    - scsi: fnic: Fix error return code in fnic_probe()
    - [armhf] usb: ehci-omap: Fix PM disable depth umbalance in
      ehci_hcd_omap_probe
    - speakup: fix uninitialized flush_lock
    - nfsd: Fix message level for normal termination
    - nfs_common: need lock during iterate through the list
    - [x86] kprobes: Restore BTF if the single-stepping is cancelled
    - [arm64,armhf] clk: tegra: Fix duplicated SE clock entry
    - um: chan_xterm: Fix fd leak
    - [armhf] net: allwinner: Fix some resources leak in the error handling
      path of the probe and in the remove function
    - [arm64] watchdog: qcom: Avoid context switch in restart handler
    - [armhf] clk: ti: Fix memleak in ti_fapll_synth_setup
    - perf record: Fix memory leak when using '--user-regs=?' to list registers
    - qlcnic: Fix error code in probe
    - [armhf] clk: s2mps11: Fix a resource leak in error handling paths in the
      probe function
    - cfg80211: initialize rekey_data
    - [armhf] Input: cros_ec_keyb - send 'scancodes' in addition to key events
    - Input: goodix - add upside-down quirk for Teclast X98 Pro tablet
    - media: gspca: Fix memory leak in probe
    - [armhf] media: sunxi-cir: ensure IR is handled when it is continuous
    - media: netup_unidvb: Don't leak SPI master in probe error path
    - [x86] Input: cyapa_gen6 - fix out-of-bounds stack access
    - Revert "ACPI / resources: Use AE_CTRL_TERMINATE to terminate resources
      walks"
    - ACPI: PNP: compare the string length in the matching_id()
    - ALSA: pcm: oss: Fix a few more UBSAN fixes
    - ALSA: usb-audio: Disable sample read check if firmware doesn't give back
    - [x86] staging: comedi: mf6x4: Fix AI end-of-conversion detection
    - USB: serial: mos7720: fix parallel-port state restore
    - USB: serial: keyspan_pda: fix dropped unthrottle interrupts
    - USB: serial: keyspan_pda: fix write deadlock
    - USB: serial: keyspan_pda: fix stalled writes
    - USB: serial: keyspan_pda: fix write-wakeup use-after-free
    - USB: serial: keyspan_pda: fix tx-unthrottle use-after-free
    - USB: serial: keyspan_pda: fix write unthrottling
    - btrfs: quota: Set rescan progress to (u64)-1 if we hit last leaf
    - btrfs: scrub: Don't use inode page cache in scrub_handle_errored_block()
    - Btrfs: fix selftests failure due to uninitialized i_mode in test inodes
      (CVE-2019-19318)
    - btrfs: fix return value mixup in btrfs_get_extent
    - ext4: fix a memory leak of ext4_free_data
    - [arm64] KVM: arm64: Introduce handling of AArch32 TTBCR2 traps
    - ceph: fix race in concurrent __ceph_remove_cap invocations
    - jffs2: Fix GC exit abnormally
    - jfs: Fix array index bounds check in dbAdjTree (CVE-2020-27815)
    - drm/dp_aux_dev: check aux_dev before use in drm_dp_aux_dev_get_by_minor()
    - [arm64] soc: qcom: smp2p: Safely acquire spinlock without IRQs
    - [armel] mtd: parser: cmdline: Fix parsing of part-names with colons
    - iio: buffer: Fix demux update
    - [armhf] iio: adc: rockchip_saradc: fix missing clk_disable_unprepare() on
      error in rockchip_saradc_resume
    - [arm64] clk: mvebu: a3700: fix the XTAL MODE pin to MPP1_9
    - xen-blkback: set ring->xenblkd to NULL after kthread_stop()
      (CVE-2020-29569)
    - PCI: Fix pci_slot_release() NULL pointer dereference
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.250
    - [amd64] x86/entry/64: Add instruction suffix
    - ALSA: hda/ca0132 - Fix work handling in delayed HP detection
    - ALSA: usb-audio: simplify set_sync_ep_implicit_fb_quirk
    - ALSA: usb-audio: fix sync-ep altsetting sanity check
    - ALSA: hda/realtek - Support Dell headset mode for ALC3271
    - ALSA: hda - Fix a wrong FIXUP for alc289 on Dell machines
    - ALSA: hda/realtek - Dell headphone has noise on unmute for ALC236
    - vfio/pci: Move dummy_resources_list init in vfio_pci_probe()
    - USB: serial: digi_acceleport: fix write-wakeup deadlocks
    - net: ipv6: keep sk status consistent after datagram connect failure
    - l2tp: fix races with ipv4-mapped ipv6 addresses
    - uapi: move constants from <linux/kernel.h> to <linux/const.h>
    - of: fix linker-section match-table corruption
    - reiserfs: add check for an invalid ih_entry_count
    - [x86] misc: vmw_vmci: fix kernel info-leak by initializing dbells in
      vmci_ctx_get_chkpt_doorbells()
    - media: gp8psk: initialize stats at power control logic
    - ALSA: seq: Use bool for snd_seq_queue internal flags
    - module: set MODULE_STATE_GOING state when a module fails to load
    - quota: Don't overflow quota file offsets
    - module: delay kobject uevent until after module init call
    - kdev_t: always inline major/minor helper functions
    - xen/xenbus: Fix possible out-of-memory triggered by front-end
      (CVE-2020-29568):
      + xen/xenbus: Allow watches discard events before queueing
      + xen/xenbus: Add 'will_handle' callback support in xenbus_watch_path()
      + xen/xenbus/xen_bus_type: Support will_handle watch callback
      + xen/xenbus: Count pending messages for each watch
      + xenbus/xenbus_backend: Disallow pending watch messages
    - mwifiex: Fix possible buffer overflows in mwifiex_cmd_802_11_ad_hoc_start
      (CVE-2020-36158)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.251
    - kbuild: don't hardcode depmod path
    - workqueue: Kick a worker based on the actual activation of delayed works
    - lib/genalloc: fix the overflow when size is too big
    - depmod: handle the case of /sbin/depmod without /sbin in PATH
    - [x86] atm: idt77252: call pci_disable_device() on error path
    - ipv4: Ignore ECN bits for fib lookups in fib_compute_spec_dst()
    - [arm64] net: hns: fix return value check in __lb_other_process()
    - net: hdlc_ppp: Fix issues when mod_timer is called while timer is running
    - CDC-NCM: remove "connected" log message
    - vhost_net: fix ubuf refcount incorrectly when sendmsg fails
    - net: sched: prevent invalid Scell_log shift count
    - virtio_net: Fix recursive call to cpus_read_lock()
    - [x86] video: hyperv_fb: Fix the mmap() regression for v5.4.y and older
    - usb: gadget: enable super speed plus
    - USB: cdc-acm: blacklist another IR Droid device
    - [armhf] usb: chipidea: ci_hdrc_imx: add missing put_device() call in
      usbmisc_get_init_data()
    - [x86] USB: xhci: fix U1/U2 handling for hardware with XHCI_INTEL_HOST
      quirk set
    - usb: uas: Add PNY USB Portable SSD to unusual_uas
    - USB: serial: iuu_phoenix: fix DMA from stack
    - USB: serial: option: add LongSung M5710 module support
    - USB: yurex: fix control-URB timeout handling
    - USB: usblp: fix DMA to stack
    - ALSA: usb-audio: Fix UBSAN warnings for MIDI jacks
    - usb: gadget: f_uac2: reset wMaxPacketSize
    - usb: gadget: function: printer: Fix a memory leak for interface descriptor
    - USB: gadget: legacy: fix return error code in acm_ms_bind()
    - usb: gadget: Fix spinlock lockup on usb_function_deactivate
    - usb: gadget: configfs: Preserve function ordering after bind failure
    - usb: gadget: configfs: Fix use-after-free issue with udc_name
    - USB: serial: keyspan_pda: remove unused variable
    - [x86] mm: Fix leak of pmd ptlock
    - ALSA: hda/conexant: add a new hda codec CX11970
    - Revert "device property: Keep secondary firmware node secondary by type"
      (regression in 4.9.242)
    - netfilter: ipset: fix shift-out-of-bounds in htable_bits()
    - netfilter: xt_RATEEST: reject non-null terminated string from userspace
    - [x86] mtrr: Correct the range check before performing MTRR type lookups
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.252
    - target: bounds check XCOPY segment descriptor list
    - target: simplify XCOPY wwn->se_dev lookup helper
    - target: use XCOPY segment descriptor CSCD IDs
    - xcopy: loop over devices using idr helper
    - scsi: target: Fix XCOPY NAA identifier lookup (CVE-2020-28374)
    - target: add XCOPY target/segment desc sense codes
    - net: ip: always refragment ip defragmented packets
    - net: fix pmtu check in nopmtudisc mode
    - vmlinux.lds.h: Add PGO and AutoFDO input sections
    - [x86] drm/i915: Fix mismatch between misplaced vma check and vma insert
    - ubifs: wbuf: Don't leak kernel memory to flash
    - [armhf] OMAP2+: omap_device: fix idling of devices during probe
    - [x86] cpufreq: powernow-k8: pass policy rather than use cpufreq_cpu_get()
    - [x86] iommu/intel: Fix memleak in intel_irq_remapping_alloc
    - net/mlx5e: Fix memleak in mlx5e_create_l2_table_groups
    - [arm64] KVM: arm64: Don't access PMCR_EL0 when no PMU is available
    - block: fix use-after-free in disk_part_iter_next
    - net: drop bogus skb with CHECKSUM_PARTIAL and offset beyond end of
      trimmed packet
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.253
    - ASoC: dapm: remove widget from dirty list on free
    - ACPI: scan: Harden acpi_device_add() against device ID overflows
    - mm/hugetlb: fix potential missing huge page size info
    - ext4: fix bug for rename with RENAME_WHITEOUT
    - ACPI: scan: add stub acpi_create_platform_device() for !CONFIG_ACPI
    - Input: uinput - avoid FF flush when destroying device
    - dump_common_audit_data(): fix racy accesses to ->d_name
    - NFS: nfs_igrab_and_active must first reference the superblock
    - ext4: fix superblock checksum failure when setting password salt
    - [x86] RDMA/usnic: Fix memleak in find_free_vf_and_create_qp_grp
    - mm, slub: consider rest of partial list if acquire_slab() fails
    - net: sunrpc: interpret the return value of kstrtou32 correctly
    - netfilter: conntrack: fix reading nf_conntrack_buckets
    - usb: ohci: Make distrust_firmware param default to false
    - nfsd4: readdirplus shouldn't return parent of export (CVE-2021-3178)
    - net: cdc_ncm: correct overhead in delayed_ndp_size
    - netxen_nic: fix MSI/MSI-x interrupts
    - rndis_host: set proper input size for OID_GEN_PHYSICAL_MEDIUM request
    - net: dcb: Validate netlink message in DCB handler
    - net: dcb: Accept RTM_GETDCB messages carrying set-like DCB commands
    - net: sit: unregister_netdevice on newlink's error path
    - net: avoid 32 x truesize under-estimation for tiny skbs
    - rxrpc: Fix handling of an unsupported token type in rxrpc_read()
    - tipc: fix NULL deref in tipc_link_xmit()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.254
    - ALSA: seq: oss: Fix missing error check in snd_seq_oss_synth_make_info()
    - ALSA: hda/via: Add minimum mute flag
    - ACPI: scan: Make acpi_bus_get_device() clear return pointer on error
    - dm: avoid filesystem lookup in dm_get_dev_t()
    - [x86] ASoC: Intel: haswell: Add missing pm_ops
    - scsi: ufs: Correct the LUN used in eh_device_reset_handler() callback
    - drm/nouveau/bios: fix issue shadowing expansion ROMs
    - drm/nouveau/i2c/gm200: increase width of aux semaphore owner fields
    - can: dev: can_restart: fix use after free bug
    - ehci: fix EHCI host controller initialization sequence
    - USB: ehci: fix an interrupt calltrace error
    - usb: udc: core: Use lock when write to soft_connect
    - usb: bdc: Make bdc pci driver depend on BROKEN
    - xhci: make sure TRB is fully written before giving it to the controller
    - xhci: tegra: Delay for disabling LFPS detector
    - bpf: Fix buggy rsh min/max bounds tracking
    - compiler.h: Raise minimum version of GCC to 5.1 for arm64
    - netfilter: rpfilter: mask ecn bits before fib lookup
    - skbuff: back tiny skbs with kmalloc() in __netdev_alloc_skb() too
    - ipv6: create multicast route with RTPROT_KERNEL
    - net_sched: avoid shift-out-of-bounds in tcindex_set_parms()
    - [armhf] net: dsa: b53: fix an off by one in checking "vlan->vid"
    - Revert "mm/slub: fix a memory leak in sysfs_slab_add()"
      (regression in 4.9.228)
    - tracing: Fix race in trace_open and buffer resize call (CVE-2020-27825)
    - [x86] boot/compressed: Disable relocation relaxation
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.255
    - ACPI: sysfs: Prefer "compatible" modalias
    - wext: fix NULL-ptr-dereference with cfg80211's lack of commit()
    - net: usb: qmi_wwan: added support for Thales Cinterion PLSx3 modem family
    - y2038: futex: Move compat implementation into futex.c
    - futex: Move futex exit handling into futex code
    - futex: Replace PF_EXITPIDONE with a state
    - exit/exec: Seperate mm_release()
    - futex: Split futex_mm_release() for exit/exec
    - futex: Set task::futex_state to DEAD right after handling futex exit
    - futex: Mark the begin of futex exit explicitly
    - futex: Sanitize exit state handling
    - futex: Provide state handling for exec() as well
    - futex: Add mutex around futex exit
    - futex: Provide distinct return value when owner is exiting
    - futex: Prevent exit livelock
    - [x86] KVM: x86/pmu: Fix HW_REF_CPU_CYCLES event pseudo-encoding in
      intel_arch_events[]
    - [x86] KVM: x86: get smi pending status correctly
    - leds: trigger: fix potential deadlock with libata
    - mt7601u: fix kernel crash unplugging the device
    - mt7601u: fix rx buffer refcounting
    - netfilter: nft_dynset: add timeout extension to template
    - xfrm: Fix oops in xfrm_replay_advance_bmp
    - RDMA/cxgb4: Fix the reported max_recv_sge value
    - iwlwifi: pcie: use jiffies for memory read spin time limit
    - iwlwifi: pcie: reschedule in long-running memory reads
    - mac80211: pause TX while changing interface type
    - can: dev: prevent potential information leak in can_fill_info()
    - [x86] iommu/vt-d: Gracefully handle DMAR units with no supported address
      widths
    - NFC: fix resource leak when target index is invalid
    - NFC: fix possible resource leak
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.256
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.257
    - [armhf] net: dsa: bcm_sf2: put device node before return
    - net_sched: reject silly cell_log in qdisc_get_rtab()
    - futex: Fix PI futex use-after-free (CVE-2021-3347):
      + futex,rt_mutex: Provide futex specific rt_mutex API
      + futex: Remove rt_mutex_deadlock_account_*()
      + futex: Rework inconsistent rt_mutex/futex_q state
      + futex: Avoid violating the 10th rule of futex
      + futex: Replace pointless printk in fixup_owner()
      + futex: Provide and use pi_state_update_owner()
      + rtmutex: Remove unused argument from rt_mutex_proxy_unlock()
      + futex: Use pi_state_update_owner() in put_pi_state()
      + futex: Simplify fixup_pi_state_owner()
      + futex: Handle faults correctly for PI futexes
    - scsi: libfc: Avoid invoking response handler twice if ep is already
      completed
    - mac80211: fix fast-rx encryption check
    - scsi: ibmvfc: Set default timeout to avoid crash during migration
    - objtool: Don't fail on missing symbol table
    - stable: clamp SUBLEVEL in 4.4 and 4.9
    - USB: serial: cp210x: add pid/vid for WSDA-200-USB
    - USB: serial: cp210x: add new VID/PID for supporting Teraoka AD2000
    - USB: serial: option: Adding support for Cinterion MV31
    - [x86] Input: i8042 - unbreak Pegatron C15B
    - [x86] net: lapb: Copy the skb before sending a packet
    - elfcore: fix building with clang
    - USB: gadget: legacy: fix an error code in eth_bind()
    - USB: usblp: don't call usb_set_interface if there's a single alt
    - [arm64,armhf] usb: dwc2: Fix endpoint direction check in ep_from_windex
    - mac80211: fix station rate table updates on assoc
    - kretprobe: Avoid re-registration of the same kretprobe earlier
    - xhci: fix bounce buffer usage for non-sg list case
    - cifs: report error instead of invalid when revalidating a dentry fails
    - mmc: core: Limit retries when analyse of SDIO tuples fails
    - mm: hugetlbfs: fix cannot migrate the fallocated HugeTLB page
    - mm: hugetlb: fix a race between isolating and freeing page
    - mm: hugetlb: remove VM_BUG_ON_PAGE from page_huge_active
    - mm: thp: fix MADV_REMOVE deadlock on shmem THP
    - [x86] build: Disable CET instrumentation in the kernel
    - [x86] apic: Add extra serialization for non-serializing MSRs
    - Input: xpad - sync supported devices with fork on GitHub
    - ACPI: thermal: Do not call acpi_thermal_check() directly
    - [x86] iommu/vt-d: Do not use flush-queue when caching-mode is on
    - ALSA: hda/realtek - Fix typo of pincfg for Dell quirk
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.258
    - mm: memcontrol: fix NULL pointer crash in test_clear_page_writeback()
    - fgraph: Initialize tracing_graph_pause at task creation
    - af_key: relax availability checks for skb size calculation
    - iwlwifi: mvm: take mutex for calling iwl_mvm_get_sync_time()
    - iwlwifi: pcie: add a NULL check in iwl_pcie_txq_unmap
    - iwlwifi: mvm: guard against device removal in reprobe
    - SUNRPC: Move simple_get_bytes and simple_get_netobj into private header
    - SUNRPC: Handle 0 length opaque XDR object data properly
    - include/trace/events/writeback.h: fix -Wstringop-truncation warnings
    - memcg: fix a crash in wb_workfn when a device disappears
    - futex: Ensure the correct return value from futex_lock_pi()
    - futex: Change locking rules
    - futex: Cure exit race
    - squashfs: add more sanity checks in id lookup
    - squashfs: add more sanity checks in inode lookup
    - squashfs: add more sanity checks in xattr id lookup
    - tracing: Do not count ftrace events in top level enable output
    - tracing: Check length before giving out the filter buffer
    - ovl: skip getxattr of security labels
    - memblock: do not start bottom-up allocations with kernel_end
    - bpf: Check for integer overflow when using roundup_pow_of_two()
    - netfilter: xt_recent: Fix attempt to update deleted entry
    - xen/netback: avoid race in xenvif_rx_ring_slots_available()
    - netfilter: conntrack: skip identical origin tuple in same zone only
    - [arm64,armhf] usb: dwc3: ulpi: Replace CPU-based busyloop with
      Protocol-based one
    - [x86] net/vmw_vsock: improve locking in vsock_connect_timeout()
    - net: watchdog: hold device global xmit lock during tx disable
    - vsock/virtio: update credit only if socket is not closed
    - vsock: fix locking in vsock_shutdown()
    - trace: Use -mcount-record for dynamic ftrace
    - tracing: Avoid calling cc-option -mrecord-mcount for every Makefile
    - xen: Fix crash or memory leak on failure (CVE-2021-26932):
      + [x86] Xen/x86: don't bail early from clear_foreign_p2m_mapping()
      + [x86] Xen/x86: also check kernel mapping in set_foreign_p2m_mapping()
      + Xen/gntdev: correct dev_bus_addr handling in gntdev_map_grant_pages()
      + Xen/gntdev: correct error checking in gntdev_map_grant_pages()
      + [arm64,armhf] xen/arm: don't ignore return errors from
        set_phys_to_machine
    - xen: Fix crash on allocation failure (CVE-2021-26931):
      + xen-blkback: don't "handle" error by BUG()
      + xen-netback: don't "handle" error by BUG()
      + xen-scsiback: don't "handle" error by BUG()
    - xen-blkback: fix error handling in xen_blkbk_map() (CVE-2021-26930)
    - scsi: qla2xxx: Fix crash during driver load on big endian machines
    - kvm: check tlbs_dirty directly

  [ Ben Hutchings ]
  * sunrpc/xprt: Ignore ABI changes
  * [rt] Update to 4.9.254-rt169
  * Bump ABI to 15
  * futex: Fix regressions introduced by incomplete stable backports:
    - futex: Fix OWNER_DEAD fixup
    - futex: fix dead code in attach_to_pi_owner()
    - futex: Cleanup variable names for futex_top_waiter()
    - futex: Cleanup refcounting
    - futex: Pull rt_mutex_futex_unlock() out from under hb->lock
    - futex: Futex_unlock_pi() determinism
    - futex: Fix pi_state->owner serialization
    - futex: Fix more put_pi_state() vs. exit_pi_state_list() races
    - futex: Don't enable IRQs unconditionally in put_pi_state()
  * [rt] futex: Undo stable fixes until they are merged with the rt branch
  * xen/netback: fix spurious event detection for common event case
    (regression in 4.9.244)
  * media: uvcvideo: Accept invalid bFormatIndex and bFrameIndex values
    (regression in 4.9.241)
  * Bluetooth: Fix initializing response id after clearing struct
    (regression in 4.9.240)
  * mm/hugetlb.c: fix unnecessary address expansion of pmd sharing
    (regression in 4.9.234)
  * scsi: iscsi: Restrict sessions and handles to admin capabilities
    (CVE-2021-27363, CVE-2021-27364)
  * sysfs: Add sysfs_emit and sysfs_emit_at to format sysfs output
  * scsi: iscsi: Verify lengths on passthrough PDUs (CVE-2021-27365)
  * scsi: iscsi: Ensure sysfs attributes are limited to PAGE_SIZE
    (CVE-2021-27365)
  * Xen/gnttab: handle p2m update errors on a per-slot basis (CVE-2021-28038)
  * xen-netback: respect gnttab_map_refs()'s return value (CVE-2021-28038)

 -- Ben Hutchings <benh@debian.org>  Mon, 08 Mar 2021 01:17:32 +0100

linux (4.9.246-2) stretch-security; urgency=high

  * [arm64] Fix FTBFS after Xen netback fix:
    - arm64: Remove redundant mov from LL/SC cmpxchg
    - arm64: Avoid redundant type conversions in xchg() and cmpxchg()
    - arm64: cmpxchg: Use "K" instead of "L" for ll/sc immediate constraint
    - arm64: Use correct ll/sc atomic constraints

 -- Ben Hutchings <benh@debian.org>  Thu, 17 Dec 2020 13:51:31 +0100

linux (4.9.246-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.241
    - tipc: fix the skb_unshare() in tipc_buf_append()
    - net/ipv4: always honour route mtu during forwarding
    - r8169: fix data corruption issue on RTL8402
    - ALSA: bebob: potential info leak in hwdep_read()
    - net: hdlc: In hdlc_rcv, check to make sure dev is an HDLC device
    - net: hdlc_raw_eth: Clear the IFF_TX_SKB_SHARING flag after calling
      ether_setup
    - nfc: Ensure presence of NFC_ATTR_FIRMWARE_NAME attribute in
      nfc_genl_fw_download()
    - tcp: fix to update snd_wl1 in bulk receiver fast path
    - icmp: randomize the global rate limiter (CVE-2020-25705)
    - cifs: remove bogus debug code
    - [x86] KVM: x86/mmu: Commit zap of remaining invalid pages when recovering
      lpages
    - ima: Don't ignore errors from crypto_shash_update()
    - crypto: algif_aead - Do not set MAY_BACKLOG on the async path
    - [x86] EDAC/i5100: Fix error handling order in i5100_init_one()
    - [armhf] media: Revert "media: exynos4-is: Add missed check for
      pinctrl_lookup_state()"
    - [armhf] media: omap3isp: Fix memleak in isp_probe
    - [armhf] crypto: omap-sham - fix digcnt register handling with export/
      import
    - [armhf] media: ti-vpe: Fix a missing check and reference count leak
    - regulator: resolve supply after creating regulator
    - ath10k: provide survey info as accumulated data
    - ath6kl: prevent potential array overflow in ath6kl_add_new_sta()
    - ath9k: Fix potential out of bounds in ath9k_htc_txcompletion_cb()
    - wcn36xx: Fix reported 802.11n rx_highest rate wcn3660/wcn3680
    - [arm64] ASoC: qcom: lpass-platform: fix memory leak
    - mwifiex: Do not use GFP_KERNEL in atomic context
    - [x86] drm/gma500: fix error check
    - scsi: qla4xxx: Fix an error handling path in 'qla4xxx_get_host_stats()'
    - scsi: csiostor: Fix wrong return value in csio_hw_prep_fw()
    - [x86] VMCI: check return value of get_user_pages_fast() for errors
    - tty: serial: earlycon dependency
    - pty: do tty_flip_buffer_push without port->lock in pty_write
    - [x86] video: fbdev: vga16fb: fix setting of pixclock because a pass-by-
      value error
    - video: fbdev: sis: fix null ptr dereference
    - HID: roccat: add bounds checking in kone_sysfs_write_settings()
    - ath6kl: wmi: prevent a shift wrapping bug in
      ath6kl_wmi_delete_pstream_cmd()
    - [amd64] misc: mic: scif: Fix error handling path
    - ALSA: seq: oss: Avoid mutex lock for a long-time ioctl
    - quota: clear padding in v2r1_mem2diskdqb()
    - net: enic: Cure the enic api locking trainwreck
    - iwlwifi: mvm: split a print to avoid a WARNING in ROC
    - usb: gadget: f_ncm: fix ncm_bitrate for SuperSpeed and above.
    - nl80211: fix non-split wiphy information
    - scsi: be2iscsi: Fix a theoretical leak in beiscsi_create_eqs()
    - mwifiex: fix double free
    - IB/mlx4: Fix starvation in paravirt mux/demux
    - IB/mlx4: Adjust delayed work when a dup is observed
    - mtd: lpddr: fix excessive stack usage with clang
    - mtd: mtdoops: Don't write panic data twice
    - [armel,armhf] 9007/1: l2c: fix prefetch bits init in L2X0_AUX_CTRL using
      DT values
    - RDMA/qedr: Fix use of uninitialized field
    - [x86] perf intel-pt: Fix "context_switch event has no tid" error
    - [arm64] RDMA/hns: Set the unsupported wr opcode
    - overflow: Include header file with SIZE_MAX declaration
    - IB/rdmavt: Fix sizeof mismatch
    - rapidio: fix error handling path
    - rapidio: fix the missed put_device() for rio_mport_add_riodev
    - [arm64,armhf] clk: bcm2835: add missing release if devm_clk_hw_register
      fails
    - vfio/pci: Clear token on bypass registration failure
    - [armhf] Input: omap4-keypad - fix handling of platform_get_irq() error
    - [armhf] Input: twl4030_keypad - fix handling of platform_get_irq() error
    - [armhf] Input: sun4i-ps2 - fix handling of platform_get_irq() error
    - [x86] KVM: x86: emulating RDPID failure shall return #UD rather than #GP
    - [arm64] dts: qcom: msm8916: Fix MDP/DSI interrupts
    - [arm64] dts: zynqmp: Remove additional compatible string for i2c IPs
    - nvmet: fix uninitialized work for zero kato
    - [x86] crypto: ccp - fix error handling
    - media: firewire: fix memory leak
    - media: ati_remote: sanity check for both endpoints
    - [armhf] media: exynos4-is: Fix several reference count leaks due to
      pm_runtime_get_sync
    - [armhf] media: exynos4-is: Fix a reference count leak due to
      pm_runtime_get_sync
    - [armhf] media: exynos4-is: Fix a reference count leak
    - media: media/pci: prevent memory leak in bttv_probe
    - media: uvcvideo: Ensure all probed info is returned to v4l2
    - mmc: sdio: Check for CISTPL_VERS_1 buffer size
    - media: saa7134: avoid a shift overflow
    - fs: dlm: fix configfs memory leak
    - ntfs: add check for mft record size in superblock
    - PM: hibernate: remove the bogus call to get_gendisk() in
      software_resume()
    - scsi: mvumi: Fix error return in mvumi_io_attach()
    - scsi: target: core: Add CONTROL field for trace events
    - [amd64] mic: vop: copy data to kernel space then write to io memory
    - [amd64] misc: vop: add round_up(x,4) for vring_size to avoid kernel panic
    - usb: gadget: function: printer: fix use-after-free in __lock_acquire
    - udf: Limit sparing table size
    - udf: Avoid accessing uninitialized data on failed inode read
    - USB: cdc-acm: handle broken union descriptors
    - ath9k: hif_usb: fix race condition between usb_get_urb() and
      usb_kill_anchored_urbs()
    - misc: rtsx: Fix memory leak in rtsx_pci_probe
    - reiserfs: only call unlock_new_inode() if I_NEW
    - xfs: make sure the rt allocator doesn't run off the end
    - usb: ohci: Default to per-port over-current protection
    - Bluetooth: Only mark socket zapped after unlocking
    - brcmsmac: fix memory leak in wlc_phy_attach_lcnphy
    - rtl8xxxu: prevent potential memory leak
    - Fix use after free in get_capset_info callback.
    - tty: ipwireless: fix error handling
    - ipvs: Fix uninit-value in do_ip_vs_set_ctl()
    - reiserfs: Fix memory leak in reiserfs_parse_options()
    - brcm80211: fix possible memleak in brcmf_proto_msgbuf_attach
    - usb: core: Solve race condition in anchor cleanup functions
    - ath10k: check idx validity in __ath10k_htt_rx_ring_fill_n()
    - usb: cdc-acm: add quirk to blacklist ETAS ES58X devices
    - USB: cdc-wdm: Make wdm_flush() interruptible and add wdm_fsync().
    - eeprom: at25: set minimum read/write access stride to 1
    - usb: gadget: f_ncm: allow using NCM in SuperSpeed Plus gadgets.
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.242
    - SUNRPC: ECONNREFUSED should cause a rebind.
    - efivarfs: Replace invalid slashes with exclamation marks in dentries.
    - tipc: fix memory leak caused by tipc_buf_append()
    - [x86] arch/x86/amd/ibs: Fix re-arming IBS Fetch
    - fuse: fix page dereference after free
    - p54: avoid accessing the data mapped to streaming DMA
    - mtd: lpddr: Fix bad logic in print_drs_error
    - fscrypt: return -EXDEV for incompatible rename or link into encrypted dir
    - fscrypto: move ioctl processing more fully into common code
    - fscrypt: use EEXIST when file already uses different policy
    - f2fs: add trace exit in exception path
    - f2fs: fix to check segment boundary during SIT page readahead
    - um: change sigio_spinlock to a mutex
    - [armel,armhf] 8997/2: hw_breakpoint: Handle inexact watchpoint addresses
    - xfs: fix realtime bitmap/summary file truncation when growing rt volume
    - ath10k: fix VHT NSS calculation when STBC is enabled
    - media: tw5864: check status of tw5864_frameinterval_get
    - mmc: via-sdmmc: Fix data race bug
    - USB: adutux: fix debugging
    - [arm64] mm: return cpu_all_mask when node is NUMA_NO_NODE
    - drivers/net/wan/hdlc_fr: Correctly handle special skb->protocol values
    - md/bitmap: md_bitmap_get_counter returns wrong blocks
    - [armhf] clk: ti: clockdomain: fix static checker warning
    - net: 9p: initialize sun_server.sun_path to have addr's value only when
      addr is valid
    - ext4: Detect already used quota file early
    - gfs2: add validation checks for size of superblock
    - [armhf] memory: emif: Remove bogus debugfs error handling
    - md/raid5: fix oops during stripe resizing
    - [x86] perf/x86/amd/ibs: Don't include randomized bits in
      get_ibs_op_count()
    - [x86] perf/x86/amd/ibs: Fix raw sample data accumulation
    - fs: Don't invalidate page buffers in block_write_full_page()
    - NFS: fix nfs_path in case of a rename retry
    - ACPI / extlog: Check for RDMSR failure
    - ACPI: video: use ACPI backlight for HP 635 Notebook
    - ACPI: debug: don't allow debugging when ACPI is disabled
    - acpi-cpufreq: Honor _PSD table setting on new AMD CPUs
    - scsi: mptfusion: Fix null pointer dereferences in mptscsih_remove()
    - btrfs: reschedule if necessary when logging directory items
    - btrfs: cleanup cow block on error
    - btrfs: fix use-after-free on readahead extent after failure to create it
    - [arm64,armhf] usb: dwc3: core: add phy cleanup for probe error handling
    - [arm64,armhf] usb: dwc3: core: don't trigger runtime pm when remove
      driver
    - vt: keyboard, simplify vt_kdgkbsent
    - vt: keyboard, extend func_buf_lock to readers (CVE-2020-25656)
    - ubifs: dent: Fix some potential memory leaks while iterating entries
    - ubi: check kthread_should_stop() after the setting of task state
    - ceph: promote to unsigned long long before shifting
    - libceph: clear con->out_msg on Policy::stateful_server faults
    - 9P: Cast to loff_t before multiplying
    - ring-buffer: Return 0 on success from ring_buffer_resize()
    - vringh: fix __vringh_iov() when riov and wiov are different
    - tty: make FONTX ioctl use the tty pointer they were actually passed
      (CVE-2020-25668)
    - cachefiles: Handle readpage error correctly
    - device property: Keep secondary firmware node secondary by type
    - device property: Don't clear secondary pointer for shared primary
      firmware node
    - [arm64] KVM: arm64: Fix AArch32 handling of DBGD{CCINT,SCRext} and DBGVCR
    - [x86] staging: comedi: cb_pcidas: Allow 2-channel commands for AO
      subdevice
    - tipc: fix use-after-free in tipc_bcast_get_mode
    - ALSA: usb-audio: Add implicit feedback quirk for Qu-16
    - kthread_worker: prevent queuing delayed work from timer_fn when it is
      being canceled
    - ftrace: Fix recursion check for NMI test
    - ftrace: Handle tracing when switching between context
    - tracing: Fix out of bounds write in get_trace_buf
    - [armhf] dts: sun4i-a10: fix cpu_alert temperature
    - [x86] kexec: Use up-to-dated screen_info copy to fill boot params
    - of: Fix reserved-memory overlap detection
    - scsi: core: Don't start concurrent async scan on same host
    - vsock: use ns_capable_noaudit() on socket create
    - ACPI: NFIT: Fix comparison to '-ENXIO'
    - vt: Disable KD_FONT_OP_COPY (CVE-2020-28974)
    - fork: fix copy_process(CLONE_PARENT) race with the exiting ->real_parent
    - USB: serial: cyberjack: fix write-URB completion race
    - USB: serial: option: add LE910Cx compositions 0x1203, 0x1230, 0x1231
    - USB: serial: option: add Telit FN980 composition 0x1055
    - USB: Add NO_LPM quirk for Kingston flash drive
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.243
    - powercap: restrict energy meter to root access (CVE-2020-8694)
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.244
    - regulator: defer probe when trying to get voltage from unresolved supply
    - ring-buffer: Fix recursion protection transitions between interrupt
      context
    - gfs2: Wake up when sd_glock_disposal becomes zero
    - mm: mempolicy: fix potential pte_unmap_unlock pte error
    - time: Prevent undefined behaviour in timespec64_to_ns()
    - btrfs: reschedule when cloning lots of extents
    - genirq: Let GENERIC_IRQ_IPI select IRQ_DOMAIN_HIERARCHY
    - net: xfrm: fix a race condition during allocing spi
    - perf tools: Add missing swap for ino_generation
    - ALSA: hda: prevent undefined shift in snd_hdac_ext_bus_get_link()
    - can: dev: can_get_echo_skb(): prevent call to kfree_skb() in hard IRQ
      context
    - can: dev: __can_get_echo_skb(): fix real payload length return value for
      RTR frames
    - can: can_create_echo_skb(): fix echo skb generation: always use
      skb_clone()
    - can: peak_usb: add range checking in decode operations
    - can: peak_usb: peak_usb_get_ts_time(): fix timestamp wrapping
    - xfs: flush new eof page on truncate to avoid post-eof corruption
    - Btrfs: fix missing error return if writeback for extent buffer never
      started
    - pinctrl: devicetree: Avoid taking direct reference to device name string
      (CVE-2020-0427)
    - i40e: Fix a potential NULL pointer dereference
    - i40e: add num_vectors checker in iwarp handler
    - i40e: Wrong truncation from u16 to u8
    - i40e: Fix of memory leak and integer truncation in i40e_virtchnl.c
    - i40e: Memory leak in i40e_config_iwarp_qvlist
    - geneve: add transport ports in route lookup for geneve (CVE-2020-25645)
    - ath9k_htc: Use appropriate rs_datalen type
    - gfs2: Free rd_bits later in gfs2_clear_rgrpd to fix use-after-free
    - gfs2: check for live vs. read-only file system in gfs2_fitrim
    - scsi: hpsa: Fix memory leak in hpsa_init_one()
    - drm/amdgpu: perform srbm soft reset always on SDMA resume
    - mac80211: fix use of skb payload instead of header
    - cfg80211: regulatory: Fix inconsistent format argument
    - scsi: scsi_dh_alua: Avoid crash during alua_bus_detach()
    - [amd64] iommu/amd: Increase interrupt remapping table limit to 512 entries
    - xfs: fix flags argument to rmap lookup when converting shared file rmaps
    - xfs: fix rmap key and record comparison functions
    - xfs: fix a missing unlock on error in xfs_fs_map_blocks
    - of/address: Fix of_node memory leak in of_dma_is_coherent
    - [i386] cosa: Add missing kfree in error path of cosa_write
    - perf: Fix get_recursion_context()
    - ext4: correctly report "not supported" for {usr,grp}jquota when
      !CONFIG_QUOTA
    - ext4: unlock xattr_sem properly in ext4_inline_data_truncate()
    - usb: cdc-acm: Add DISABLE_ECHO for Renesas USB Download mode
    - [x86] mei: protect mei_cl_mtu from null dereference
    - ocfs2: initialize ip_next_orphan
    - don't dump the threads that had been already exiting when zapped.
    - [x86] drm/gma500: Fix out-of-bounds access to struct drm_device.vblank[]
    - [x86] pinctrl: amd: use higher precision for 512 RtcClk
    - [x86] pinctrl: amd: fix incorrect way to disable debounce filter
    - swiotlb: fix "x86: Don't panic if can not alloc buffer for swiotlb"
    - IPv6: Set SIT tunnel hard_header_len to zero
    - net/x25: Fix null-ptr-deref in x25_connect
    - net: Update window_clamp if SOCK_RCVBUF is set
    - random32: make prandom_u32() output unpredictable
    - [x86] speculation: Allow IBPB to be conditionally enabled on CPUs with
      always-on STIBP
    - perf/core: Fix bad use of igrab()
    - perf/core: Fix crash when using HW tracing kernel filters
    - perf/core: Fix a memory leak in perf_event_parse_addr_filter()
      (CVE-2020-25704)
    - xen/events: avoid removing an event channel while handling it
      (CVE-2020-27675)
    - xen/events: Fix potential DoS of dom0 by rogue guests (CVE-2020-27673):
      + xen/events: add a proper barrier to 2-level uevent unmasking
      + xen/events: fix race in evtchn_fifo_unmask()
      + xen/events: add a new "late EOI" evtchn framework
      + xen/blkback: use lateeoi irq binding
      + xen/netback: use lateeoi irq binding
      + xen/scsiback: use lateeoi irq binding
      + xen/pciback: use lateeoi irq binding
      + xen/events: switch user event channels to lateeoi model
      + xen/events: use a common cpu hotplug hook for event channels
      + xen/events: defer eoi in case of excessive number of events
      + xen/events: block rogue events for some time
    - perf/core: Fix race in the perf_mmap_close() function (CVE-2020-14351)
    - Revert "kernel/reboot.c: convert simple_strtoul to kstrtoint"
    - reboot: fix overflow parsing reboot cpu number
    - ext4: fix leaking sysfs kobject after failed mount
    - Convert trailing spaces and periods in path components
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.245
    - [armhf] i2c: imx: use clk notifier for rate changes
    - [armhf] i2c: imx: Fix external abort on interrupt in exit paths
    - [armhf] i2c: mux: pca954x: Add missing pca9546 definition to chip_desc
    - [x86] Input: sunkbd - avoid use-after-free in teardown paths
      (CVE-2020-25669)
    - mac80211: always wind down STA state
    - [x86] KVM: x86: clflushopt should be treated as a no-op by emulation
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.246
    - ah6: fix error return code in ah6_input()
    - atm: nicstar: Unmap DMA on send error
    - bnxt_en: read EEPROM A2h address using page 0
    - devlink: Add missing genlmsg_cancel() in devlink_nl_sb_port_pool_fill()
    - inet_diag: Fix error path to cancel the meseage in inet_req_diag_fill()
    - net: b44: fix error return code in b44_init_one()
    - net: bridge: add missing counters to ndo_get_stats64 callback
    - net: Have netpoll bring-up DSA management interface
    - netlabel: fix our progress tracking in netlbl_unlabel_staticlist()
    - netlabel: fix an uninitialized warning in netlbl_unlabel_staticlist()
    - net/mlx4_core: Fix init_hca fields offset
    - net: x25: Increase refcnt of "struct x25_neigh" in x25_rx_call_request
    - qlcnic: fix error return code in qlcnic_83xx_restart_hw()
    - sctp: change to hold/put transport for proto_unreach_timer
    - net: usb: qmi_wwan: Set DTR quirk for MR400
    - tcp: only postpone PROBE_RTT if RTT is < current min_rtt estimate
    - [armhf] pinctrl: rockchip: enable gpio pclk for rockchip_gpio_to_irq
    - [arm64] psci: Avoid printing in cpu_psci_cpu_die()
    - vfs: remove lockdep bogosity in __sb_start_write
    - [armhf] dts: imx6qdl-udoo: fix rgmii phy-mode for ksz9031 phy
    - [armhf] dts: imx50-evk: Fix the chip select 1 IOMUX
    - perf lock: Don't free "lock_seq_stat" if read_count isn't zero
    - can: dev: can_restart(): post buffer from the right context
    - can: peak_usb: fix potential integer overflow on shift of a int
    - [armhf] regulator: ti-abb: Fix array out of bound read access on the
      first transition
    - xfs: revert "xfs: fix rmap key and record comparison functions"
    - libfs: fix error cast of negative value in simple_attr_write()
    - ALSA: ctl: fix error path at adding user-defined element set
    - ALSA: mixart: Fix mutex deadlock
    - tty: serial: imx: keep console clocks always on
    - ext4: fix bogus warning in ext4_update_dx_flag()
    - [x86] iio: accel: kxcjk1013: Replace is_smo8500_device with an acpi_type
      enum
    - regulator: fix memory leak with repeated set_machine_constraints()
    - mac80211: minstrel: remove deferred sampling code
    - mac80211: minstrel: fix tx status processing corner case
    - mac80211: free sta in sta_info_insert_finish() on errors
    - [x86] microcode/intel: Check patch signature before saving microcode for
      early loading

  [ Ben Hutchings ]
  * fscrypto: Ignore ABI changes
  * xen/events: Ignore ABI changes
  * efivarfs: revert "fix memory leak in efivarfs_create()" (regression in
    4.9.246)
  * [x86] speculation: Fix prctl() when spectre_v2_user={seccomp,prctl},ibpb
    (regressions in 4.9.228, 4.9.244)
  * regulator: avoid resolve_supply() infinite recursion (regression in
    4.9.241)
  * regulator: workaround self-referent regulators (regression in 4.9.241)
  * bonding: wait for sysfs kobject destruction before freeing struct slave
    (regression in 4.9.226)
  * [x86] iommu/amd: Set DTE[IntTabLen] to represent 512 IRTEs (regression in
    4.9.244)

 -- Ben Hutchings <benh@debian.org>  Wed, 16 Dec 2020 23:26:40 +0100

linux (4.9.240-2) stretch-security; urgency=high

  * xen/events: don't use chip_data for legacy IRQs (Closes: #973417)

 -- Ben Hutchings <benh@debian.org>  Fri, 30 Oct 2020 18:26:41 +0000

linux (4.9.240-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.229
    - [armhf] clk: sunxi: Fix incorrect usage of round_down()
    - [x86] i2c: piix4: Detect secondary SMBus controller on AMD AM4 chipsets
    - [x86] iio: pressure: bmp280: Tolerate IRQ before registering
    - [arm64] clk: qcom: msm8916: Fix the address location of pll->config_reg
    - [arm64] backlight: lp855x: Ensure regulators are disabled on probe
      failure
    - [i386] ALSA: isa/wavefront: prevent out of bounds write in ioctl
    - scsi: qla2xxx: Fix issue with adapter's stopping state
    - [x86] iio: bmp280: fix compensation of humidity
    - [i386] i2c: pxa: clear all master action bits in i2c_pxa_stop_message()
    - usblp: poison URBs upon disconnect
    - [arm64] PCI: aardvark: Don't blindly enable ASPM L0s and don't write to
      read-only register
    - vfio/pci: fix memory leaks in alloc_perm_bits()
    - scsi: lpfc: Fix lpfc_nodelist leak when processing unsolicited event
    - nfsd: Fix svc_xprt refcnt leak when setup callback client failed
    - yam: fix possible memory leak in yam_init_driver
    - mksysmap: Fix the mismatch of '.L' symbols in System.map
    - scsi: sr: Fix sr_probe() missing deallocate of device minor
    - tty: hvc: Fix data abort due to race in hvc_open
    - [i386] i2c: pxa: fix i2c_pxa_scream_blue_murder() debug output
    - [arm64,armhf] serial: amba-pl011: Make sure we initialize the port.lock
      spinlock
    - drivers: base: Fix NULL pointer exception in __platform_driver_probe() if
      a driver developer is foolish
    - PCI/ASPM: Allow ASPM on links to PCIe-to-PCI/PCI-X Bridges
    - scsi: mpt3sas: Fix double free warnings
    - dlm: remove BUG() before panic()
    - tty: n_gsm: Fix SOF skipping
    - tty: n_gsm: Fix waking up upper tty layer when room available
    - vfio-pci: Mask cap zero
    - [arm64] drm/msm/mdp5: Fix mdp5_init error path for failed mdp5_kms
      allocation
    - [armhf] USB: host: ehci-mxc: Add error handling in ehci_mxc_drv_probe()
    - tty: n_gsm: Fix bogus i++ in gsm_data_kick
    - [armhf] clk: samsung: exynos5433: Add IGNORE_UNUSED flag to sclk_i2s1
    - PCI/PTM: Inherit Switch Downstream Port PTM settings from Upstream Port
    - IB/cma: Fix ports memory leak in cma_configfs
    - [arm64,armhf] usb: dwc2: gadget: move gadget resume after the core is in
      L0 state
    - usb: gadget: Fix issue with config_ep_by_speed function
    - [arm64,armhf] clk: bcm2835: Fix return type of bcm2835_register_gate
    - net: sunrpc: Fix off-by-one issues in 'rpc_ntop6'
    - NFSv4.1 fix rpc_call_done assignment for BIND_CONN_TO_SESSION
    - extcon: adc-jack: Fix an error handling path in 'adc_jack_probe()'
    - gfs2: Allow lock_nolock mount to specify jid=X
    - scsi: iscsi: Fix reference count leak in iscsi_boot_create_kobj
    - [armhf] crypto: omap-sham - add proper load balancing support for
      multicore
    - lib/zlib: remove outdated and incorrect pre-increment optimization
    - perf report: Fix NULL pointer dereference in
      hists__fprintf_nr_sample_events()
    - bcache: fix potential deadlock problem in btree_gc_coalesce
      (CVE-2020-12771)
    - block: Fix use-after-free in blkdev_get()
    - libata: Use per port sync for detach
    - drm: encoder_slave: fix refcouting error for modules
    - drm/dp_mst: Reformat drm_dp_check_act_status() a bit
    - drm/qxl: Use correct notify port address when creating cursor ring
    - selinux: fix double free
    - ext4: fix partial cluster initialization when splitting extent
    - drm/dp_mst: Increase ACT retry timeout to 3s
    - [x86] boot/compressed: Relax sed symbol type regex for LLVM ld.lld
    - block: nr_sects_write(): Disable preemption on seqcount write
    - [x86] drm/i915: Whitelist context-local timestamp in the gen9 cmdparser
    - crypto: algboss - don't wait during notifier callback
    - kprobes: Fix to protect kick_kprobe_optimizer() by kprobe_mutex
    - [x86] kprobes: Avoid kretprobe recursion bug
    - kretprobe: Prevent triggering kretprobe from within kprobe_flush_task
    - e1000e: Do not wake up the system via WOL if device wakeup is disabled
    - net: core: device_rename: Use rwsem instead of a seqcount
    - media: dvb_frontend: initialize variable s with FE_NONE instead of 0
    - media: dvb/frontend.h: move out a private internal structure
    - media: dvb/frontend.h: document the uAPI file
    - media: dvb_frontend: get rid of get_property() callback
    - media: stv0288: get rid of set_property boilerplate
    - media: stv6110: get rid of a srate dead code
    - media: friio-fe: get rid of set_property()
    - media: dvb_frontend: get rid of set_property() callback
    - media: dvb_frontend: cleanup dvb_frontend_ioctl_properties()
    - media: dvb_frontend: cleanup ioctl handling logic
    - media: dvb_frontend: get rid of property cache's state
    - media: dvb_frontend: better document the -EPERM condition
    - media: dvb_frontend: fix return values for FE_SET_PROPERTY
    - media: dvb_frontend: dtv_property_process_set() cleanups
    - media: dvb_frontend: be sure to init dvb_frontend_handle_ioctl() return
      code
    - media: dvb_frontend: Add unlocked_ioctl in dvb_frontend.c
    - media: dvb_frontend: Add compat_ioctl callback
    - media: dvb_frontend: Add commands implementation for compat ioct
    - media: dvb_frontend: fix wrong cast in compat_ioctl
    - media: dvb_frontend: fix return error code
    - mtd: rawnand: Pass a nand_chip object to nand_release()
    - [x86] mtd: rawnand: diskonchip: Fix the probe error path
    - [armel,armhf] mtd: rawnand: orion: Fix the probe error path
    - l2tp: Allow duplicate session creation with UDP
    - net: sched: export __netdev_watchdog_up()
    - mld: fix memory leak in ipv6_mc_destroy_dev()
    - net: fix memleak in register_netdevice()
    - net: usb: ax88179_178a: fix packet alignment padding
    - rxrpc: Fix notification call on completion of discarded calls
    - tg3: driver sleeps indefinitely when EEH errors exceed eeh_max_freezes
    - ip_tunnel: fix use-after-free in ip_tunnel_lookup()
    - tcp_cubic: fix spurious HYSTART_DELAY exit upon drop in min RTT
    - ip6_gre: fix use-after-free in ip6gre_tunnel_lookup()
    - tcp: grow window for OOO packets only for SACK flows
    - sctp: Don't advertise IPv4 addresses if ipv6only is set on the socket
    - net: Fix the arp error in some cases
    - net: Do not clear the sock TX queue in sk_set_socket()
    - net: core: reduce recursion limit value
    - [arm64,armhf] usb: dwc2: Postponed gadget registration to the udc class
      driver
    - usb: add USB_QUIRK_DELAY_INIT for Logitech C922
    - USB: ehci: reopen solution for Synopsys HC bug
    - [armhf] usb: host: ehci-exynos: Fix error check in exynos_ehci_probe()
    - ALSA: usb-audio: add quirk for Denon DCD-1500RE
    - xhci: Fix incorrect EP_STATE_MASK
    - xhci: Fix enumeration issue when setting max packet size for FS devices.
    - cdc-acm: Add DISABLE_ECHO quirk for Microchip/SMSC chip
    - ALSA: usb-audio: uac1: Invalidate ctl on interrupt
    - ALSA: usb-audio: Clean up mixer element list traverse
    - ALSA: usb-audio: Fix OOB access of mixer element list
    - xhci: Poll for U0 after disabling USB2 LPM
    - cifs/smb3: Fix data inconsistent when punch hole
    - cifs/smb3: Fix data inconsistent when zero file range
    - efi/esrt: Fix reference count leak in esre_create_sysfs_entry.
    - RDMA/mad: Fix possible memory leak in ib_mad_post_receive_mads()
    - net: qed: fix left elements count calculation
    - net: qed: fix NVMe login fails over VFs
    - net: qed: fix excessive QM ILT lines consumption
    - [armhf] imx5: add missing put_device() call in imx_suspend_alloc_ocram()
    - usb: gadget: udc: Potential Oops in error handling code
    - netfilter: ipset: fix unaligned atomic access
    - sched/core: Fix PI boosting between RT and DEADLINE tasks
    - ata/libata: Fix usage of page address by page_address in
      ata_scsi_mode_select_xlat function
    - net: alx: fix race condition in alx_remove
    - kbuild: improve cc-option to clean up all temporary files
    - blktrace: break out of blktrace setup on concurrent calls
    - ALSA: hda: Add NVIDIA codec IDs 9a & 9d through a0 to patch table
    - ACPI: sysfs: Fix pm_profile_attr type
    - [x86] KVM: X86: Fix MSR range of APIC registers in X2APIC mode
    - mm/slab: use memzero_explicit() in kzfree()
    - ocfs2: load global_inode_alloc
    - ocfs2: fix value of OCFS2_INVALID_SLOT
    - ocfs2: fix panic on nfs server over ocfs2
    - [arm64] perf: Report the PC value in REGS_ABI_32 mode
    - tracing: Fix event trigger to accept redundant spaces
    - drm/radeon: fix fb_div check in ni_init_smc_spll_table()
    - sunrpc: fixed rollback in rpc_gssd_dummy_populate()
    - SUNRPC: Properly set the @subbuf parameter of xdr_buf_subsegment()
    - pNFS/flexfiles: Fix list corruption if the mirror count changes
    - xfs: add agf freeblocks verify in xfs_agf_verify (CVE-2020-12655)
    - Revert "tty: hvc: Fix data abort due to race in hvc_open"
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.230
    - btrfs: fix a block group ref counter leak after failure to remove block
      group
    - btrfs: cow_file_range() num_bytes and disk_num_bytes are same
    - btrfs: fix data block group relocation failure due to concurrent scrub
    - mm: fix swap cache node allocation mask
    - [x86] EDAC/amd64: Read back the scrub rate PCI register on F15h
    - usbnet: smsc95xx: Fix use-after-free after removal
    - mm/slub.c: fix corrupted freechain in deactivate_slab()
    - mm/slub: fix stack overruns with SLUB_STATS
    - usb: usbtest: fix missing kfree(dev->buf) in usbtest_disconnect
      (CVE-2020-15393)
    - crypto: af_alg - fix use-after-free in af_alg_accept() due to
      bh_lock_sock()
    - sched/rt: Show the 'sched_rr_timeslice' SCHED_RR timeslice tuning knob in
      milliseconds
    - cxgb4: parse TC-U32 key values and masks natively
    - [x86] hwmon: (acpi_power_meter) Fix potential memory leak in
      acpi_power_meter_add()
    - virtio-blk: free vblk-vqs in error path of virtblk_probe()
    - i2c: algo-pca: Add 0x78 as SCL stuck low status for PCA9665
    - SMB3: Honor 'seal' flag for multiuser mounts
    - SMB3: Honor persistent/resilient handle flags for multiuser mounts
    - netfilter: nf_conntrack_h323: lost .data_len definition for Q.931/ipv6
    - efi: Make it possible to disable efivar_ssdt entirely
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.231
    - [arm64,armhf] gpu: host1x: Detach driver on unregister
    - spi: spidev: fix a race between spidev_release and spidev_remove
    - spi: spidev: fix a potential use-after-free in spidev_release()
    - cifs: update ctime and mtime during truncate
    - [armhf] imx6: add missing put_device() call in imx6q_suspend_init()
    - scsi: mptscsih: Fix read sense data size
    - net: cxgb4: fix return error value in t4_prep_fw
    - smsc95xx: check return value of smsc95xx_reset
    - smsc95xx: avoid memory leak in smsc95xx_bind
    - ALSA: compress: fix partial_drain completion state
    - bnxt_en: fix NULL dereference in case SR-IOV configuration fails
    - [arm64] net: macb: mark device wake capable when "magic-packet" property
      present
    - [i386] ALSA: opl3: fix infoleak in opl3
    - ALSA: hda - let hs_mic be picked ahead of hp_mic
    - ALSA: usb-audio: add quirk for MacroSilicon MS2109
    - [arm64] KVM: arm64: Fix definition of PAGE_HYP_DEVICE
    - [x86] KVM: x86: bit 8 of non-leaf PDPEs is not reserved
    - Revert "ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb"
    - btrfs: fix fatal extent_buffer readahead vs releasepage race
    - drm/radeon: fix double free
    - ipv4: fill fl4_icmp_{type,code} in ping_v4_sendmsg
    - l2tp: remove skb_dst_set() from l2tp_xmit_skb()
    - llc: make sure applications use ARPHRD_ETHER
    - net: Added pointer check for dst->ops->neigh_lookup in
      dst_neigh_lookup_skb
    - net: usb: qmi_wwan: add support for Quectel EG95 LTE modem
    - tcp: md5: add missing memory barriers in tcp_md5_do_add()/
      tcp_md5_hash_key()
    - tcp: md5: refine tcp_md5_do_add()/tcp_md5_hash_key() barriers
    - genetlink: remove genl_bind
    - tcp: make sure listeners don't initialize congestion-control state
    - tcp: md5: do not send silly options in SYNCOOKIES
    - tcp: md5: allow changing MD5 keys in all socket states
    - cgroup: fix cgroup_sk_alloc() for sk_clone_lock() (CVE-2020-14356)
    - cgroup: Fix sock_cgroup_data on big-endian.
    - [i386] i2c: eg20t: Load module automatically if ID matches
    - [armhf] iio: mma8452: Add missed iio_device_unregister() call in
      mma8452_probe()
    - [armhf] net: dsa: bcm_sf2: Fix node reference count
    - [armhf] spi: spi-sun6i: sun6i_spi_transfer_one(): fix setting of clock
      rate
    - [x86] staging: comedi: verify array index is correct before using it
    - [armhf] dts: socfpga: Align L2 cache-controller nodename with dtschema
    - perf stat: Zero all the 'ena' and 'run' array slot stats for interval mode
    - HID: magicmouse: do not set up autorepeat
    - usb: core: Add a helper function to check the validity of EP type in URB
    - ALSA: line6: Perform sanity check for each URB creation
    - ALSA: usb-audio: Fix race against the error recovery URB submission
    - [arm64,armhf] usb: dwc2: Fix shutdown callback in platform
    - [arm64,armhf] usb: chipidea: core: add wakeup support for extcon
    - usb: gadget: function: fix missing spinlock in f_uac1_legacy
    - USB: serial: iuu_phoenix: fix memory corruption
    - USB: serial: cypress_m8: enable Simply Automated UPB PIM
    - USB: serial: ch341: add new Product ID for CH340
    - USB: serial: option: add GosunCn GM500 series
    - USB: serial: option: add Quectel EG95 LTE modem
    - virtio: virtio_console: add missing MODULE_DEVICE_TABLE() for rproc serial
    - fuse: Fix parameter for FS_IOC_{GET,SET}FLAGS
    - mei: bus: don't clean driver pointer
    - [x86] Input: i8042 - add Lenovo XiaoXin Air 12 to i8042 nomux list
    - timer: Fix wheel index calculation on last level
    - [arm64] ptrace: Override SPSR.SS when single-stepping is enabled
    - sched/fair: handle case of task_h_load() returning 0
    - [arm64,armhf] irqchip/gic: Atomically update affinity
    - [x86] cpu: Move x86_cache_bits settings
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.232
    - [x86] pinctrl: amd: fix npins for uart0 in kerncz_groups
    - mac80211: allow rx of mesh eapol frames with default rx key
    - scsi: scsi_transport_spi: Fix function pointer check
    - net: sky2: initialize return of gm_phy_read
    - drm/nouveau/i2c/g94-: increase NV_PMGR_DP_AUXCTL_TRANSACTREQ timeout
    - uprobes: Change handle_swbp() to send SIGTRAP with si_code=SI_KERNEL, to
      fix GDB regression
    - ALSA: info: Drop WARN_ON() from buffer NULL sanity check
    - btrfs: fix double free on ulist after backref resolution failure
    - btrfs: fix mount failure caused by race with umount
    - bnxt_en: Fix race when modifying pause settings.
    - [x86] hippi: Fix a size used in a 'pci_free_consistent()' in an error
      handling path
    - ax88172a: fix ax88172a_unbind() failures
    - net: dp83640: fix SIOCSHWTSTAMP to update the struct with actual
      configuration
    - [arm64,armhf] net: smc91x: Fix possible memory leak in smc_drv_probe()
    - [x86] HID: i2c-hid: add Mediacom FlexBook edge13 to descriptor override
    - HID: apple: Disable Fn-key key-re-mapping on clone keyboards
    - [arm64] dmaengine: tegra210-adma: Fix runtime PM imbalance on error
    - regmap: dev_get_regmap_match(): fix string comparison
    - dmaengine: ioat setting ioat timeout as module parameter
    - [arm64] Use test_tsk_thread_flag() for checking TIF_SINGLESTEP
    - usb: xhci: Fix ASM2142/ASM3142 DMA addressing
    - staging: wlan-ng: properly check endpoint types
    - [x86] staging: comedi: addi_apci_{1032,1500,1564}: check
      INSN_CONFIG_DIGITAL_TRIG shift
    - [x86] staging: comedi: ni_6527: fix INSN_CONFIG_DIGITAL_TRIG support
    - serial: 8250: fix null-ptr-deref in serial8250_start_tx()
    - vt: Reject zero-sized screen buffer size.
    - mm/memcg: fix refcount error while moving and swapping
    - io-mapping: indicate mapping failure
    - ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb
    - ath9k: Fix regression with Atheros 9271
    - AX.25: Fix out-of-bounds read in ax25_connect()
    - AX.25: Prevent out-of-bounds read in ax25_sendmsg()
    - dev: Defer free of skbs in flush_backlog
    - net-sysfs: add a newline when printing 'tx_timeout' by sysfs
    - net: udp: Fix wrong clean up for IS_UDPLITE macro
    - rxrpc: Fix sendmsg() returning EPIPE due to recvmsg() returning ENODATA
    - AX.25: Prevent integer overflows in connect and sendmsg
    - tcp: allow at most one TLP probe per flight
    - ip6_gre: fix null-ptr-deref in ip6gre_init_net()
    - regmap: debugfs: check count when read regmap file
    - perf probe: Fix to check blacklist address correctly
    - perf annotate: Use asprintf when formatting objdump command line
    - perf tools: Fix snprint warnings for gcc 8
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.233
    - net: phy: mdio-bcm-unimac: fix potential NULL dereference in
      unimac_mdio_probe()
    - [x86] crypto: ccp - Release all allocated memory if sha type is invalid
    - media: rc: prevent memory leak in cx23888_ir_probe
    - ath9k_htc: release allocated buffer if timed out (CVE-2019-19073)
    - ath9k: release allocated buffer if timed out (CVE-2019-19074)
    - PCI/ASPM: Disable ASPM on ASMedia ASM1083/1085 PCIe-to-PCI bridge
    - [armel,armhf] 8986/1: hw_breakpoint: Don't invoke overflow handler on
      uaccess watchpoints
    - drm/amdgpu: Prevent kernel-infoleak in amdgpu_info_ioctl()
    - drm: hold gem reference until object is no longer accessed
    - f2fs: check memory boundary by insane namelen
    - f2fs: check if file namelen exceeds max value (CVE-2019-9445)
    - 9p/trans_fd: abort p9_read_work if req status changed
    - 9p/trans_fd: Fix concurrency del of req_list in p9_fd_cancelled/
      p9_read_work
    - [x86] build/lto: Fix truncated .bss with -fdata-sections
    - [x86] vmlinux.lds: Page-align end of ..page_aligned sections
    - fbdev: Detect integer underflow at "struct fbcon_ops"->clear_margins.
    - rds: Prevent kernel-infoleak in rds_notify_queue_get()
    - xfs: fix missed wakeup on l_flush_wait
    - uapi: includes linux/types.h before exporting files
    - install several missing uapi headers
    - net/x25: Fix x25_neigh refcnt leak when x25 disconnect
    - net/x25: Fix null-ptr-deref in x25_disconnect
    - net: lan78xx: add missing endpoint sanity check
    - net: lan78xx: fix transfer-buffer memory leak
    - mlx4: disable device on shutdown
    - mac80211: mesh: Free ie data when leaving mesh
    - mac80211: mesh: Free pending skb when destroying a mpath
    - [arm64] csum: Fix handling of bad packets
    - usb: hso: Fix debug compile warning on sparc32
    - qed: Disable "MFW indication via attention" SPAM every 5 minutes
    - xen-netfront: fix potential deadlock in xennet_remove()
    - [x86] KVM: LAPIC: Prevent setting the tscdeadline timer if the lapic is
      hw disabled
    - [x86] i8259: Use printk_deferred() to prevent deadlock
    - random32: update the net random state on interrupt and activity
      (CVE-2020-16166)
    - [armel,armhf] percpu.h: fix build error
    - random: fix circular include dependency on arm64 after addition of
      percpu.h
    - random32: move the pseudo-random 32-bit definitions to prandom.h
    - ext4: fix direct I/O read error
    - USB: serial: qcserial: add EM7305 QDL product ID
    - net/mlx5e: Don't support phys switch id if not in switchdev mode
    - ALSA: seq: oss: Serialize ioctls
    - Bluetooth: Fix slab-out-of-bounds read in
      hci_extended_inquiry_result_evt()
    - Bluetooth: Prevent out-of-bounds read in hci_inquiry_result_evt()
    - Bluetooth: Prevent out-of-bounds read in
      hci_inquiry_result_with_rssi_evt()
    - vgacon: Fix for missing check in scrollback handling (CVE-2020-14331)
    - mtd: properly check all write ioctls for permissions
    - leds: wm831x-status: fix use-after-free on unbind
    - net/9p: validate fds in p9_fd_open
    - drm/nouveau/fbcon: fix module unload when fbcon init has failed for some
      reason
    - cfg80211: check vendor command doit pointer before use
    - igb: reinit_locked() should be called with rtnl_lock
    - atm: fix atm_dev refcnt leaks in atmtcp_remove_persistent
    - tools lib traceevent: Fix memory leak in process_dynamic_array_len
    - xattr: break delegations in {set,remove}xattr
    - binder: Prevent context manager from incrementing ref 0
    - ipv4: Silence suspicious RCU usage warning
    - ipv6: fix memory leaks on IPV6_ADDRFORM path
    - vxlan: Ensure FDB dump is performed under RCU
    - net: lan78xx: replace bogus endpoint lookup
    - Revert "vxlan: fix tos value before xmit"
    - usb: hso: check for return value in hso_serial_common_create()
    - tracepoint: Mark __tracepoint_string's __used
    - gpio: fix oops resulting from calling of_get_named_gpio(NULL, ...)
    - cgroup: add missing skcd->no_refcnt check in cgroup_sk_clone()
      (CVE-2020-25220)
    - EDAC: Fix reference count leaks
    - [arm64] dts: qcom: msm8916: Replace invalid bias-pull-none property
    - [arm64] dts: exynos: Fix silent hang after boot on Espresso
    - [x86] platform/x86: intel-hid: Fix return value check in check_acpi_dev()
    - [x86] platform/x86: intel-vbtn: Fix return value check in
      check_acpi_dev()
    - [armhf] socfpga: PM: add missing put_device() call in
      socfpga_setup_ocram_self_refresh()
    - [armhf] drm/tilcdc: fix leak & null ref in panel_connector_get_modes
    - Bluetooth: add a mutex lock to avoid UAF in do_enale_set
    - fs/btrfs: Add cond_resched() for try_release_extent_mapping() stalls
    - drm/radeon: Fix reference count leaks caused by pm_runtime_get_sync
    - video: fbdev: neofb: fix memory leak in neo_scan_monitor()
    - md-cluster: fix wild pointer of unlock_all_bitmaps()
    - drm/nouveau: fix multiple instances of reference count leaks
    - drm/debugfs: fix plain echo to connector "force" attribute
    - mm/mmap.c: Add cond_resched() for exit_mmap() CPU stalls
    - brcmfmac: To fix Bss Info flag definition Bug
    - iwlegacy: Check the return value of pcie_capability_read_*()
    - usb: gadget: net2280: fix memory leak on probe error handling paths
    - bdc: Fix bug causing crash after multiple disconnects
    - dyndbg: fix a BUG_ON in ddebug_describe_flags
    - bcache: fix super block seq numbers comparision in register_cache_set()
    - ACPICA: Do not increment operation_region reference counts for field
      units
    - [x86] agp/intel: Fix a memory leak on module initialisation failure
    - iio: improve IIO_CONCENTRATION channel type description
    - [armhf] media: omap3isp: Add missed v4l2_ctrl_handler_free() for
      preview_init_entities()
    - [armhf] drm/mipi: use dcs write for mipi_dsi_dcs_set_tear_scanline
    - drm/radeon: fix array out-of-bounds read and write issues
    - media: firewire: Using uninitialized values in node_probe()
    - xfs: fix reflink quota reservation accounting error
    - PCI: Fix pci_cfg_wait queue locking problem
    - leds: core: Flush scheduled work for system suspend
    - [arm64,armhf] drm: panel: simple: Fix bpc for LG LB070WV8 panel
    - scsi: scsi_debug: Add check for sdebug_max_queue during module init
    - mwifiex: Prevent memory corruption handling keys
    - [x86] staging: rtl8192u: fix a dubious looking mask before a shift
    - PCI/ASPM: Add missing newline in sysfs 'policy'
    - [armhf] drm/imx: tve: fix regulator_disable error path
    - USB: serial: iuu_phoenix: fix led-activity helpers
    - [arm64,armhf] usb: dwc2: Fix error path in gadget registration
    - [arm64,armhf] wl1251: fix always return 0 error
    - dlm: Fix kobject memleak
    - pinctrl-single: fix pcs_parse_pinconf() return value
    - [x86] drivers/net/wan/lapbether: Added needed_headroom and a skb->len
      check
    - net/nfc/rawsock.c: add CAP_NET_RAW check. (CVE-2020-26088)
    - net: Set fput_needed iff FDPUT_FPUT is set
    - USB: serial: cp210x: re-enable auto-RTS on open
    - USB: serial: cp210x: enable usb generic throttle/unthrottle
    - ALSA: usb-audio: Creative USB X-Fi Pro SB1095 volume knob support
    - ALSA: usb-audio: fix overeager device match for MacroSilicon MS2109
    - ALSA: usb-audio: add quirk for Pioneer DDJ-RB
    - [x86] crypto: qat - fix double free in qat_uclo_create_batch_init_list
    - [x86] crypto: ccp - Fix use of merged scatterlists
    - fs/minix: check return value of sb_getblk()
    - fs/minix: don't allow getting deleted inodes
    - fs/minix: reject too-large maximum file size
    - ALSA: usb-audio: work around streaming quirk for MacroSilicon MS2109
    - 9p: Fix memory leak in v9fs_mount
    - xen/balloon: fix accounting in alloc_xenballooned_pages error path
    - xen/balloon: make the balloon wait interruptible
    - smb3: warn on confusing error scenario with sec=krb5
    - PCI: hotplug: ACPI: Fix context refcounting in acpiphp_grab_context()
    - btrfs: don't allocate anonymous block device for user invisible roots
    - btrfs: only search for left_info if there is no right_info in
      try_merge_free_space (CVE-2019-19448)
    - btrfs: fix memory leaks after failure to lookup checksums during inode
      logging
    - [arm64,armhf] net: ethernet: stmmac: Disable hardware multicast filter
    - [arm64,armhf] net: stmmac: dwmac1000: provide multicast filter fallback
    - net/compat: Add missing sock updates for SCM_RIGHTS
    - md/raid5: Fix Force reconstruct-write io stuck in degraded raid5
    - bcache: allocate meta data pages as compound pages
    - mac80211: fix misplaced while instead of if
    - ext2: fix missing percpu_counter_inc
    - ocfs2: change slot number type s16 to u16
    - ftrace: Setup correct FTRACE_FL_REGS flags for module
    - kprobes: Fix NULL pointer dereference at kprobe_ftrace_handler
    - [x86] watchdog: f71808e_wdt: indicate WDIOF_CARDRESET support in
      watchdog_info.options
    - [x86] watchdog: f71808e_wdt: remove use of wrong watchdog_info option
    - [x86] watchdog: f71808e_wdt: clear watchdog timeout occurred flag
    - USB: serial: ftdi_sio: make process-packet buffer unsigned
    - USB: serial: ftdi_sio: clean up receive processing
    - [armhf] gpu: ipu-v3: image-convert: Combine rotate/no-rotate irq handlers
    - [armhf] iommu/omap: Check for failure of a call to omap_iommu_dump_ctx
    - [x86] iommu/vt-d: Enforce PASID devTLB field mask
    - Input: sentelic - fix error return when fsp_reg_write fails
    - [x86] drm/vmwgfx: Fix two list_for_each loop exit tests
    - [arm64] net: qcom/emac: add missed clk_disable_unprepare in error path of
      emac_clks_phase1_init
    - nfs: Fix getxattr kernel panic and memory overflow (CVE-2020-25212)
    - fs/ufs: avoid potential u32 multiplication overflow
    - ALSA: echoaudio: Fix potential Oops in snd_echo_resume()
    - khugepaged: retract_page_tables() remember to test exit
    - mm: Avoid calling build_all_zonelists_init under hotplug context
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.234
    - [x86] asm: Add instruction suffixes to bitops
    - [armhf] drm/imx: imx-ldb: Disable both channels for split mode in
      enc->disable()
    - perf probe: Fix memory leakage when the probe point is not found
    - tracing: Clean up the hwlat binding code
    - [rt] tracing/hwlat: Honor the tracing_cpumask
    - khugepaged: khugepaged_test_exit() check mmget_still_valid()
    - khugepaged: adjust VM_BUG_ON_MM() in __khugepaged_enter()
    - btrfs: export helpers for subvolume name/id resolution
    - btrfs: don't show full path of bind mounts in subvol=
    - romfs: fix uninitialized memory leak in romfs_dev_read()
    - kernel/relay.c: fix memleak on destroy relay channel
    - [armhf] mm: include CMA pages in lowmem_reserve at boot
    - mm, page_alloc: fix core hung in free_pcppages_bulk()
    - ext4: clean up ext4_match() and callers
    - ext4: fix checking of directory entry validity for inline directories
    - scsi: ufs: Add DELAY_BEFORE_LPM quirk for Micron devices
    - media: budget-core: Improve exception handling in budget_register()
    - Input: psmouse - add a newline when printing 'proto' by sysfs
    - xfs: fix inode quota reservation checks
    - jffs2: fix UAF problem
    - scsi: libfc: Free skb in fc_disc_gpn_id_resp() for valid cases
    - virtio_ring: Avoid loop when vq is broken in virtqueue_poll
    - xfs: Fix UBSAN null-ptr-deref in xfs_sysfs_init
    - ext4: fix potential negative array index in do_split() (CVE-2020-14314)
    - i40e: Set RX_ONLY mode for unicast promiscuous on VLAN
    - [x86] ASoC: intel: Fix memleak in sst_media_open
    - [armhf] net: dsa: b53: check for timeout
    - epoll: Keep a reference on files added to the check list
    - do_epoll_ctl(): clean the failure exits up a bit
    - mm/hugetlb: fix calculation of adjust_range_if_pmd_sharing_possible
    - xen: don't reschedule in preemption off sections
    - [arm64,armhf] KVM: arm/arm64: Don't reschedule in unmap_stage2_range()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.235
    - bonding: fix a potential double-unregister
    - bonding: show saner speed for broadcast mode
    - net: Fix potential wrong skb->protocol in skb_vlan_untag()
    - tipc: fix uninit skb->data in tipc_nl_compat_dumpit()
    - ipvlan: fix device features
    - gre6: Fix reception with IP6_TNL_F_RCV_DSCP_COPY
    - ALSA: pci: delete repeated words in comments
    - [arm64,armhf] ASoC: tegra: Fix reference count leaks.
    - [arm64] dts: qcom: msm8916: Pull down PDM GPIOs during sleep
    - media: pci: ttpci: av7110: fix possible buffer overflow caused by bad DMA
      value in debiirq()
    - scsi: target: tcmu: Fix crash on ARM during cmd completion
    - [x86] drm/amdkfd: Fix reference count leaks.
    - drm/radeon: fix multiple reference count leak
    - drm/amdgpu: fix ref count leak in amdgpu_driver_open_kms
    - drm/amd/display: fix ref count leak in amdgpu_drm_ioctl
    - drm/amdgpu: fix ref count leak in amdgpu_display_crtc_set_config
    - drm/amdgpu/display: fix ref count leak when pm_runtime_get_sync fails
    - scsi: lpfc: Fix shost refcount mismatch when deleting vport
    - PCI: Fix pci_create_slot() reference count leak
    - rtlwifi: rtl8192cu: Prevent leaking urb
    - cec-api: prevent leaking memory through hole in structure
    - drm/nouveau/drm/noveau: fix reference count leak in nouveau_fbcon_open
    - drm/nouveau: Fix reference count leak in nouveau_connector_detect
    - scsi: iscsi: Do not put host in iscsi_set_flashnode_param()
    - ceph: fix potential mdsc use-after-free crash
    - scsi: fcoe: Memory leak fix in fcoe_sysfs_fcf_del()
    - [x86] EDAC/ie31200: Fallback if host bridge device is already initialized
    - media: davinci: vpif_capture: fix potential double free
    - USB: sisusbvga: Fix a potential UB casued by left shifting a negative
      value
    - efi: provide empty efi_enter_virtual_mode implementation
    - Revert "ath10k: fix DMA related firmware crashes on multiple devices"
    - usb: gadget: f_tcm: Fix some resource leaks in some error paths
    - jbd2: make sure jh have b_transaction set in refile/unfile_buffer
    - jbd2: abort journal if free a async write error metadata buffer
    - fs: prevent BUG_ON in submit_bh_wbc()
    - scsi: ufs: Fix possible infinite loop in ufshcd_hold
    - scsi: ufs: Improve interrupt handling for shared interrupts
    - [x86] HID: i2c-hid: Always sleep 60ms after I2C_HID_PWR_ON commands
    - btrfs: fix space cache memory leak after transaction abort
    - fbcon: prevent user font height or width change from causing potential
      out-of-bounds access
    - vt: defer kfree() of vc_screenbuf in vc_do_resize()
    - vt_ioctl: change VT_RESIZEX ioctl to check for error return from
      vc_resize()
    - [armhf] serial: samsung: Removes the IRQ not found warning
    - [arm64,armhf] serial: pl011: Fix oops on -EPROBE_DEFER
    - [arm64,armhf] serial: pl011: Don't leak amba_ports entry on driver
      register error
    - serial: 8250: change lock order in serial8250_do_startup()
    - writeback: Protect inode->i_io_list with inode->i_lock
    - writeback: Avoid skipping inode writeback
    - writeback: Fix sync livelock due to b_dirty_time processing
    - XEN uses irqdesc::irq_data_common::handler_data to store a per interrupt
      XEN data pointer which contains XEN specific information.
    - xhci: Do warm-reset when both CAS and XDEV_RESUME are set
    - PM: sleep: core: Fix the handling of pending runtime resume requests
    - device property: Fix the secondary firmware node handling in
      set_primary_fwnode()
    - USB: yurex: Fix bad gfp argument
    - usb: uas: Add quirk for PNY Pro Elite
    - USB: quirks: Add no-lpm quirk for another Raydium touchscreen
    - USB: Ignore UAS for JMicron JMS567 ATA/ATAPI Bridge
    - usb: host: ohci-exynos: Fix error handling in exynos_ohci_probe()
    - overflow.h: Add allocation size calculation helpers
    - USB: gadget: u_f: add overflow checks to VLA macros
    - USB: gadget: f_ncm: add bounds checks to ncm_unwrap_ntb()
    - USB: gadget: u_f: Unbreak offset calculation in VLAs
    - usb: storage: Add unusual_uas entry for Sony PSZ drives
    - btrfs: check the right error variable in btrfs_del_dir_entries_in_log
    - HID: hiddev: Fix slab-out-of-bounds write in hiddev_ioctl_usage()
    - ALSA: usb-audio: Update documentation comment for MS2109 quirk
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.236
    - HID: core: Correctly handle ReportSize being zero
    - HID: core: Sanitize event code and type when mapping input
    - [x86] hwmon: (applesmc) check status earlier.
    - nvmet: Disable keep-alive timer when kato is cleared to 0h
    - ceph: don't allow setlease on cephfs
    - xen/xenbus: Fix granting of vmalloc'd memory
    - dmaengine: of-dma: Fix of_dma_router_xlate's of_dma_xlate handling
    - batman-adv: Avoid uninitialized chaddr when handling DHCP
    - batman-adv: bla: use netif_rx_ni when not in interrupt context
    - dmaengine: at_hdmac: check return value of of_find_device_by_node() in
      at_dma_xlate()
    - netfilter: nf_tables: add NFTA_SET_USERDATA if not null
    - netfilter: nf_tables: incorrect enum nft_list_attributes definition
    - netfilter: nf_tables: fix destination register zeroing
    - [arm64] net: hns: Fix memleak in hns_nic_dev_probe
    - [armhf] dmaengine: pl330: Fix burst length if burst size is smaller than
      bus width
    - bnxt_en: Check for zero dir entries in NVRAM.
    - bnxt_en: Fix PCI AER error recovery flow
    - fix regression in "epoll: Keep a reference on files added to the check
      list"
    - tg3: Fix soft lockup when tg3_reset_task() fails.
    - [x86] iommu/vt-d: Serialize IOMMU GCMD register modifications
    - [armhf] thermal: ti-soc-thermal: Fix bogus thermal shutdowns for omap4430
    - include/linux/log2.h: add missing () around n in roundup_pow_of_two()
    - btrfs: drop path before adding new uuid tree entry
    - btrfs: Remove redundant extent_buffer_get in get_old_root
    - btrfs: Remove extraneous extent_buffer_get from tree_mod_log_rewind
    - btrfs: set the lockdep class for log tree extent buffers
    - uaccess: Add non-pagefault user-space read functions
    - uaccess: Add non-pagefault user-space write function
    - btrfs: fix potential deadlock in the search ioctl
    - net: usb: qmi_wwan: add Telit 0x1050 composition
    - drivers: net: usb: qmi_wwan: add QMI_QUIRK_SET_DTR for Telit PID 0x1201
    - qmi_wwan: new Telewell and Sierra device IDs
    - usb: qmi_wwan: add D-Link DWM-222 A2 device ID
    - ALSA: ca0106: fix error code handling
    - ALSA: pcm: oss: Remove superfluous WARN_ON() for mulaw sanity check
    - ALSA: firewire-digi00x: exclude Avid Adrenaline from detection
    - block: allow for_each_bvec to support zero len bvec (CVE-2020-25641)
    - block: Move SECTOR_SIZE and SECTOR_SHIFT definitions into <linux/blkdev.h>
    - libata: implement ATA_HORKAGE_MAX_TRIM_128M and apply to Sandisks
    - dm cache metadata: Avoid returning cmd->bm wild pointer on error
    - dm thin metadata: Avoid returning cmd->bm wild pointer on error
    - mm: slub: fix conversion of freelist_corrupted()
    - vfio/type1: Support faulting PFNMAP vmas
    - vfio-pci: Fault mmaps to enable vma tracking
    - vfio-pci: Invalidate mmaps and block MMIO access on disabled memory
      (CVE-2020-12888)
    - [arm64] KVM: arm64: Add kvm_extable for vaxorcism code
    - [arm64] KVM: arm64: Defer guest entry when an asynchronous exception is
      pending
    - [arm64] KVM: arm64: Survive synchronous exceptions caused by AT
      instructions
    - [arm64] KVM: arm64: Set HCR_EL2.PTW to prevent AT taking synchronous
      exception
    - net: refactor bind_bucket fastreuse into helper
    - net: initialize fastreuse on inet_inherit_port
    - vfio/pci: Fix SR-IOV VF handling with MMIO blocking
    - checkpatch: fix the usage of capture group ( ... )
    - mm/hugetlb: fix a race between hugetlb sysctl handlers (CVE-2020-25285)
    - cfg80211: regulatory: reject invalid hints
    - net: usb: Fix uninit-was-stored issue in asix_read_phy_addr()
    - ALSA; firewire-tascam: exclude Tascam FE-8 from detection
    - fs/affs: use octal for permissions
    - affs: fix basic permission bits to actually work
    - net: ethernet: mlx4: Fix memory allocation in mlx4_buddy_init()
    - bnxt: don't enable NAPI until rings are ready
    - netlabel: fix problems with mapping removal
    - net: usb: dm9601: Add USB ID of Keenetic Plus DSL
    - sctp: not disable bh in the whole sctp_get_port_local()
    - net: disable netpoll on fresh napis
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.237
    - [armhf] dts: socfpga: fix register entry for timer3 on Arria10
    - RDMA/rxe: Fix memleak in rxe_mem_init_user
    - RDMA/rxe: Drop pointless checks in rxe_init_ports
    - scsi: libsas: Set data_dir as DMA_NONE if libata marks qc as NODATA
    - [x86] drivers/net/wan/lapbether: Added needed_tailroom
    - [x86] firestream: Fix memleak in fs_open
    - ALSA: hda: Fix 2 channel swapping for Tegra
    - [x86] drivers/net/wan/lapbether: Set network_header before transmitting
    - xfs: initialize the shortform attr header padding entry
    - [x86] drivers/net/wan/hdlc_cisco: Add hard_header_len
    - ALSA: hda: fix a runtime pm issue in SOF when integrated GPU is disabled
    - [x86] iio:accel:bmc150-accel: Fix timestamp alignment and prevent data
      leak.
    - [x86] iio:magnetometer:ak8975 Fix alignment and data leak issues.
    - [armhf] iio:accel:mma8452: Fix timestamp alignment and prevent data leak.
    - USB: core: add helpers to retrieve endpoints
    - [x86] staging: wlan-ng: fix out of bounds read in prism2sta_probe_usb()
    - btrfs: fix wrong address when faulting in pages in the search ioctl
    - regulator: push allocation in set_consumer_device_supply() out of lock
    - scsi: target: iscsi: Fix data digest calculation
    - scsi: target: iscsi: Fix hang in iscsit_access_np() when getting
      tpg->np_login_sem
    - rbd: require global CAP_SYS_ADMIN for mapping and unmapping
      (CVE-2020-25284)
    - fbcon: remove soft scrollback code (CVE-2020-14390)
    - fbcon: remove now unusued 'softback_lines' cursor() argument
    - vgacon: remove software scrollback support
    - [x86] KVM: VMX: Don't freeze guest when event delivery causes an APIC-
      access exit
    - video: fbdev: fix OOB read in vga_8planes_imageblit()
    - usb: core: fix slab-out-of-bounds Read in read_descriptors
    - USB: serial: ftdi_sio: add IDs for Xsens Mti USB converter
    - USB: serial: option: add support for SIM7070/SIM7080/SIM7090 modules
    - usb: Fix out of sync data toggle if a configured device is reconfigured
    - IB/rxe: Remove a pointless indirection layer
    - RDMA/rxe: Fix the parent sysfs read when the interface has 15 chars
    - net: handle the return value of pskb_carve_frag_list() correctly
    - NFSv4.1 handle ERR_DELAY error reclaiming locking state on delegation
      recall
    - scsi: pm8001: Fix memleak in pm8001_exec_internal_task_abort
    - scsi: lpfc: Fix FLOGI/PLOGI receive race condition in pt2pt discovery
    - SUNRPC: stop printk reading past end of string
    - i2c: algo: pca: Reapply i2c bus settings after reset
    - [armhf] clk: rockchip: Fix initialization of mux_pll_src_4plls_p
    - [x86] Drivers: hv: vmbus: Add timeout to vmbus_wait_for_unload
    - perf test: Free formats for perf pmu parse test
    - fbcon: Fix user font detection test at fbcon_resize().
    - [x86] USB: quirks: Add USB_QUIRK_IGNORE_REMOTE_WAKEUP quirk for BYD
      zhaoxin notebook
    - USB: UAS: fix disconnect by unplugging a hub
    - usblp: fix race between disconnect() and read()
    - [x86] Input: i8042 - add Entroware Proteus EL07R4 to nomux and reset
      lists
    - serial: 8250_pci: Add Realtek 816a and 816b
    - ehci-hcd: Move include to keep CRC stable
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.238
    - af_key: pfkey_dump needs parameter validation
    - KVM: fix memory leak in kvm_io_bus_unregister_dev()
    - kprobes: fix kill kprobe which has been marked as gone
    - RDMA/ucma: ucma_context reference leak in error path
    - mtd: Fix comparison in map_word_andequal()
    - hdlc_ppp: add range checks in ppp_cp_parse_cr() (CVE-2020-25643)
    - ip: fix tos reflection in ack and reset packets
    - tipc: use skb_unshare() instead in tipc_buf_append()
    - bnxt_en: Protect bnxt_set_eee() and bnxt_set_pauseparam() with mutex.
    - net: phy: Avoid NPD upon phy_detach() when driver is unbound
    - net: add __must_check to skb_put_padto()
    - serial: 8250: Avoid error message on reprobe
    - scsi: aacraid: fix illegal IO beyond last LBA
    - [x86] gma/gma500: fix a memory disclosure bug due to uninitialized bytes
    - [armel/marvell] ASoC: kirkwood: fix IRQ error handling
    - ALSA: usb-audio: Add delay quirk for H570e USB headsets
    - [armhf] PM / devfreq: tegra30: Fix integer overflow on CPU's freq max out
    - [armhf] clk/ti/adpll: allocate room for terminating null
    - mtd: cfi_cmdset_0002: don't free cfi->cfiq in error path of
      cfi_amdstd_setup()
    - mfd: mfd-core: Protect against NULL call-back function pointer
    - tracing: Adding NULL checks for trace_array descriptor pointer
    - bcache: fix a lost wake-up problem caused by mca_cannibalize_lock
    - RDMA/i40iw: Fix potential use after free
    - xfs: fix attr leaf header freemap.size underflow
    - RDMA/iw_cgxb4: Fix an error handling path in 'c4iw_connect()'
    - debugfs: Fix !DEBUG_FS debugfs_create_automount
    - CIFS: Properly process SMB3 lease breaks
    - kernel/sys.c: avoid copying possible padding bytes in copy_to_user
    - neigh_stat_seq_next() should increase position index
    - rt_cpu_seq_next should increase position index
    - seqlock: Require WRITE_ONCE surrounding raw_seqcount_barrier
    - [armhf] media: ti-vpe: cal: Restrict DMA to avoid memory corruption
    - ACPI: EC: Reference count query handlers under lock
    - tracing: Set kernel_stack's caller size properly
    - ar5523: Add USB ID of SMCWUSBT-G2 wireless adapter
    - Bluetooth: Fix refcount use-after-free issue
    - mm: pagewalk: fix termination condition in walk_pte_range()
    - Bluetooth: prefetch channel before killing sock
    - KVM: fix overflow of zero page refcount with ksm running
    - ALSA: hda: Clear RIRB status before reading WP
    - skbuff: fix a data race in skb_queue_len()
    - audit: CONFIG_CHANGE don't log internal bookkeeping as an event
    - selinux: sel_avc_get_stat_idx should increase position index
    - scsi: lpfc: Fix RQ buffer leakage when no IOCBs available
    - scsi: lpfc: Fix coverity errors in fmdi attribute handling
    - [armhf] drm/omap: fix possible object reference leak
    - RDMA/rxe: Fix configuration of atomic queue pair attributes
    - [x86] KVM: x86: fix incorrect comparison in trace event
    - [x86] pkeys: Add check for pkey "overflow"
    - bpf: Remove recursion prevention from rcu free callback
    - dmaengine: tegra-apb: Prevent race conditions on channel's freeing
    - media: go7007: Fix URB type for interrupt handling
    - Bluetooth: guard against controllers sending zero'd events
    - timekeeping: Prevent 32bit truncation in scale64_check_overflow()
    - drm/amdgpu: increase atombios cmd timeout
    - Bluetooth: L2CAP: handle l2cap config request during open state
    - media: tda10071: fix unsigned sign extension overflow
    - xfs: don't ever return a stale pointer from __xfs_dir3_free_read
    - tracing: Use address-of operator on section symbols
    - serial: 8250_port: Don't service RX FIFO if throttled
    - [armhf] serial: 8250_omap: Fix sleeping function called from invalid
      context during probe
    - [armhf] serial: 8250: 8250_omap: Terminate DMA before pushing data on RX
      timeout
    - cpufreq: powernv: Fix frame-size-overflow in powernv_cpufreq_work_fn
    - SUNRPC: Fix a potential buffer overflow in 'svc_print_xprts()'
    - svcrdma: Fix leak of transport addresses
    - ubifs: Fix out-of-bounds memory access caused by abnormal value of
      node_len
    - ALSA: usb-audio: Fix case when USB MIDI interface has more than one extra
      endpoint descriptor
    - mm/filemap.c: clear page error before actual read
    - mm/mmap.c: initialize align_offset explicitly for vm_unmapped_area
    - [x86] KVM: Remove CREATE_IRQCHIP/SET_PIT2 race
    - bdev: Reduce time holding bd_mutex in sync in blkdev_close()
    - drivers: char: tlclk.c: Avoid data race between init and interrupt
      handler
    - atm: fix a memory leak of vcc->user_back
    - Bluetooth: Handle Inquiry Cancel error after Inquiry Complete
    - [armhf] tty: serial: samsung: Correct clock selection logic
    - ALSA: hda: Fix potential race in unsol event handler
    - fuse: don't check refcount after stealing page
    - e1000: Do not perform reset in reset_task if we are already down
    - printk: handle blank console arguments passed in.
    - btrfs: don't force read-only after error in drop snapshot
    - vfio/pci: fix memory leaks of eventfd ctx
    - perf util: Fix memory leak of prefix_if_not_in
    - perf kcore_copy: Fix module map when there are no modules loaded
    - ceph: fix potential race in ceph_check_caps
    - mtd: parser: cmdline: Support MTD names containing one or more colons
    - [x86] speculation/mds: Mark mds_user_clear_cpu_buffers() __always_inline
    - vfio/pci: Clear error and request eventfd ctx after releasing
    - cifs: Fix double add page to memcg when cifs_readpages
    - vfio/pci: fix racy on error and request eventfd ctx
    - i2c: core: Call i2c_acpi_install_space_handler() before
      i2c_acpi_register_devices()
    - objtool: Fix noreturn detection for ignored functions
    - ieee802154/adf7242: check status of adf7242_read_reg
    - mwifiex: Increase AES key storage size to 256 bits
    - batman-adv: bla: fix type misuse for backbone_gw hash indexing
    - [x86] atm: eni: fix the missed pci_disable_device() for eni_init_one()
    - batman-adv: mcast/TT: fix wrongly dropped or rerouted packets
    - mac802154: tx: fix use-after-free
    - batman-adv: Add missing include for in_interrupt()
    - batman-adv: mcast: fix duplicate mcast packets in BLA backbone from mesh
    - ALSA: asihpi: fix iounmap in error handler
    - kprobes: Fix to check probe enabled before disarm_kprobe_ftrace()
    - lib/string.c: implement stpcpy
    - ata: define AC_ERR_OK
    - ata: make qc_prep return ata_completion_errors
    - ata: sata_mv, avoid trigerrable BUG_ON
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.239
    - vsock/virtio: use RCU to avoid use-after-free on the_virtio_vsock
    - vsock/virtio: stop workers during the .remove()
    - USB: gadget: f_ncm: Fix NDP16 datagram validation
    - [x86] Input: i8042 - add nopnp quirk for Acer Aspire 5 A515
    - drm/amdgpu: restore proper ref count in amdgpu_display_crtc_set_config
    - net: dec: de2104x: Increase receive ring size for Tulip
    - rndis_host: increase sleep time in the query-response loop
    - drivers/net/wan/hdlc: Set skb->protocol before transmitting
    - mac80211: do not allow bigger VHT MPDUs than the hardware supports
    - nfs: Fix security label length not being reset
    - [armhf] clk: samsung: exynos4: mark 'chipid' clock as CLK_IGNORE_UNUSED
    - random32: Restore __latent_entropy attribute on net_rand_state
    - net/packet: fix overflow in tpacket_rcv (CVE-2020-14386)
    - epoll: do not insert into poll queues until all sanity checks are done
    - epoll: replace ->visited/visited_list with generation count
    - epoll: EPOLL_CTL_ADD: close the race in decision to take fast path
    - ep_create_wakeup_source(): dentry name can change under you...
    - netfilter: ctnetlink: add a range check for l3/l4 protonum
      (CVE-2020-25211)
    - fbdev, newport_con: Move FONT_EXTRA_WORDS macros into linux/font.h
    - Fonts: Support FONT_EXTRA_WORDS macros for built-in fonts
    - fbcon: Fix global-out-of-bounds read in fbcon_get_font()
    - net: wireless: nl80211: fix out-of-bounds access in nl80211_del_key()
    - usermodehelper: reset umask to default before executing user process
    - [x86] platform/x86: thinkpad_acpi: initialize tp_nvram_state variable
    - [x86] platform/x86: thinkpad_acpi: re-initialize ACPI buffer size when
      reuse
    - driver core: Fix probe_count imbalance in really_probe()
    - perf top: Fix stdio interface input handling with glibc 2.28+
    - [armhf] mtd: rawnand: sunxi: Fix the probe error path
    - ftrace: Move RCU is watching check after recursion check
    - macsec: avoid use-after-free in macsec_handle_frame()
    - mm/khugepaged: fix filemap page_to_pgoff(page) != offset
    - sctp: fix sctp_auth_init_hmacs() error path
    - team: set dev->needed_headroom in team_setup_by_port()
    - net: team: fix memory leak in __team_options_register
    - openvswitch: handle DNAT tuple collision
    - drm/amdgpu: prevent double kfree ttm->sg
    - xfrm: clone XFRMA_REPLAY_ESN_VAL in xfrm_do_migrate
    - xfrm: clone whole liftime_cur structure in xfrm_do_migrate
    - [arm64,armhf] net: stmmac: removed enabling eee in EEE set callback
    - xfrm: Use correct address family in xfrm_state_find
    - bonding: set dev->needed_headroom in bond_setup_by_slave()
    - [arm64] mdio: fix mdio-thunder.c dependency & build error
    - rxrpc: Fix rxkad token xdr encoding
    - rxrpc: Downgrade the BUG() for unsupported token type in rxrpc_read()
    - rxrpc: Fix some missing _bh annotations on locking conn->state_lock
    - rxrpc: Fix server keyring leak
    - perf: Fix task_function_call() error handling
    - mm: khugepaged: recalculate min_free_kbytes after memory hotplug as
      expected by khugepaged
    - net: usb: rtl8150: set random MAC address when set_ethernet_addr() fails
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.240
    - Bluetooth: A2MP: Fix not initializing all members (CVE-2020-12352)
    - Bluetooth: L2CAP: Fix calling sk_filter on non-socket based channel
      (CVE-2020-12351)
    - Bluetooth: MGMT: Fix not checking if BT_HS is enabled
    - Bluetooth: fix kernel oops in store_pending_adv_report (CVE-2020-24490)
    - Bluetooth: Consolidate encryption handling in hci_encrypt_cfm
    - Bluetooth: Fix update of connection state in `hci_encrypt_cfm`
    - Bluetooth: Disconnect if E0 is used for Level 4
    - media: usbtv: Fix refcounting mixup
    - USB: serial: option: add Cellient MPL200 card
    - USB: serial: option: Add Telit FT980-KS composition
    - [x86] staging: comedi: check validity of wMaxPacketSize of usb endpoints
      found
    - USB: serial: pl2303: add device-id for HP GC device
    - USB: serial: ftdi_sio: add support for FreeCalypso JTAG+UART adapters
    - reiserfs: Initialize inode keys properly
    - reiserfs: Fix oops during mount
    - crypto: qat - check cipher length for aead AES-CBC-HMAC-SHA

  [ Ben Hutchings ]
  * [rt] Add new signing key for Clark Williams
  * [rt] Update to 4.9.240-rt155
  * [rt] mm, page_alloc: Restore "fix core hung in free_pcppages_bulk()"
  * [rt] net: Restore use of tofree_queue in flush_backlog()
  * Bump ABI to 14

 -- Ben Hutchings <benh@debian.org>  Thu, 29 Oct 2020 18:09:40 +0000

linux (4.9.228-1) stretch; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.211
    - hidraw: Return EPOLLOUT from hidraw_poll
    - HID: hidraw: Fix returning EPOLLOUT from hidraw_poll
    - HID: hidraw, uhid: Always report EPOLLOUT
    - ethtool: reduce stack usage with clang
    - iommu: Remove device link to group on failure
    - gpio: Fix error message on out-of-range GPIO in lookup table
    - hsr: reset network header when supervision frame is created
    - RDMA/srpt: Report the SCSI residual to the initiator
    - scsi: enclosure: Fix stale device oops with hot replug
    - scsi: sd: Clear sdkp->protection_type if disk is reformatted without PI
    - [x86] platform/x86: asus-wmi: Fix keyboard brightness cannot be set to 0
    - [armhf] clk: samsung: exynos5420: Preserve CPU clocks configuration
      during suspend/resume
    - compat_ioctl: handle SIOCOUTQNSD
    - [ppc64el] powernv: Disable native PCIe port management
    - [armhf] tty: serial: imx: use the sg count from dma_map_sg
    - [i386] tty: serial: pch_uart: correct usage of dma_unmap_sg
    - mtd: spi-nor: fix silent truncation in spi_nor_read()
    - rtlwifi: Remove unnecessary NULL check in rtl_regd_init
    - f2fs: fix potential overflow
    - scsi: libcxgbi: fix NULL pointer dereference in cxgbi_device_destroy()
    - [mips*] Prevent link failure with kcov instrumentation
    - [x86] ioat: ioat_alloc_ring() failure handling.
    - ocfs2: call journal flush to mark journal as empty after journal recovery
      when mount
    - dt-bindings: reset: meson8b: fix duplicate reset IDs
    - clk: Don't try to enable critical clocks if prepare failed
    - ALSA: seq: Fix racy access for queue timer in proc read
    - [x86] Fix built-in early-load Intel microcode alignment
    - block: fix an integer overflow in logical block size
    - iio: buffer: align the size of scan bytes to size of the largest element
    - USB: serial: simple: Add Motorola Solutions TETRA MTP3xxx and MTP85xx
    - USB: serial: opticon: fix control-message timeouts
    - USB: serial: suppress driver bind attributes
    - USB: serial: ch341: handle unbound port at reset_resume
    - USB: serial: io_edgeport: add missing active-port sanity check
    - USB: serial: quatech2: handle unbound ports
    - usb: core: hub: Improved device recognition on remote wakeup
    - [x86] efistub: Disable paging at mixed mode entry
    - perf hists: Fix variable name's inconsistency in hists__for_each() macro
    - perf report: Fix incorrectly added dimensions as switch perf data file
    - mm/page-writeback.c: avoid potential division by zero in
      wb_min_max_ratio()
    - [arm64] net: stmmac: 16KB buffer must be 16 byte aligned
    - [arm64] net: stmmac: Enable 16KB buffer size
    - USB: serial: io_edgeport: use irqsave() in USB's complete callback
    - USB: serial: io_edgeport: handle unbound ports on URB completion
    - USB: serial: keyspan: handle unbound ports
    - scsi: fnic: use kernel's '%pM' format option to print MAC
    - scsi: fnic: fix invalid stack access
    - cfg80211: fix page refcount issue in A-MSDU decap
    - netfilter: fix a use-after-free in mtype_destroy()
    - netfilter: arp_tables: init netns pointer in xt_tgdtor_param struct
    - batman-adv: Fix DAT candidate selection on little endian systems
    - macvlan: use skb_reset_mac_header() in macvlan_queue_xmit()
    - r8152: add missing endpoint sanity check
    - tcp: fix marked lost packets not being retransmitted
    - net: usb: lan78xx: limit size of local TSO packets
    - cfg80211: check for set_wiphy_params
    - reiserfs: fix handling of -EOPNOTSUPP in reiserfs_for_each_xattr
    - scsi: esas2r: unlock on error in esas2r_nvram_read_direct()
    - scsi: qla4xxx: fix double free bug
    - scsi: bnx2i: fix potential use after free
    - scsi: target: core: Fix a pr_debug() argument
    - scsi: core: scsi_trace: Use get_unaligned_be*()
    - perf probe: Fix wrong address verification
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.212
    - xfs: Sanity check flags of Q_XQUOTARM call
    - [ppc64el] archrandom: fix arch_get_random_seed_int()
    - mt7601u: fix bbp version check in mt7601u_wait_bbp_ready
    - drm/virtio: fix bounds check in virtio_gpu_cmd_get_capset()
    - ALSA: hda: fix unused variable warning
    - IB/rxe: replace kvfree with vfree
    - ALSA: usb-audio: update quirk for B&W PX to remove microphone
    - [x86] staging: comedi: ni_mio_common: protect register write overflow
    - pcrypt: use format specifier in kobject_add
    - exportfs: fix 'passing zero to ERR_PTR()' warning
    - [armhf] clk: highbank: fix refcount leak in hb_clk_init()
    - [armhf] clk: socfpga: fix refcount leak
    - [armhf] clk: samsung: exynos4: fix refcount leak in exynos4_get_xom()
    - [armhf] clk: imx6q: fix refcount leak in imx6q_clocks_init()
    - [armhf] clk: armada-370: fix refcount leak in a370_clk_init()
    - [armel] clk: kirkwood: fix refcount leak in kirkwood_clk_init()
    - [armhf] clk: armada-xp: fix refcount leak in axp_clk_init()
    - [x86] IB/usnic: Fix out of bounds index check in query pkey
    - RDMA/ocrdma: Fix out of bounds index check in query pkey
    - RDMA/qedr: Fix out of bounds index check in query pkey
    - [arm64] dts: apq8016-sbc: Increase load on l11 for SDCARD
    - [armhf] drm/etnaviv: NULL vs IS_ERR() buf in etnaviv_core_dump()
    - crypto: tgr192 - fix unaligned memory access
    - [armhf] ASoC: imx-sgtl5000: put of nodes if finding codec fails
    - IB/iser: Pass the correct number of entries for dma mapped SGL
    - rtc: cmos: ignore bogus century byte
    - [armhf] clk: sunxi-ng: sun8i-a23: Enable PLL-MIPI LDOs when ungating it
    - iwlwifi: mvm: fix A-MPDU reference assignment
    - tty: ipwireless: Fix potential NULL pointer dereference
    - iwlwifi: mvm: fix RSS config command
    - [mips*/*-malta] rtc: ds1672: fix unintended sign extension
    - net: phy: fixed_phy: Fix fixed_phy not checking GPIO
    - [arm64] rtc: pm8xxx: fix unintended sign extension
    - iw_cxgb4: use tos when importing the endpoint
    - iw_cxgb4: use tos when finding ipv6 routes
    - [armhf] usb: phy: twl6030-usb: fix possible use-after-free on remove
    - block: don't use bio->bi_vcnt to figure out segment number
    - keys: Timestamp new keys
    - vfio_pci: Enable memory accesses before calling pci_map_rom
    - [arm*] dmaengine: mv_xor: Use correct device for DMA API
    - cdc-wdm: pass return value of recover_from_urb_loss
    - drm/nouveau/bios/ramcfg: fix missing parentheses when calculating RON
    - drm/nouveau/pmu: don't print reply values if exec is false
    - [arm64] ASoC: qcom: Fix of-node refcount unbalance in
      apq8016_sbc_parse_of()
    - fs/nfs: Fix nfs_parse_devname to not modify it's argument
    - NFS: Fix a soft lockup in the delegation recovery code
    - [armhf] clocksource/drivers/sun5i: Fail gracefully when clock rate is
      unavailable
    - [armhf] clocksource/drivers/exynos_mct: Fix error path in timer resources
      initialization
    - [armhf] 8847/1: pm: fix HYP/SVC mode mismatch when MCPM is used
    - [armhf] 8848/1: virt: Align GIC version check with arm64 counterpart
    - scsi: megaraid_sas: reduce module load time
    - xen, cpu_hotplug: Prevent an out of bounds access
    - media: ivtv: update *pos correctly in ivtv_read_pos()
    - media: cx18: update *pos correctly in cx18_read_pos()
    - [armhf] media: wl128x: Fix an error code in fm_download_firmware()
    - media: cx23885: check allocation return
    - jfs: fix bogus variable self-initialization
    - tipc: tipc clang warning
    - [armhf] OMAP2+: Fix potentially uninitialized return value for
      _setup_reset()
    - [armhf,arm64] spi: tegra114: clear packed bit for unpacked mode
    - [armhf,arm64] spi: tegra114: fix for unpacked mode transfers
    - [armhf,arm64] spi: bcm2835aux: fix driver to not allow 65535 (=-1)
      cs-gpios
    - scsi: qla2xxx: Unregister chrdev if module initialization fails
    - hwmon: (w83627hf) Use request_muxed_region for Super-IO accesses
    - tipc: set sysctl_tipc_rmem and named_timeout right range
    - 6lowpan: Off by one handling ->nexthdr
    - ALSA: usb-audio: Handle the error from snd_usb_mixer_apply_create_quirk()
    - packet: in recvmsg msg_name return at least sizeof sockaddr_ll
    - ASoC: fix valid stream condition
    - IB/mlx5: Add missing XRC options to QP optional params mask
    - [x86] iommu/vt-d: Make kernel parameter igfx_off work with vIOMMU
    - net: ena: fix swapped parameters when calling
      ena_com_indirect_table_fill_entry
    - net: ena: fix: Free napi resources when ena_up() fails
    - net: ena: fix incorrect test of supported hash function
    - net: ena: fix ena_com_fill_hash_function() implementation
    - [arm64] dmaengine: tegra210-adma: restore channel status
    - l2tp: Fix possible NULL pointer dereference
    - [armhf] media: omap_vout: potential buffer overflow in vidioc_dqbuf()
    - [x86] platform/x86: alienware-wmi: printing the wrong error code
    - netfilter: ebtables: CONFIG_COMPAT: reject trailing data after last rule
    - [arm64] pwm: meson: Don't disable PWM when setting duty repeatedly
    - [arm*] thermal: cpu_cooling: Actually trace CPU load in
      thermal_power_cpu_get_power
    - [arm64] dmaengine: tegra210-adma: Fix crash during probe
    - [x86] crypto: ccp - fix AES CFB error exposed by new test vectors
    - iommu: Use right function to get group for device
    - signal/cifs: Fix cifs_put_tcp_session to call send_sig instead of
      force_sig
    - inet: frags: call inet_frags_fini() after unregister_pernet_subsys()
    - media: vivid: fix incorrect assignment operation when setting video mode
    - [ppc64el] cacheinfo: add cacheinfo_teardown, cacheinfo_rebuild
    - [arm64] drm/msm/mdp5: Fix mdp5_cfg_init error return
    - net: netem: fix backlog accounting for corrupted GSO frames
    - [s390x] net/af_iucv: always register net_device notifier
    - [armhf] ASoC: ti: davinci-mcasp: Fix slot mask settings when using
      multiple AXRs
    - rtc: pcf8563: Clear event flags and disable interrupts before requesting
      irq
    - [arm64] drm/msm/a3xx: remove TPL1 regs from snapshot
    - perf/ioctl: Add check for the sample_period value
    - [arm64] clk: qcom: Fix -Wunused-const-variable
    - [x86] iommu/amd: Make iommu_disable safer
    - [x86] mfd: intel-lpss: Release IDA resources
    - rxrpc: Fix uninitialized error code in rxrpc_send_data_packet()
    - devres: allow const resource arguments
    - scsi: libfc: fix null pointer dereference on a null lport
    - libertas_tf: Use correct channel range in lbtf_geo_init
    - qed: reduce maximum stack frame size
    - usb: host: xhci-hub: fix extra endianness conversion
    - [amd64] mic: avoid statically declaring a 'struct device'.
    - [ppc64el] ALSA: aoa: onyx: always initialize register read value
    - net/mlx5: Fix mlx5_ifc_query_lag_out_bits
    - cifs: fix rmmod regression in cifs.ko caused by force_sig changes
    - ext4: set error return correctly when ext4_htree_store_dirent fails
    - [armhf] ASoC: es8328: Fix copy-paste error in es8328_right_line_controls
